claviscom: Willkommen

Willkommen / Homepage

Aktuellere Version dieser Software erhältlich?
Prüfen Sie zuerst, ob mittlerweile eine verbesserte oder neuere Softwareversion (aktuell Version 5.5) veröffentlicht wurde. Schauen Sie einfach bei uns auf der Hompage www.claviscom.de vorbei!

Willkommen
Vielen Dank, dass Sie sich für ein Produkt von claviscom entschieden haben.

Diese Softwarelösung unterstützt das Public Key - System nach PKCS (RSA) und arbeitet im HYBRID-System komplett auf der Basis von X.509 - Internetzertifikaten. Alternativ wird eine symmetrische Verschlüsselung (SYMM-System) mit Passworteingabe oder die Verwendung von EC-/KV-Karten angeboten. Je nach Version werden verschiedene Module angeboten, welche Ihre Daten (Texte, Bilder, Kennwörter, Emails etc.) verschlüsseln und / oder signieren. Die verschlüsselten Dateien sind so vor Spionage durch Hacker oder den Mitbenutzer des Computer sicher. Signierte, also von Ihnen digital unterschriebene Dateien, können nicht mehr geändert werden ohne das dies der Empfänger erfährt. Damit steht dem Versenden über unsichere Kanäle (z. B. per Email im Internet) nichts mehr im Wege.

Diese Software bietet fast unzählige Möglichkeiten und legt dabei besonderen Wert auf intuitive Bedienbarkeit, einfache Umsetzung des komplexen Themas Verschlüsselung und vor allem hohe Stabilität des Programms. Um dem Anwender den Einstieg zu erleichtern, interagieren die einzelnen Module untereinander und mit den Windowskomponenten, wie z. B. den MS Explorer oder der Windows Zertifikatsdatenbank.

>> Erste Schritte (Technik)

>> Dialoge

Der Funktionsumfang der einzelnen Programmversionen ist auf der Produktübersichtsseite oder im Internet (www.claviscom.de) aufgeführt. Außerdem beschreiben wir im Internet (www.claviscom.de) weitere Tipps und klären die am häufigsten gestellten Fragen (FAQs).

Zum Schluss wünscht Ihnen das claviscom - Team viel Erfolg beim sicheren Arbeiten mit dieser Software.

Fragen, Anregungen und Kritik bitte an: Kontakt
Disclaimer | Impressum | AGB

(c) 2001-2005 claviscom - created 12.05.2005 your Webmaster!

Last Update / Stand 12.05.2005


claviscom: Produktübersicht

Allgemein
 Das claviscom - Team realisiert seine Programme so einfach wie möglich, so dass Sie die Module intuitiv bedienen können. Zur Unterstützung bieten wir Ihnen ein kontextbezogene Hilfe an. Dazu müssen Sie nur den entsprechenden 'Hilfe' - Schalter drücken.

Des weiteren beantworten wir auf unserer Homepage die am meisten gestellten Fragen zu unseren Programmen (siehe FAQ's). Sollten Sie dort nicht fündig werden, so verwenden Sie den Kontaktdialog und schicken Ihre Frage direkt an uns. Wir werden Ihnen so schnell wie möglich antworten um Ihr Problem zu beheben.

Assistent
Der Produkt & Downloadassistent unterstützt Sie beim Finden der claviscom Software mit der gewünschten Funktionalität.

Die Versionen und Module
Das Verschlüsselungs- und Sicherheitsprogramm gliedert sich zur Zeit in die folgenden Versionen und Module:

claviscom READER Im Funktionsumfang dieser Version

claviscom CRYPTO LE Im Funktionsumfang dieser Version claviscom CRYPTO PRO Im Funktionsumfang dieser Version
Hilfe: claviscom MODULPRÜFUNG (Gegen Manipulation) / Homepage
 Eine Modulprüffunktion stellt sicher, dass alle Softwaremodule (DLLs und EXE) gegen Manipulation und Viren gesichert sind. Sollte ein Bit in einem Modul geändert werden, so deaktiviert sich die Software selbstständig und warnt den Anwender.


claviscom: claviscom SUPPORT UND BESTELLUNG

Beschreibung claviscom SUPPORT UND BESTELLUNG
Zur Kontaktaufnahme (Feedback) und Registrierung (Bestellung des Lizenzschlüssels oder eines Angebotes) bietet claviscom diesen Dialog an, mit dem Sie nach Eingabe aller erforderlichen Daten eine entsprechendes Textdokument (RTF-Format) oder Email erstellen können.

  • Kontaktinformationen
  • Registrierung / Angebot
  • Programmbewertung

Kontaktinformationen

1. Info

Informationen zu diesem Dialog.

2. Seitenauswahl

Wechseln Sie über diese Schalter zwischen den Seiten 'Kontaktinformationen', 'Registrierung / Angebot' und 'Programmbewertung'.

3. Kontaktinformationen

Damit wir mit Ihnen in Kontakt treten können, müssen Sie zwingend Ihren 'Vornamen', 'Nachnamen' und 'Email-Adresse' angeben. Die Angabe Ihrer kompletten Adresse ist nur für die Bearbeitung einer 'Bestellung' oder 'Angebotsanforderung' erforderlich.
HINWEIS: Ihre Daten werden von claviscom streng vertraulich behandelt und nicht weiter gegeben!

4. Auswahl Selektieren Sie hier, ob Sie uns ein Feedback (z. B. Frage, Anregung, Kritik) zuschicken oder eine Bestellung bzw. Angebotsaufforderung aufgeben möchten.

Bestellung (Registrierung: Online oder per Bestelldialog / Email):

  • Rechung (Firmenkunden): Bei direkter Registrierung (Bestellung) schicken wir Ihnen die gewünschte Anzahl an Lizenzschlüsseln für die Freischaltung unserer Software zu. Nach Erhalt der Rechung überweisen Sie den Registrierungsbetrag auf das angegebene Firmenkonto.

  • Privatpersonen: Bei Privatpersonen müssen wir auf Vorkasse bestehen! Hierzu übermitteln wir Ihnen zuerst ein Angebot mit unserem Firmenkonto. Nach Eingang des kompletten Lizenzpreises wird Ihnen der Lizenzschlüssel zum Freischalten der Software übermittelt.

  • Onlinebestellung (Firmen- und Privatkunden): Alternativ bieten wir Ihnen eine unkomplizierte Registrierung über unseren Partner ShareIt an. ShareIt wickelt dabei die Registrierung Online (SSL), per Email, Telefon, Fax oder Brief ab. Als Zahlungsmittel akzeptiert ShareIt alle großen Kreditkarten (Visa, Eurocard / Mastercard, American Express, Diners Club, Switch), Schecks, Überweisungen und Barzahlung (http://www.claviscom.de/registration.htm).

Angebotsanforderung:
Alternativ können wir Ihnen zuerst ein Angebot für die angegebene Anzahl der Lizenzen erstellen (Aktuelle Preise finden Sie immer auf unserer Homepage).

Hilfe zur Freischaltung: siehe Registrierungsdialog

5. | Frage / Anregung / Kritik | Textfeld für die Eingabe Ihrer Frage, Anregung oder Kritik.
6. | Newsletter (max. 3x im Jahr) | Bei Aktivierung senden wir Ihnen in unregelmäßigen Abständen eine Email mit Neuigkeiten rund um claviscom und unseren Programmen.
7. | Per Post oder Fax senden | Es wird ein Text-Dokument (RTF-Format) mit Ihren Angaben generiert und direkt geöffnet (z. B. mit MS Word - siehe unten). Sie brauchen dieses Dokument nur noch ausdrucken, unterschreiben und an uns per Post oder Fax schicken.
8. | Als Email senden | Es wird eine Email mit Ihren Angaben generiert und an Ihr Email-Programm weitergeleitet. Sie brauchen diese Email nur noch an uns zu senden.

Registrierung / Angebot

1. | Seitenauswahl | Wechseln Sie über diese Schalter zwischen den Seiten 'Kontaktinformationen', 'Registrierung / Angebot' und 'Programmbewertung'.
2. | Anzahl der Lizenzen | Geben Sie in diesem Feld an, wie viele Lizenzen unserer Software Sie benötigen. HINWEIS Für die benötigte Anzahl beachten Sie bitte unsere Lizenzvereinbarungen und AGB's oder setzen sich direkt mit uns in Verbindung!
3. | Software-CD | Auswahl, ob Sie neben den Lizenzschlüsseln auch eine Software-CD wünschen. HINWEIS Neben den Kosten für die CD fallen hierbei Versandgebühren an!
4. | Links | Besuchen Sie die entsprechenden Seiten auf unserer Homepage.

Programmbewertung

1. | Seitenauswahl | Wechseln Sie über diese Schalter zwischen den Seiten 'Kontaktinformationen', 'Registrierung / Angebot' und 'Programmbewertung'.
2. | Programmbewertung | Die Beantwortung dieser Fragen ist nicht zwingend, hilft uns jedoch unser Programm noch besser zu gestalten. Ein kurzer Kommentar im Feld 'Frage / Anregung / Kritik' unterstützt uns bei der Weiterentwicklung unserer Software.
3. | Allgemeine Umfrage | Die Beantwortung dieser Fragen ist nicht zwingend, hilft uns jedoch unser Programm noch besser zu gestalten. Ein kurzer Kommentar im Feld 'Frage / Anregung / Kritik' unterstützt uns bei der Weiterentwicklung unserer Software.


claviscom: Registration

Registration / Homepage
Allgemein:
Das Herunterladen und die Installation der hier bereitgestellten Software / SDK erfolgen auf eigene Gefahr. claviscom - Dr. Thomas Klabunde GbR übernimmt keine Gewährleistung oder Haftung für etwaige Schäden, die durch die Installation und / oder Gebrauch entstehen können. Die Nutzer verzichten auf jedwede Ansprüche gegen claviscom - Dr. Thomas Klabunde GbR oder Drittanbieter die sich aus diesem Vorgang ergeben können. Mit dem Herunterladen und / oder Kauf der Software / SDK erkennen die Nutzer diese Nutzungsbedingungen, unsere AGB's und Lizenz an.

Des weiteren verweisen wir auf unseren Disclaimer...

Registrierung für claviscom READER-Version:
Die Software claviscom READER benötigt keine Registrierung, ist kostenlos und kann privat und geschäftlich uneingeschränkt genutzt werden.

Registrierung für Schüler, Studenten und öffentliche Einrichtungen:
Für Schüler, Studenten und öffentliche Einrichtungen bietet claviscom reduzierte Preise an. Bitte setzen Sie sich diesbezüglich mit uns in Verbindung (siehe Impressum). Wir erstellen Ihnen ein entsprechendes Angebot.

Registrierung für claviscom BASIC-Version und claviscom ENTERPRISE-Version:

Registrierungsmöglichkeiten (Online oder per Bestelldialog / Email):

  • Rechung (Firmenkunden): Bei direkter Registrierung (Bestellung) schicken wir Ihnen die gewünschte Anzahl an Lizenzschlüsseln für die Freischaltung unserer Software zu. Nach Erhalt der Rechung überweisen Sie den Registrierungsbetrag auf das angegebene Firmenkonto.

  • Privatpersonen: Bei Privatpersonen müssen wir auf Vorkasse bestehen! Hierzu übermitteln wir Ihnen zuerst ein Angebot mit unserem Firmenkonto. Nach Eingang des kompletten Lizenzpreises wird Ihnen direkt der Lizenzschlüssel zum Freischalten der Software übermittelt.

  • Onlinebestellung (Firmen- und Privatkunden): Alternativ bieten wir Ihnen eine Registrierung über ShareIt an. ShareIt wickelt dabei die Registrierung Online (SSL), per Email, Telefon, Fax oder Brief ab. Als Zahlungsmittel akzeptiert ShareIt alle großen Kreditkarten (Visa, Eurocard / Mastercard, American Express, Diners Club, Switch), Schecks, Überweisungen und Barzahlung (Aktuelle Preise und Onlineregistrierung: http://www.claviscom.de/registration.htm).
Der Registrierungsdialog:
 Dieses Fenster erscheint nach einigen Operationen, um Sie daran zu erinnern, dass es sich bei bei dieser Software um ein Sharewareprogramm handelt. Aus diesem Grund registrieren Sie bitte unsere Software nach spätestens 30 Tagen oder deinstallieren Sie es. Nach 30 Tagen bleibt der Funktionsumfang erhalten, so dass Sie auch dann noch Ihre verschlüsselten Daten wieder entschlüsseln können. Im Internet unter http://www.claviscom.de/registration.htm erhalten Sie weitere Informationen zur Registrierung.

Wenn Sie schließlich den Registrierungsschlüssel erhalten haben, so rufen Sie diesen Registrierungsdialog auf und tragen exakt Ihren Namen in Feld 1 und den Registrierungsschlüssel in Feld 2 ein. Jetzt müssen Sie nur noch das Button 'Jetzt Registrieren' klicken und der Eintrag 'nicht registriert' verschwindet aus den Kopfzeilen und alle Beschränkungen werden aufgehoben.

Vielen Dank für Ihr Vertrauen und in Zukunft ein sicheres Arbeiten wünscht Ihnen Ihr claviscom - Team!


claviscom: About claviscom

About claviscom / Homepage
About:

Die claviscom Technology GmbH ist ein unabhängiger Hersteller von Daten- und Netzwerksicherheitslösungen für den Endverbraucher und den Unternehmenseinsatz. Zu den Leistungsschwerpunkten gehören Datenlöschung und Internetspurenvernichtung, E-Mail- und Dateiverschlüsselung sowie Chipkarten- und Identitätsmanagement.

Unsere Produkte arbeiten alle nach genormten und industriell anerkannten Standards wie z. B. PKCS (RSA) zum asymmetrischen Verschlüsseln und Signieren von Daten. Dabei sind diese Programme für die Datenspeicherung genauso gut geeignet, wie zur Datenübertragung. Aus Gründen der Kostenersparnis seitens des Kunden legen wir besonderen Wert auf höchstmögliche Performance, Stabilität und Bedienerfreundlichkeit der Software. Dies spart dem Kunden langwierige und aufwendige Mitarbeiterschulungen und bietet trotzdem einen zuverlässigen Schutz bei sehr geringem Preis.

Impressum / Kontakt:

claviscom Technology GmbH
Grünewalder Str. 29-31

D-42657 Solingen

Tel.: +49 212 24946 30

Amtsgericht Solingen, HRB 5182

Email: info@claviscom.de

Copyright / Warranty:

claviscom Produkte und deren Module
Copyright © 2001-2005 claviscom - Technology GmbH, Grünewalder Str. 29-31, D-42657 Solingen, Deutschland.

Alle Rechte vorbehalten.

Alle im Programm, der Hilfe oder Dokumentation angegebenen Warenzeichen sind Eigentum der jeweiligen Besitzer.

  • Inc. Microsoft is a registered trademark and Windows and the Microsoft logo are trademarks of Microsoft Corporation
  • IBM and PC are trademarks of International Business Machines Corporation
  • iMac is a registered trademark of Apple Computer Inc
  • Other names and products are maybe trademarks of other unknown Inc.

Weitere claviscom Produkte:

claviscom SignNotes

claviscom Data Drive

claviscom SCHREDDER

claviscom CRYPTO PRO

claviscom LOGON

claviscom READER

claviscom SPAM WEED

claviscom SECURITY SERVER

claviscom SECURITY CLIENT


claviscom: Willkommen

Erste Schritte (Technik) / Homepage
Erste Schritte (Technik)

>> Austausch des öffentlichen Schlüssels

>> Einrichten und Verwenden des claviscom DATA DRIVE

>> Einrichten und Verwenden des claviscom PARTITION DRIVE

>> Einstellungen (Optionen)

>> Erstellen eines Zertifikates

>> Installation

>> Installation eines Zertifikates

>> Verschlüsseln der eigenen Daten

>> Verschlüsseln für einen Empfänger

>> Verwenden der SMALL PKI

>> Zugriff auf einen LDAP-Server


claviscom: claviscom KEYEXCHANGE Technik

claviscom READER Im Funktionsumfang dieser Version claviscom BASIC Im Funktionsumfang dieser Version claviscom CRYPTO PRO Im Funktionsumfang dieser Version
Austausch des öffentlichen Schlüssels (Public Key)
Die Basis der asymmetrischen Verschlüsselung (HYBRID-System) von Daten für Dritte ist der öffentliche Schlüssel (Public Key) dieser Person. Wenn Sie Daten für 'HANS' verschlüsseln wollen, dann müssen Sie erst einmal in den Besitz seines öffentlichen Schlüssels von 'HANS' kommen. Diese Software bietet dazu eine Reihe von Möglichkeiten an. Diese sollen Ihnen hier vorgestellt werden.

A. Verifizieren einer signierten Datei oder auspacken eine SME-Datei

B. Verwendung des Moduls claviscom KEYEXCHANGE

C. Zugriff auf einen LDAP-Servers

D. Verwendung der claviscom SMALL PKI

claviscom READER Im Funktionsumfang dieser Version claviscom BASIC Im Funktionsumfang dieser Version claviscom CRYPTO PRO Im Funktionsumfang dieser Version
A. Verifizieren einer signierten Datei oder auspacken einer SME-Datei
Dies ist eine relativ einfache Methode an den öffentlichen Schlüssel einer Person zu gelangen. Lassen Sie sich einfach eine signierte (SGN) oder SME-Datei zuschicken.

1. Klicken Sie doppelt auf die signierte Datei oder SME-Datei.

2. Sollte der entsprechende öffentliche Schlüssel (Public Key) des Absenders noch nicht in Ihrer Zertifikatsdatenbank enthalten sein, so trägt diese Software diesen automatisch ein.

INFO: Bei SME-Dateien müssen Sie evtl. vorher Ihr Passwort eingeben.

3. Die Zertifikatsinformationen werden in dem folgenden Dialog angezeigt. Hier müssen Sie mit 'OK' bestätigen. Nun sind Sie im Besitz des entsprechenden öffentlichen Schlüssels. Dieser wird im claviscom CERTMANAGER in der Zertifikatsdatenbank 'My (Private Zertifikate)' angezeigt und kann in Zukunft zum Bilden von SME's verwendet werden.
claviscom READER Im Funktionsumfang dieser Version claviscom CRYPTO LE Im Funktionsumfang dieser Version claviscom CRYPTO PRO Im Funktionsumfang dieser Version
B. Verwendung des Moduls claviscom KEYEXCHANGE
Diese Software bietet eine komfortabeler Methode zum Versenden Ihres öffentlichen Schlüssels (Public Key) an.

1. Öffnen Sie den claviscom MANAGER und Klicken auf folgendes Symbol.

2. Im den Dialog müssen Sie nur noch unter 2 die Email-Adresse des Empfängers eintragen und auf den Schalter 3 'Meinen Public Key per Email senden' klicken.

3. Wenn Sie ein Zertifikat mit hoher Sicherheit eingestellt haben, dann müssen Sie jetzt Ihr Passwort eingeben.

4. In Ihrem Standardbrowser wird nun eine Email mit der Datei 'My PublicKey.axx' als Anlage erzeugt. Diese müssen Sie nun nur noch versenden.

5. Wenn der Empfänger die Anlage ausführt (doppelt klicken) und mindestens die kostenlose Version claviscom READER installiert hat, dann trägt das Programm Ihren öffentlichen Schlüssel in seine Zertifikatsdatenbank unter 'My (Private Zertifikate)' ein. In Zukunft kann der Empfänger Ihnen verschlüsselte Daten zuschicken, die nur Sie wieder Entschlüsseln können.

claviscom READER Im Funktionsumfang dieser Version claviscomCRYPTO LE Im Funktionsumfang dieser Version claviscomCRYPTO PRO Im Funktionsumfang dieser Version
C. Zugriff auf einen LDAP-Servers
Firmen und Trustcenter bieten eine so genannte Public Key Infrastructure PKI an, über welche öffentlichen Schlüssel (Public Keys) online abgerufen werden können. Dadurch kann direkt für eine Person verschlüsselt werden, ohne vorher den öffentlichen Schlüssels auszutauschen. Die Version claviscom CRYPTO PRO bietet Möglichkeit auf diese Server zuzugreifen und nach Zertifikaten zu suchen.

1. Beim Bilden eine SME-Datei öffnet sich der claviscom CERTMANAGER zum Selektieren des öffentlichen Schlüssels (Public Keys). Nun können Sie den Dialog zum Durchsuchen eines LDAP-Servers öffnen.

2. In diesem Dialog sind einige Angaben zum LDAP-Server und der Suchbasis einzugeben. Alternativ können Sie einen der vorgegebenen LDAP-Server (z. B. TC Trustcenter oder D-Trust) verwenden.

3. Geben Sie die den zu suchenden Namen oder die Email-Adresse an und drücken das Button 'Suchen'.

INFO: Es können Wildcards (Sternchen *) verwendet werden, jedoch bricht der LDAP-Server bei einem Überschreiten einer maximalen Anzahl an gefundenen Einträgen mit einer Fehlermeldung ab. In diesem Fall müssen Sie das Suchkriterium weiter eingrenzen.

4. Im oberen Feld werden alle Suchergebnisse angezeigt. Die selektierten Einträge werden durch das Button 'Übernehmen' in den claviscom CERTMANAGER übertragen.

5. Die selektierten Einträge finden Sie nun in der Zertifikatsdatenbank 'LDAP (Onlinezertifikate)'. Diesen können sie nun zum Verschlüsseln verwenden. Der öffentliche Schlüssel bleibt Ihnen für die nächsten Verschlüsselungen erhalten, sodass Sie nicht erneut auf dem LDAP-Server suchen müssen. Sie können auch jederzeit ein LDAP-Zertifikat Offline verfügbar machen, indem Sie dieses von der Datenbank 'LDAP' in die Datenbank 'MY' kopieren.

INFO: Mit öffentlichen Schlüsseln (PKCS#7-Zertifikaten) verschlüsselte Daten können nur von dem Besitzer des privaten Schlüssels (PKCS#12-Zertifikaten) wieder entschlüsselt werden.
claviscom READER Im Funktionsumfang dieser Version claviscom CRYPTO LE Im Funktionsumfang dieser Version claviscom CRYPTO PRO Im Funktionsumfang dieser Version
D. Verwendung der Small PKI
Die Anbindung an die netzwerkinterne Public Key Infrastruktur (Small PKI) von claviscom ermöglicht den zentralen Zugriff auf alle benötigten Zertifikate. Gerade in kleineren und mittleren Netzwerken (bis zu 50 Rechnern) wird der administrative Aufwand deutlich reduziert und macht zudem den kostenintensiven Einsatz von aufwendigen LDAP-Servern überflüssig.

Bei Aktivierung wird im claviscom CERTMANAGER zusätzlich der Punkt Small PKI angezeigt, auf dem alle Anwender (auch übers Netzwerk) zugreifen können. Dazu werden die Zertifikate auf dem Server ( Punkt 6) in der Registry unter HKLM gespeichert. (Berechtigungen in der Registry beachten!)

Bei deaktivierter Small PKI wird der Punkt Small PKI aus dem claviscom CERTMANAGER entfernt und die Benutzer können nur noch auf die eigene Zertifikatsdatenbank zugreifen.

AUF DEM SERVER

1. Öffnen Sie im Einstellungsdialog die Seite Administration.

2. Wählen Sie Punkt 5 'Small PKI aktivieren' aus und tragen in Feld 6 die Rechnernamen des Servers ein (hier WXP-TOM).

3. Kopieren Sie die Datenbank, die allen Anwendern verfügbar gemacht werden soll in die Liste 10 'Anzuzeigende Zertifikate' (hier 'My').

4. Öffnen Sie den claviscom CERTMANAGER und kopieren alle benötigten Zertifikate (z. B. aller Mitarbeiter) in die unter Punkt 3 ausgewählte Datenbank (beispielsweise 'My').
(Schnellanleitung Zertifikat kopieren: 1. Zertifikat auswählen 2. Im Menu der rechten Maustaste den Punkt 'Kopieren' wählen 3. In die Small PKI wechseln 4. Im Anzeigefeld der Zertifikate im Menu den Punkt 'Einfügen' wählen)

AUF DEM CLIENT

1. Führen Sie ebenfalls auf dem Client die Punkte 1. - 3. durch!

2. Nun sind auf dem Client alle auf dem Server eingerichteten Zertifikate verfügbar und können in allen Modulen verwendet werden!

HINWEIS Die eigenen Zertifikate (PKCS#12 -> privater Schlüssel) müssen lokal auf dem Client verfügbar sein! Dazu verwenden Sie am besten einen Zertifikatschipkarte, einen USB-Token oder installieren das Softwarezertifikat direkt auf dem Client. Die Installation des Softwarezertifikates wird automatisch durch die Software gestartet, wenn die PFX-Zertifikatsdatei im Control-Verzeichnis abgelegt wird!


claviscom: claviscom INSTALLATION

Installation
 ACHTUNG: Vor der Installation sollten Sie alle alten Versionen dieser Software deaktivieren und deinstallieren. Dazu gehen Sie im Startmenu in das entsprechende Verzeichnis und wählen den Punkt 'deinstallieren' aus. Alternativ kann das Programm auch über den Eintrag 'Software' in der 'Systemsteuerung' entfernt werden.

1. Alle Softwareprodukte von claviscom werden mit einem Installationsprogramm ausgeliefert. Dieses führt Sie Schritt für Schritt durch die Installation und nimmt alle wichtigen Einstellungen auf Ihrem System vor. Schließen Sie alle anderen Programme und starten einfach die entsprechende Setupdatei durch Doppelklick.

2. Wählen Sie die Programmsprache (zur Zeit Deutsch, Englisch und Spanisch (Beta))!

3. Im Setup müssen Sie zuerst die Lizenzvereinbarung akzeptieren.
Weiter geht es mit der Angabe des Verzeichnisses, wo das Programm auf der Festplatte gespeichert wird und wie der Ordner im Startmenü heißen soll. Auf der letzten Seite können Sie die Software direkt starten.

4. Wichtig ist, dass Sie sich erst mit dem Programm vertraut machen und z. B. unwichtige Daten (Testdateien) verschlüsseln, bevor Sie Ihre wichtigen Daten verschlüsseln. Bei einigen kostenlosen Zertifikatsausstellern werden falsche bzw. minderwertige Zertifikate erzeugt, mit denen Sie wegen eines Fehlers die Daten nur verschlüsseln und nicht mehr entschlüsseln können.
Spätestens nach Ablauf der Testphase von 30 Tagen müssen Sie die Lizenzgebühr für die installierte Version bezahlen oder das Programm deinstallieren. Bedenken Sie bitte, dass eine Weiterentwicklung unsererseits nur durch faires Verhalten Ihrerseits möglich ist und jeder eine entsprechenden Vergütung für seine Arbeit erhalten möchte.

5. Jetzt werden Sie noch gefragt, ob Sie noch Programmverknüpfungen (Symbole) auf dem Desktop zum schnelleren Zugriff ablegen möchten und ZIP-Dateien mit claviscom CRYPTZIP verknüpfen wollen.

6. Die Software von claviscom kann in zwei Variationen betrieben werden, wobei unterschiedliche Voreinstellungen vorgenommen werden :

  • Privatanwender (passwortbasiert): Hierbei wird als Voreinstellung das SYMM-System verwendet, wobei die Verschlüsselung und Zugangsberechtigungen durch die Eingabe von Passwörtern (oder EC-/KV-Karte) erfolgt. Als symmetrische Verschlüsselungsalgorithmen werden zur Zeit Blowfish (448 Bit) und AES (256 Bit) angeboten und ist vor allem für kleinere Unternehmen und Privatanwender geeignet.
  • Unternehmen (X.509 zertifikatsbasiert): Hierbei wird als Voreinstellung das HYBRID-System verwendet, wobei die Verschlüsselung und Zugangsberechtigungen mit Hilfe von X.509 Zertifikaten erfolgt. Die asymmetrische Verschlüsselung basiert auf dem PKCS-Standard von RSA und ist für mittlere und größere Unternehmen mit größerem administrativen Aufwand geeignet. Sofern das interne symmetrische Verschlüsselungsverfahren nicht durch das Betriebssystem vorgegeben ist, wird Blowfish (448 Bit) und AES (256 Bit) angeboten.

HINWEIS Sie sollten nur den Unternehmens-Modus wählen, wenn Sie sich mit der Technik der asymmetrischen Verschlüsselung auskennen und möglichst schon im Besitz von Zertifikaten sind. Ein nachträgliche Änderung der Einstellungen auf das HYBRID-System (Unternehmen) ist jederzeit möglich.

7. Um alle Änderungen in Ihrem System zu übernehmen und alle PlugIns zu aktivieren, muss der Rechner neu gestartet werden.

8. Nach dem Neustart finden Sie das Programmsymbol in der Taskleiste neben der Uhr. Durch einen Doppelklick auf das Icon öffnet sich der claviscom MANAGER. Sie können auch die Module über einen Klick der rechten Maustaste erreichen.

9. Damit diese Software im Unternehmensmodus arbeiten kann, muss ein Zertifikat auf Ihrem Rechner installiert sein. Wenn Sie nicht wissen, ob dies schon der Fall ist, so öffnen Sie einfach den claviscom CERTMANAGER. Falls schon ein Zertifikat vorhanden ist, so selektiert der claviscom CERTMANAGER dieses automatisch und Sie müssen nur noch das Button 'Übernehmen' klicken. Falls jedoch kein Zertifikat installiert ist, so wird der Dialog zum Erstellen eines selbstsignierten Zertifikates geöffnet (claviscom SELFCERT).

Ein Anleitung zur Installation des Zertifikates finden Sie auf der Hilfeseite zur Installation eines Zertifikates.

Deinstallation:
Zum Entfernen der Software von Ihrem Rechner müssen Sie im Startmenü - Ordner den Punkt 'Programm entfernen' aufrufen. Alternativ ist es auch möglich die Software unter Start -> Einstellungen -> Systemsteuerung -> Software -> Button 'Ändern/Entfernen' zu deinstallieren.

Deaktivierung:
Im Gegensatz zur Deinstallation kann die Software auch kurzfristig deaktiviert werden. Dazu öffnen Sie einfach im Einstellungsdialog die Seite 'ADMINISTRATION' und drücken den Schalter 'Module aktivieren / deaktivieren'. Über den gleichen Schalter lässt sich das Programm wieder aktiveren.

Siehe auch
>> Hilfeseite zur Installation eines Zertifikates
>> Hilfeseite zu den claviscom EINSTELLUNGEN
>> Hilfeseite zur Registrierung


claviscom: claviscom SHAREDDRIVE Technik

Einrichten und Verwenden des claviscom DATA DRIVE
Auf dieser Seite zeigen wir Ihnen wie Sie:

I. Aktivieren und Anlegen eines claviscom DATA DRIVE

II. Verwenden des claviscom DATA DRIVE

III. Festlegen der Zugriffsberechtigungen des claviscom DATA DRIVE (HYBRID-System) mit Zertifikaten

IV. Umziehen / Verschieben des claviscom DATA DRIVE Basisverzeichnis

V. Ein claviscom DATA DRIVE gleichzeitig mit mehreren Anwendern nutzen
I. Aktivieren und Anlegen eines claviscom DATA DRIVE

a. Aktivieren
Nach erfolgreicher Installation und dem Neustart des Computers öffnen Sie den Einstellungsdialog ('Start' -> 'Programme' -> 'claviscom' -> 'claviscom DATA DRIVE') und aktivieren das DATA DRIVE (Punkt 1).

b. Default Encryption ALG
Wählen Sie den gewünschten Verschlüsselungsalgorithmus unter 5 aus. Die Zugriffsberechtigung beim SYMM-System (für Privatanwender empfohlen) erfolgt mittels Passwort (oder EC-KV-Karte) und beim HYBRID-System (für Firmen) durch X.509-Zertifikate.

c. Verbindungsmanager
Öffnen Sie über Punkt 4 den Verbindungsmanager.

c1. Anlegen einer Lokalen- oder Netzwerkverbindung
Über den Schalter 3 wird eine neue Verbindung angelegt, die in Liste 2 angezeigt wird. Über das Feld 5 kann der Name der Verbindung geändert werden. Dazu muss noch der Schalter 6 'Lokale- oder Netzwerkverbindung' aktiviert werden und das Initialverzeichnis über Schalter '...' ausgewählt werden. Das Initialverzeichnis ist der Speicherort der verschlüsselten Dateien und kann auf dem lokalen Rechner oder einem Netzwerkrechner liegen. Zum Schluss wird das Datenlaufwerk über den Schalter 'Speichern' angelegt.

c2. Anlegen einer FTP-Verbindung
Über den Schalter 3 wird eine neue Verbindung angelegt, die in Liste 2 angezeigt wird. Über das Feld 5 kann der Name der Verbindung geändert werden. Dazu muss noch der Schalter 7 'FTP-Verbindung' aktiviert werden. Für die FTP-Verbindungen sind weitere Angaben, wie beispielsweise der Host, der Port und Anmeldedaten erforderlich. Zusätzlich lässt sich das Initialverzeichnis in Feld 9 angeben, wo die verschlüsselten Dateien gespeichert werden. Zum Schluss wird das Datenlaufwerk über den Schalter 'Speichern' angelegt.

d. Initialisieren des neu angelegten DATA DRIVE
Alle angelegten Verbindungen werden in der Liste 3 angezeigt. Zum Initialisieren muss das DATA DRIVE einmalig geöffnet werden. Wechseln Sie hierzu in den Datei Explorer oder klicken doppelt auf das entsprechende Desktopicon.

e1. Festlegen des Passwortes (SYMM-System)
Beim 1. Öffnen des DATA DRIVE (SYMM-System) wird dieses durch die doppelte Eingabe eines Passwortes oder das Einlegen einer EC- oder KV-Karte initialisiert. Bei jedem weiteren Öffnen des Datenlaufwerks müssen Sie erneut das Passwort eingeben oder die Chipkarte einlegen.

e2. Festlegen der berechtigten Zertifikate (HYBRID-System)
Beim 1. Öffnen des DATA DRIVE (HYBRID-System) wird automatisch Ihr Zertifikat dem Laufwerk zugeordnet. Falls Sie noch kein Zertifikat angelegt haben, so erstellt unsere Software ein Zertifikat für Sie.
HINWEIS Das Zuweisen oder Ändern von Zertifikaten zu einem DATA DRIVE (HYBRID-System) ist unter Festlegen der Zugriffsberechtigungen des claviscom DATA DRIVE mit Zertifikaten beschrieben.

Hierzu sehen Sie bitte folgende Anleitungen:
Hilfe zur Erstellung eines Zertifikates
Hilfe zur Installation eines Zertifikates

HINWEIS Ihr eigenes Zertifikat sollten Sie niemals löschen und unbedingt eine Sicherheitskopie davon anlegen!

II. Verwenden des claviscom DATA DRIVE

a. Öffnen
Nachdem Sie das claviscom DATA DRIVE aktiviert haben (siehe Aktivieren und Anlegen eines claviscom DATA DRIVE) können Sie im MS Datei Explorer auf die angelegten verschlüsselte Datenlaufwerke zugreifen. Wie in den Abbildungen dargestellt, finden Sie allen Datenlaufwerke auf dem Desktop oder in der Ordnerleiste des MS Datei Explorers unter 'claviscom DATA DRIVE'.

b1. Passworteingabe (SYMM-System)
Beim Öffnen eines verschlüsselten Datenlaufwerkes (SYMM-System) müssen sie das entsprechende Passwort eingeben oder Ihre EC- oder KV-Karte einlegen.

b2. Passworteingabe (HYBRID-System)
Beim Öffnen eines verschlüsselten Datenlaufwerkes (HYBRID-System) müssen Sie Ihre Zertifikatschipkarte oder USB-Token einlegen und das Passwort eingeben. Eine Passworteingabe ist auch bei Softwarezertifikaten mit hoher Sicherheit erforderlich.
HINWEIS Das Eingabefenster für das Passwort kann je nach Anbieter unterschiedlich aussehen!

c. Öffnen, Kopieren, Einfügen, Umbenennen ...
Nun können Sie das Datenlaufwerk wie jedes Laufwerk verwenden. Die Funktionen wie 'Öffnen', 'Kopieren', Einfügen', 'Umbenennen' sind über das Menü oder auch die rechte Maustaste erreichbar. Natürlich können Dateien auch per Drag&Drop kopiert oder verschoben werden.

d. Statusanzeige
Beim Öffnen einer Datei im claviscom DATA DRIVE wird der Status im MS Datei Explorer angezeigt. Dabei ändert sich die Textfarbe und in der Spalte 'Status' wird der Anmeldename des Anwenders angezeigt. Hierdurch kann jeder Anwender dieses claviscom DATA DRIVE genau sehen, wer welche Datei in Verwendung hat. Somit kann ein Datenverlust beim gleichzeitigen Öffnen einer Datei vermieden werden.

e. Schließen / Verriegeln des claviscom DATA DRIVE
Zum Verriegeln des Datenlaufwerk wählen Sie einfach das claviscom DATA DRIVE Icon in der Ordnerleiste oder auf dem Desktop aus und drücken die rechte Maustaste. In dem sich öffnenden Menü finden Sie den Punkt 'Laufwerk verriegeln' zum Schließen des Datenlaufwerks.

III. Festlegen von Zugriffsrechten des claviscom DATA DRIVE (HYBRID-System) mit Zertifikaten

Die Zugriffsrechte des claviscom DATA DRIVE (HYBRID-System) wird über Zertifikate geregelt. Aus diesem Grund müssen Sie auch im Besitz eines Zertifikates sein, mit dem die Verschlüsselung vorgenommen wird. Wie Sie sich ein Zertifikat erstellen und installieren haben wir ausführlich auf der Seite Erstellen und Installieren eines Zertifikates beschrieben.
Hier soll nun beschrieben werden, wie Sie die Zugriffsberechtigung eines verschlüsselten Datenlaufwerkes mit Zertifikaten festlegen. Dies ist z. B. notwendig, wenn Ihr Datenlaufwerk auf einem Server liegt und mehrere Personen darauf zugreifen sollen oder wenn Sie einfach ein Backup-Zertifikat (z. B. von einer zweiten Chipkarte) installieren wollen.

a. CERTMANAGER
Öffnen Sie den claviscom CERTMANAGER.

b. Berechtigte Zertifikate
Auf der linken Seite finden Sie den Eintrag 'claviscom DATA DRIVE', unter dem alle eingerichteten Datenlaufwerke aufgelistet sind. Wenn Sie einen Eintrag auswählen, werden auf der rechten Seite alle berechtigten Zertifikate angezeigt. In dem dargestellten Fall ist der Besitzer des Zertifikates 'Thomas Mustermann' berechtigt auf das claviscom DATA DRIVE 'Standard' zuzugreifen.

c. Zugriffsberechtigung auf weitere Zertifikate ausdehnen
Um die Zugriffsberechtigung auf weitere Zertifikate auszudehnen, müssen Sie nur die entsprechenden öffentlichen oder privaten Zertifikate dem Laufwerk zuweisen. Dies erfolgt einfach durch Kopieren der Zertifikate in dieses Verzeichnis. Folgen Sie dazu den folgenden Schritten.
TIPP Hinzufügen können Sie zusätzliche eigene private Zertifikate (PKCS#12 - z. B. von einer weiteren Chipkarte) oder öffentliche Zertifikate weitere Personen (PKCS#7 - z. B. auch von einem LDAP-Server).

d. Auswählen und Kopieren des zu kopierenden Zertifikates
Öffnen Sie in die entsprechende Datenbank und markieren sie das gewünschte Zertifikat (hier Zertifikat 'Claviscom_1024' in Datenbank 'My'). Im Pull-down-Menu der rechten Maustaste finden Sie den Punkt 'Kopieren'.

e. Einfügen des zu kopierenden Zertifikates
Wechseln Sie wieder in den Ordner 'claviscom DATA DRIVE ZERTIFIKAT(E)' -> 'claviscom DATA DRIVE'. Das ausgewählte Zertifikat wird mittels des Punktes 'Einfügen' im Pull-down-Menü hinzugefügt.

f. Aktualisieren der Schlüsseldateien
Damit die hinzugefügten Zertifikate auch wirklich eine Zugriffsberechtigung besitzen, müssen die Schlüsseldateien aktualisiert werden. Je nach Sicherheitsstufe des Stammzertifikat (Ihr eigenes PKCS#12 Zertifikat) muss jetzt Ihr Zertifikatspasswort eingegeben werden.
HINWEIS Je nach Sicherheitsstufe oder verwendeten CSP unterscheidet sich der Dialog zu Passworteingabe.

g. Abschluss
Beim nächsten Öffnen des claviscom DATA DRIVE werden nochmals alle berechtigten Zertifikate im claviscom ZERTIFIKATSPRÜFUNG Dialog angezeigt. Hier sollten sie nur mit 'Weiter' bestätigen, wenn lediglich Ihnen bekannte Zertifikate aufgeführt werden. Danach müssen Sie nochmals Ihr Zertifikatspasswort eingeben.

IV. Umziehen / Verschieben des claviscom DATA DRIVE Basisverzeichnisses

Das Basisverzeichnis wird im Einstellungsdialog neben dem Button 2 angezeigt. Hier werden die verschlüsselten Dateien des claviscom DATA DRIVE gespeichert, wobei dies in der Regel (Voreinstellung) folgendem Verzeichnis entspricht:

'Dokumente und Einstellungen\IHR ANMELDENAME\claviscom\claviscom DATA DRIVE'

Das Basisverzeichnis kann jederzeit individuell ausgewählt werden, wobei alle enthalten Dateien verschoben werden können. Dies ist beispielsweise nötig, wenn der Speicherplatz auf der aktuellen Festplatte nicht ausreicht.

a. Schließen / Verriegeln des claviscom DATA DRIVE
Siehe II.d. Verwenden des claviscom DATA DRIVE

b. Öffnen des Einstellungsdialoges
Öffnen Sie den Verbindungsmanager, beispielsweise über den Einstellungsdialog.

c. Auswählen des neuen Basisverzeichnisses
Je nach Verbindungsart wird unter Punkt 6 oder 9 das Initialverzeichnis geändert. Bei einer lokalen oder Netzwerkverbindung können Sie hierzu den Schalter '...' verwenden. Wählen Sie im sich öffnenden Fenster das neue Basisverzeichnis aus und bestätigen mit 'OK'. (hier das Verzeichnis 'Temp\claviscom DATA DRIVE' auf dem Rechner 'Sp-tom'.)
HINWEIS Netzwerkrechner ist möglich!

d. Zielverzeichnis enthält Dateien!
Bei einer einfachen Verschiebeoperationen des Basisverzeichnisses sollten Sie ein völlig leeres Verzeichnis wählen. Ansonsten können im Betrieb Problemen auftreten. Brechen Sie in diesem Fall den Vorgang mit 'Nein' ab und wählen wie unter c. beschrieben ein leeres Verzeichnis aus.

e. Verschieben der Dateien
Nachdem Sie das Button 'Ja' klicken, werden alle Dateien Ihres claviscom DATA DRIVE in das neu gewählte Basisverzeichnis verschoben. Dies kann je nach Anzahl und Größe der Dateien länger dauern.

g. Löschen der Quelldateien
Um auf Ihrem System wieder Platz zu machen und kein Dateileichen zurück zu lassen, sollen alle Dateien im alten Basisverzeichnis durch Drücken von Button 'Ja' gelöscht werden.

h. Löschen der schreibgeschützten Dateien
Die IMK-Dateien mit der Schlüsseldatei sind schreibgeschützt, um eine externe Manipulation zu verhindern. Auch diese Dateien sollten mit 'Ja alle' gelöscht werden.

i. Abschluss
Zum Schluss wird im Einstellungsdialog das neue Verzeichnis mit 'Speichern' bestätigt!
V. Ein claviscom DATA DRIVE gleichzeitig mit mehreren Anwendern nutzen

In Netzwerken kann es von Vorteil sein, ein claviscom DATA DRIVE mit mehreren Anwendern zu benutzen. Dazu muss das Basisverzeichnis als Netzwerklaufwerk angegeben werden (UNC-Pfad). Die Zugriffberechtigung beim HYBRID-System erfolgt durch die Zuweisung der Anwenderzertifikate und beim passwortbasierten SYMM-System durch die Weitergabe des Passwortes an alle Anwender.

Zur Einrichtung gehen Sie wie in den folgenden Punkten beschrieben vor.

AUF DEM SERVER

a. Anlegen eines neuen DATA DRIVE auf dem Server
Das Aktivieren und Anlegen eines claviscom DATA DRIVE ist unter Punkt I beschrieben (siehe Aktivieren und Anlegen eines claviscom DATA DRIVE). HINWEIS Dieser Schritt entfällt, falls Sie ein bestehendes claviscom DATA DRIVE verwenden wollen!

b1. Zugriffsberechtigung beim HYBRID-System
Um jedem Anwender die Zugriffsberechtigung zu erteilen, müssen die entsprechenden Zertifikate dem Ziel claviscom DATA DRIVE (z. B. auf dem Server) zugewiesen werden. Dies ist ausführlich unter Punkt III beschrieben (siehe "Festlegen von Zugriffsrechten des claviscom DATA DRIVE mit Zertifikaten").

b2. Zugriffsberechtigung beim SYMM-System
Beim passwortgestützten SYMM-System reicht es aus, wenn das Passwort an alle berechtigten Benutzer weitergegeben wird.

AUF DEM CLIENT

c 1. Anlegen eines neuen DATA DRIVE auf dem Client
Öffnen Sie auf dem Client den Verbindungsmanager und legen eine neue Verbindung an. Wählen Sie als Initialverzeichnis den Pfad des entsprechenden claviscom DATA DRIVE auf dem Server und bestätigen mit 'OK'.

c2. Verwenden eines bestehenden claviscom DATA DRIVE auf dem Client
Um ein bestehendes verschlüsseltes Datenlaufwerk auf dem Client zu verwenden, darf dieses keine Daten enthalten. Dies würde zu Problemen beim weiteren Betrieb führen. Dazu kopieren Sie einfach die Dateien vorübergehend in einen temporären unverschlüsselten Ordner oder ein anderes Datenlaufwerk. Nach dem Schließen des claviscom DATA DRIVE können Sie den Verbindungsmanager öffnen und das Initialverzeichnis durch auswählen des Pfades auf dem Server anpassen.

d. Zielverzeichnis enthält Dateien!
Das Zielverzeichnis enthält die Dateien des Ziel claviscom DATA DRIVE. Bestätigen Sie in diesem Fall unbedingt mit 'Ja'.

e. Zielverzeichnis enthält bereits ein claviscom DATA DRIVE!
Das Programm hat nun erkannt, das sich in dem Verzeichnis ein claviscom DATA DRIVE befindet. Setzen Sie nun den Verweis auf das neue claviscom DATA DRIVE durch klicken auf den Button 'Link'.

f. Abschluss
In Zukunft werden die Dateien im Client claviscom DATA DRIVE auf dem Server abgelegt. Der Vorteil ist, dass mehreren Anwendern gleichzeitig auf gemeinsame Ressourcen zugreifen können.
HINWEIS Beim zertifikatsbasierten claviscom DATA DRIVE (HYBRID-System) müssen auf dem Client alle öffentlichen Schlüssel der berechtigten Zertifikate verfügbar sein. Mit der Small PKI bietet claviscom eine einfach Möglichkeit die Zertifikate auf einem Server zentral zu verwalten.
INFO Die Dateien werden verschlüsselt über das Netzwerk übertragen und erst auf dem Client entschlüsselt.


claviscom: claviscom CRYPTDRIVE Technik

Einrichten und Verwenden von claviscom PARTITION DRIVE
ACHTUNG: Das virtuelle Laufwerk claviscom PARTITION DRIVE ist nur für Windows NT / 2000 und XP konzipiert. Alternativ können Sie das claviscom DATA DRIVE (Datenlaufwerk) verwenden, welches auch die Betriebsysteme Windows 9x und ME unterstützt.

1. Dialog Öffnen
Öffnen Sie den Dialog zum Anlegen und Öffnen (Mounten) der virtuellen Laufwerke.

2. Verschlüsselungseinstellungen
Öffnen Sie die Einstellungen zum Auswählen des gewünschten Verschlüsselungssystems und -algorithmus (Default Encryption ALG). Die Zugriffsberechtigung beim SYMM-System (für Privatanwender empfohlen) erfolgt mittels Passwort (oder EC-KV-Karte) und beim HYBRID-System (für Firmen) durch X.509-Zertifikate.

3. Neu
Schließen Sie die Einstellungen und klicken Sie auf den Schalter 'Neu anlegen'.

4. Laufwerkseigenschaften
In dem sich öffnenden Dialog können Sie nun die Eigenschaften des Lauswerks festgelegen, wie Name, Größe, Laufwerksbuchstaben, Speicherort und Partials (Teile). Der Speicherort kann sich auch auf einem Netzwerkserver befinden und muss hier als UNC-Pfad eingetragen werden. Die Imagedatei wird in diesem Fall verschlüsselt auf den Server abgelegt und beispielsweise von automatischen Backupsystemen gesichert. Ein Klick auf den Button 'Neu anlegen' schließt den Dialog und legt das Laufwerk an.

INFO: In der Testphase dieser Software ist die Größe des Laufwerks auf 100 MB begrenzt und es kann maximal nur ein Laufwerk angelegt werden. In der registrierten Version sind bis zu 10 Laufwerke mit einer fast unbegrenzten Kapazität (bis 32 GByte getestet) je Laufwerk denkbar.

5. Laufwerksliste
Nun wird Ihr neues Laufwerk in der oberen Liste 10 angezeigt. Bei Laufwerken auf HYBRID-Basis wird in der unteren Liste 14 die berechtigten Zertifikate aufgeführt. Dies entfällt bei SYMM-System Laufwerken.

INFO: Bei zertifikatsbasierten Laufwerken (HYBRID-System) können mit dem Schalter 11 'Hinzufügen' weitere Zertifikate dem claviscom PARTITION DRIVE zugewiesen werden.

6. Öffnen
Mit dem Schalter 6 'Öffnen' wird das Laufwerk geöffnet (gemountet) und im Datei Explorer angezeigt.

INFO: Beim ersten Öffnen des Laufwerkes wird dieses formatiert. Dies kann einige Zeit (mehrere Minuten) in Anspruch nehmen.

7a. Passwortes (SYMM-System)
Beim passwortbasierten claviscom PARTITION DRIVE (SYMM-System) müssen Sie nun das Passwort zweimalig eingeben oder eine EC-/KV-Karte einlegen.

7b. Passworteingabe (HYBRID-System)
Bei zertifikatsbasierten claviscom PARTITION DRIVE (HYBRID-System) müssen Sie Ihre Zertifikatschipkarte oder den USB-Token einlegen und das entsprechende Passwort eingeben. Dies ist auch notwendig, wenn Sie ein Softwarezertifikat mit hoher Sicherheit verwenden.
 HINWEIS Das Eingabefenster für das Passwort kann je nach Anbieter unterschiedlich aussehen!

8. Arbeiten
Nun öffnet sich direkt der Datei Explorer, in dem Sie wie gewohnt Dateien kopieren, anlegen und löschen können. Ebenfalls möglich ist die Laufwerksfreigabe im Netzwerk oder die Festlegung weiterer NT Benutzerrechte (sofern es sich um eine NTFS-Partition handelt).

9. Schließen
Zum Schließen des Laufwerks müssen Sie nur im claviscom PARTITION DRIVE Dialog das Button 'Schließen' klicken.

INFO: Das virtuelle Laufwerk wird spätestens beim Runterfahren des Computers geschlossen.

TIPP: Im claviscom PARTITION DRIVE Dialog können Sie sich ganz einfach Links zum Öffnen und Schließen des Laufwerkes auf dem Desktop erstellen lassen. Dazu selektieren Sie das Laufwerk und drücken die rechte Maustaste. Hier wird nur der Punkt 'Verknüpfung auf dem Desktop' angeklickt.
Auch das Öffnen (Mounten) eines Laufwerkes direkt nach dem Hochfahren des Computers ist möglich, indem Sie diesen Link einfach in den Autostart (Start->Programme->Autostart) kopieren.


claviscom: Einstellmöglichkleiten (Optionen)

Die claviscom EINSTELLUNGEN
 In dieser Software werden eine Reihe von Einstellungen automatisch und für die meisten Anwender optimiert vorgenommen. Versierte Anwender können jedoch zusätzliche Optionen und Einstellungen im Dialog claviscom EINSTELLUNGEN selbst vornehmen. Dazu stehen folgende Seiten zur Verfügung:
  • EXPLORER PLUGIN
  • MANAGER
  • CRYPTZIP
  • DATA DRIVE
  • PARTITION DRIVE
  • LOGON
  • CRYPTMAIL (Outlook)
  • KEYSAFE
  • SCHLÜSSELVERWALTUNG
  • ADMINISTRATION
  • ALLGEMEIN
  • CT32 - DLL

HINWEIS Je nach Programmversion werden einzelne, nicht benötigte Seiten ausgeblendet!

EXPLORER PLUGIN
Einstellungsseite für das Datei Explorer PlugIn, welches über die rechte Maustaste im MS Datei Explorer aufgerufen wird.
ACHTUNG Je nach Version können einzelne Optionen nicht verfügbar sein bzw. voneinander abweichen!

1. PlugIn aktivieren / deaktivieren

Aktiviert oder Deaktiviert das Datei Explorer PlugIn.

2. Aktualisieren

Gleicht die Einstellungen mit anderen Dialogen ab.

3. Einstellungen

Aktiviert / Deaktiviert die Programmmodule, die im Kontextmenu des Datei Explorer angezeigt werden sollen:

claviscom CRYPT im Kontextmenu des Datei Explorer anzeigen
>> Hilfe zum CRYPT PlugIn

CRYPT ASSISTENT im Kontextmenu des Datei Explorers anzeigen
>> Hilfe zum CRYPT ASSISTENT

SHREDDER im Kontextmenu des Datei Explorer anzeigen
>> Hilfe zum SHREDDER

CRYPTZIP im Kontextmenu des Datei Explorer anzeigen
>> Hilfe zu CRYPTZIP

CRYPTZIP nach dem Zippen automatisch öffnen
>> Hilfe zu CRYPTZIP

4. Originaldateien löschen (Eigene Zertifikate) Bei Aktivierung dieses Punktes werden die Originaldateien nach dem 'Signieren' und 'Verschlüsseln' gelöscht. Der Schredderlevel (Anzahl der Überschreibzyklen) wird auf der Seite ALLGEMEIN eingestellt.
HINWEIS Beim Erstellen einer 'Digital Envelope Datei (SME)' werden nur die Originaldateien gelöscht, wenn Sie auch im Besitz des entsprechenden privaten Schlüssels (PrivateKey) sind. Dies wird im claviscom CERTMANAGER angezeigt. Ohne den entsprechenden privaten Schlüssels (PrivateKey, PKCS#12) kann die Datei nicht entschlüsselt werden.
5. Default Encryption ALG Eingestelltes Verschlüsselungssystem und der verwendetet Verschlüsselungsalgorithmus.

Zur Zeit mögliche Einstellungen für den Datei Explorer Plugin claviscom CRYPT:

  • SYMM-AES: Passwortbasierte symmetrische Verschlüsselung mit dem AES-Algorithmus (Schlüssellänge 256 Bit).
  • SYMM-Blowfish: Passwortbasierte symmetrische Verschlüsselung mit dem Blowfish-Algorithmus (Schlüssellänge 448 Bit).
  • HYBRID-System: Zertifikatsbasierte asymmetrische Verschlüsselung nach dem PKCS-Verfahren von RSA.

HINWEIS In der SCHLÜSSELVERWALTUNG wird festgelegt, ob beim SYMM-System ein Passwort oder eine EC-/KV-Karte und welcher Verschlüsselungsalgorithmus beim HYBRID-System verwendet wird.

Siehe auch
>> Hilfe zum Datei Explorer PlugIn

MANAGER
Einstellungsseite für den claviscom MANAGER (Tray Icon, Schnellstartleiste und Fenster).
ACHTUNG Je nach Version können einzelne Optionen nicht verfügbar sein bzw. voneinander abweichen!

1. | Manager aktivieren / deaktivieren | Aktiviert oder Deaktiviert das Tray Icon links neben der Uhr.
2. | Aktualisieren | Gleicht die Einstellungen mit anderen Dialogen ab.
3. | Vordergrund | Bei Aktivierung wird der claviscom MANAGER als Schnellstartleiste und Fenster immer im Vordergrund angezeigt.
4. | Automatisch starten | Startet automatisch den claviscom MANAGER (Tray Icon oder Fenster) beim Hochfahren (booten) Ihres Computers.

Siehe auch
>> Hilfe zum claviscom MANAGER

CRYPTZIP
Einstellungsseite für claviscom CRYPTZIP, das Modul zum Komprimieren im ZIP Format.
ACHTUNG Je nach Version können einzelne Optionen nicht verfügbar sein bzw. voneinander abweichen!

1. CRYPTZIP aktivieren / deaktivieren

Aktiviert oder Deaktiviert claviscom CRYPTZIP.

2. Aktualisieren

Gleicht die Einstellungen mit anderen Dialogen ab.

3. Verknüpfung

Setz in der Registry die Verknüpfung von komprimierten ZIP Dateien, sodass diese mit dem claviscom CRYPTZIP geöffnet werden.

4. Default Encryption ALG Eingestelltes Verschlüsselungssystem und der verwendetet Verschlüsselungsalgorithmus.

Zur Zeit mögliche Einstellungen für das Modul claviscom CRYPTZIP:

  • HYBRID-System: Zertifikatsbasierte asymmetrische Verschlüsselung nach dem PKCS-Verfahren von RSA.

HINWEIS In der SCHLÜSSELVERWALTUNG wird festgelegt, welcher Verschlüsselungsalgorithmus beim HYBRID-System verwendet wird.

Siehe auch
>> Hilfe zum claviscom CRYPTZIP

DATA DRIVE
Einstellungsseite für das claviscom DATA DRIVE, das Datenlaufwerk zum verschlüsselten Speichern von Dateien.
ACHTUNG Je nach Version können einzelne Optionen nicht verfügbar sein bzw. voneinander abweichen!

1. SHAREDDRIVE aktivieren / deaktivieren

Aktiviert oder Deaktiviert das claviscom DATA DRIVE, um es im Datei Explorer als Laufwerk anzuzeigen oder zu verbergen.

2. Aktualisieren

Gleicht die Einstellungen mit anderen Dialogen ab.

3. Aktuelle Verbindungsprofile

Liste der aktuell auf dem Rechner eingerichteten Verbindungen zu den einzelnen Datenlaufwerken (Lokal, Netzwerk oder FTP).

4. Verbindungsmanager Öffnet den Verbindungsmanager zum Einrichten und Bearbeiten von Lokalen-, Netzwerk- oder FTP-Verbindungen.
>> Hilfe zum Verbindungsmanager
5. Zurücksetzen Bei allen Dateioperationen im claviscom DATA DRIVE wird das aktuelle Verzeichnis für jeden weiteren Zugriff gesperrt (grau hinterlegt!). Beispielsweise bei einem Absturz wird diese Sperre nicht mehr zurück gesetzt und kann nur manuell über diesen Schalter aufgehoben werden.
6. Default Encryption ALG Eingestelltes Verschlüsselungssystem und der verwendetet Verschlüsselungsalgorithmus.

Zur Zeit mögliche Einstellungen für das Modul claviscom DATA DRIVE:

  • SYMM-AES
    Passwortbasierte symmetrische Verschlüsselung mit dem AES-Algorithmus (Schlüssellänge 256 Bit).
  • SYMM-Blowfish
    Passwortbasierte symmetrische Verschlüsselung mit dem Blowfish-Algorithmus (Schlüssellänge 448 Bit).
  • HYBRID-AES
    Zertifikatsbasierte asymmetrische Schlüsselverwaltung nach dem PKCS-Verfahren von RSA und interne Verschlüsslung der Daten mit dem AES-Algorithmus (Schlüssellänge 256 Bit).
  • HYBRID-Blowfish
    Zertifikatsbasierte asymmetrische Schlüsselverwaltung nach dem PKCS-Verfahren von RSA und interne Verschlüsslung der Daten mit dem Blowfish-Algorithmus (Schlüssellänge 448 Bit).

HINWEIS In der SCHLÜSSELVERWALTUNG wird festgelegt, ob beim SYMM-System ein Passwort oder eine EC-/KV-Karte verwendet wird.

Siehe auch
>> Hilfe zum claviscom DATA DRIVE
>> Hilfe zum Verbindungsmanager
>> Einrichten und Verwendung des claviscom DATA DRIVE

PARTITION DRIVE
Einstellungsseite für das claviscom PARTITION DRIVE, das virtuelle Laufwerk zum verschlüsselten Speichern von Dateien.
ACHTUNG Je nach Version können einzelne Optionen nicht verfügbar sein bzw. voneinander abweichen!

1. PARTITION DRIVE aktivieren / deaktivieren

Aktiviert oder Deaktiviert das claviscom PARTITION DRIVE.
Die Schalter zum 'Signieren und Verschlüsseln (SME für...)' und 'Entschlüsseln und Verifizieren (SME auspacken...)' werden dementsprechend ein- oder ausgeblendet.

2. Aktualisieren

Gleicht die Einstellungen mit anderen Dialogen ab.

3. | Eingerichtete Verbindungen | Liste der aktuell auf dem Rechner eingerichteten virtuellen Laufwerke mit Initialverzeichnis (Speicherort).
4. Verbindungsmanager Öffnet den Verbindungsmanager zum Einrichten und Öffnen von virtuellen Laufwerken.
>> Hilfe zum Verbindungsmanager
5. | Protokolldatei öffnen | Öffnet die Protokolldatei des claviscom PARTITION DRIVE.
5. Default Encryption ALG Eingestelltes Verschlüsselungssystem und der verwendetet Verschlüsselungsalgorithmus.

Zur Zeit mögliche Einstellungen für das Modul claviscom PARTITION DRIVE:

  • SYMM-AES: Passwortbasierte symmetrische Verschlüsselung mit dem AES-Algorithmus (Schlüssellänge 256 Bit).
  • SYMM-Blowfish: Passwortbasierte symmetrische Verschlüsselung mit dem Blowfish-Algorithmus (Schlüssellänge 448 Bit).
  • HYBRID-AES: Zertifikatsbasierte asymmetrische Schlüsselverwaltung nach dem PKCS-Verfahren von RSA und interne Verschlüsslung der Daten mit dem AES-Algorithmus (Schlüssellänge 256 Bit).
  • HYBRID-Blowfish: Zertifikatsbasierte asymmetrische Schlüsselverwaltung nach dem PKCS-Verfahren von RSA und interne Verschlüsslung der Daten mit dem Blowfish-Algorithmus (Schlüssellänge 448 Bit).

HINWEIS In der SCHLÜSSELVERWALTUNG wird festgelegt, ob beim SYMM-System ein Passwort oder eine EC-/KV-Karte verwendet wird.

Siehe auch
>> Hilfe zum Einrichten von claviscom PARTITIION DRIVE
>> Hilfe zum Verbindungsmanager

LOGON
Einstellungsseiten für das claviscom LOGON Modul, dem zusätzliche Schutz bei der Windowsanmeldung an Ihren Rechner.
HINWEIS Hierzu ist ein Kartenleser oder USB-Token (z. B. von Aladdin) zwingend erforderlich!
ACHTUNG Je nach Version können einzelne Optionen nicht verfügbar sein bzw. voneinander abweichen!

1. LOGON aktivieren / deaktivieren

Aktiviert oder Deaktiviert das claviscom LOGON Modul, dem zusätzliche Schutz bei der Windowsanmelden an Ihren Rechner. Dazu ist ein Chipkartenleser mit entsprechender Chipkarte (EC-Karte, Krankenversicherten-Karte oder Zertifikatschipkarte) bzw. einen USB-Token (z. B. von Aladdin) zwingend erforderlich!

2. Aktualisieren

Gleicht die Einstellungen mit anderen Dialogen ab.

3. Beim Ziehen der Chipkarte.. ...nichts machen [Strg]
 Wenn Sie de Chipkarte ziehen, passiert nichts!

...den PC sperren [Umschalt]
 Wenn Sie die Chipkarte aus dem Chipkartenleser ziehen, wird Ihr Computer gegen unberechtigten Zugriff gesperrt.
HINWEIS Das 'Sperren' des Computers wird zur Zeit noch nicht unter Windows NT unterstützt.

...den PC ausloggen [Alt]
 Wenn Sie die Chipkarte aus dem Chipkartenleser ziehen, werden Sie ausgeloggt und alle Programme geschlossen. Nun können Sie sich erneut mit Ihrer Chipkarte anmelden.

...den PC herunterfahren [Alt+Strg]
Wenn Sie die Chipkarte aus dem Chipkartenleser ziehen, wird Ihr Computer komplett heruntergefahren.

TIPP Die vorgenommene Einstellung wird ignoriert, wenn beim Ziehen der Chipkarte gleichzeitig die entsprechende Taste in der Klammer gedrückt wird. Bei der Alt-Taste beispielsweise wird der PC auf jeden Fall ausgeloggt, egal welche Option eingestellt ist.

4. | Beschleunigen / Bremsen | Mit diesem Schieberegler können Sie die Geschwindigkeit während des claviscom LOGON Vorgangs einstellen. Je weiter links der Regler steht, je schneller erfolgt der Anmeldevorgang. Hierbei können jedoch unter gewissen Umständen Probleme auftreten, weil die Zeit zum Laden alle Module, Treiber und Services des Betriebssystem nicht ausreicht. Dadurch arbeitet claviscom LOGON nicht einbandfrei und gibt eine Fehlermeldung aus. Durch das Verschieben des Schiebereglers nach rechts räumen Sie dem Betriebssystem mehr Zeit ein.
5. | Kontoliste | Übersicht über alle eingerichteten Konten mit Auflistung des Anmeldenamen, der Domain, des Kartentypt, der Konten-ID, der Kontendatei und des Verschlüsselungsverfahrens.
6. Konto erstellen Simuliert einen Anmeldevorgang zum Erstellen eines Kontos.
HINWEIS Bitte beachten Sie, das eine Anmeldung mit Zertifikatschipkarte (siehe Optionen) nur möglich ist, wenn in der Zertifikatsdatenbank 'My' des Systemuser kein Softwarezertifikat steht. Bitte kontrollieren Sie im claviscom CERTMANAGER, ob bei gezogener Zertifikatschipkarte oder USB-Token ein Zertifikat angezeigt wird.
>> CERTMANAGER Optionen
7. | Konto Entfernen | Löscht die selektierten Konten aus der Liste 5.
8. | Protokolldatei | Öffnet die Log-Datei mit umfangreichen Informationen.
9. Konto testen Simuliert einen Anmeldevorgang zum Testen eines Kontos.
HINWEIS Der Simulationsvorgang entspricht nicht in allen Details dem realen Anmeldevorgang. Führen Sie deshalb den Ersten realen Anmeldevorgang NICHT mit deaktivierter Escape-Taste durch, um notfalls noch zur normalen Windowsanmeldung wechseln zu können!
10. Optionen

Liste aller möglichen Einstellungen:

Zertifikatschipkarte zur Windowsanmeldung zulassen
Es werden beim Anmeldevorgang zertifikatsbasierte Chipkarten (z. B. vom Trustcenter) akzeptiert. Hierzu gehört beispielsweise auch der eToken von Aladdin.

EC-Karte mit Chip zur Windowsanmeldung zulassen
Es werden beim Anmeldevorgang 'EC-Karten' (mit Chip) akzeptiert.
HINWEIS Für die EC-Karte ist die PC/SC-Schnittstelle notwendig, die mit dem Windows-Betriebssystem mitgeliefert wird.

Krankenversichertenkarte zur Windowsanmeldung zulassen
Es werden beim Anmeldevorgang 'Krankenversicherten-Karten' (KV-Karten) akzeptiert.
HINWEIS Für die Krankenversicherten-Karte benötigen Sie eine CT32 Schnittstellen DLL, die mit den Treibern des B1 kompatiblen Kartenlesers installiert wird.
>> Hilfe zu CT32 - DLL Einrichtung

Wechsel zum normalen Logon mit Abbruch (ESC) im Anmeldemodus zulassen
Erlaubt oder Unterbindet während des Anmeldevorgangs den Wechsel zur normalen Windowsanmeldung.
HINWEIS Die Aktivierung dieser Option erhöht zwar die Sicherheit der Anmeldung, beinhaltet jedoch die Gefahr, dass bei Verlust oder Defekt der Chipkarte der komplette Zugang zum Rechner unterbunden ist.

Wechsel zum normalen Logon mit Abbruch (ESC) im Sperrmodus zulassen
Erlaubt oder Unterbindet den Wechsel zur normalen Windowsanmeldung, während der Computer gesperrt ist.

Gesicherter Bildschirmschoner
Bei Aktivierung ist nach dem Auslösen des Bildschirmschoners eine Anmeldung mit Ihrer Chipkarte zwingend erforderlich.
HINWEIS Entspricht beim Bildschirmschoner der 'Kennworteingabe bei Reaktivierung'!

Kontenerstellung für neue Chipkarten während der Windowsanmeldung NICHT zulassen
Erlaubt oder Unterbindet das Erstellen von Anmeldekonten während dem Anmeldevorgang. Wenn diese Option aktiviert ist, können die Konten nur über den Schalter 9 'Konto erstellen' angelegt werden.
HINWEIS Die Aktivierung dieser Option erhöht zwar die Sicherheit der Anmeldung, beinhaltet jedoch die Gefahr, dass bei Verlust oder Defekt der Chipkarte der komplette Zugang zum Rechner unterbunden ist.

Nur positiv auf einer Sperrliste (Revocationlist) geprüfte Zertifikate zulassen
Bei der Verwendung von Zertifikatschipkarten für die Windowsanmeldung, kann eine automatische Sperrlistenüberprüfung durchgeführt werden. Gesperrte Zertifikate werden damit nicht zu Anmeldung zugelassen!
HINWEIS Die Aktivierung dieser Option sollte nur erfolgen, wenn Sie ganz genau wissen, was Sie tun. Wenn Ihre Chipkarte oder das Zertifikat keine Sperrlisten unterstützt oder ein direkter Zugriff nicht möglich ist, dann kann der Anmeldevorgang unmöglich werden.

Soll die Verfügbarkeit des privaten Schlüssels intensiv getestet werden? Dies ist bei einigen CSPs notwendig, die einen permanenten Link in der Datenbank eintragen!
Die Aktivierung dieser Option ist notwendig, wenn der CSP das Zertifikat in die Windows-Zertifikatsdatenbank einträgt. In diesem Fall erfolgt eine zusätzliche Verfügbarkeitsprüfung, wofür eine Authentifikation mit Passworteingabe nötig ist.
HINWEIS Wenn mehrere Chipkartenleser oder USB-Token angeschlossen sind, dann muss das Passwort für jedes Gerät eingegeben werden!

Soll eine bereit bestehende GINA-Verkettung mitgeladen werden?
Hinter der Windows-Anmeldung von Microsoft verbirgt sich die sogenannte GINA (Graphical Identification and Authentication). Diese GINA wird von unserer Software und vielen weiteren Programmen ausgetauscht, wie beispielsweise auch von Virenscanner. Wenn mehr wie ein Programm eine eigene GINA benötigt, dann werden diese in der Regel verkettet. Durch dieses 'Huckepackverfahren' wird eine GINA nach der anderen aufgerufen.
HINWEIS Um Probleme zu vermeiden, sollte dies Option IMMER aktiviert sein!

Soll die Zertifikatsdatenbank 'Eigene Zertifikate' als Systemuser immer zurück gesetzt werden?
Die CSPs (Crypto service provider) tragen einen Link der Zertifikate auf den Token (USB-Token oder Chipkarte) in der Windows Zertifikatsdatenbank ein. Dies ist erforderlich, damit unsere Software auf die Zertifikate zugreifen kann. Einige CSPs entfernen nach der Operation die Zertifikatseinträge nicht oder nur unvollständig, was in der Regel auch kein Problem darstellt. Wenn sich jedoch mehrere Personen mit unterschiedlichen Zertifikaten an einem Rechner angemeldet haben, füllt sich die Zertifikatsdatenbank mit Links. Dadurch ist vor der Anmeldung die manuelle Auswahl Ihres Zertifikates aus der Liste notwendig.
Bei Aktivierung dieser Option werden vor der Anmeldung alle Links gelöscht, wodurch die Auswahl des eigenen Zertifikates wegfällt.

Soll der Sicherheitsdialog (VOR ANMELDUNG Strg+Alt+Entf DRÜCKEN) automatisch übersprungen werden?
Aus Sicherheitsgründen kann bei den modernen Windowsbetriebssystemen vor der Anmeldung die Aufforderung zur Eingabe von Strg+Alt+Entf aktiviert werden. Dies stellt sicher, dass alle Prozesse terminiert werden, die beispielsweise die Eingabe des Passwortes protokollieren. Bei Aktivierung dieser Option wird die Sicherheitsoption Strg+Alt+Entf übersprungen.
HINWEIS Diese Option kann bei Windows NT von Vorteil sein, wo sich dieser Dialog nicht deaktivieren lässt!

11. Zertifikatszugriff über eine programmexterne Anbieterschnittstelle Viele CSPs (Crypto Service Provider) bieten ein Programmmodul an, mit dem ein Link vom Zertifikat auf der Chipkarte oder dem USB-Token in der Windows Zertifikatsdatenbank eingetragen wird. Dies ist erforderlich, damit mit dieser Software auf das Zertifikat zugegriffen werden kann. Bei diesen Programmmodulen kann es sich um eine EXE- oder eine DLL-Datei handeln.

Zahlreiche dieser Programmmodule werden von unserer Software erkannt und automatisch in der Liste eingetragen. Sollte dies nicht der Fall sein, so kann das entsprechende Modul auch manuell hinzufügt werden.
HINWEIS Um die entsprechenden Dateien in Erfahrung zu bringen, lesen Sie bitte die Anleitung Ihrer Chipkarten- oder Ihres Chipkartenlesers, bzw. wenden sich an deren Hersteller.

12. Zertifikatszugriff über eine programminterne Funktion Alternativ zu Punkt 11 bietet die Software auch die Möglichkeit eines direkten Zertifikatszugriffes an. Dazu muss im Pulldown-Menu der zu Ihrer Chipkarte oder dem USB-Token gehörenden CSP ausgewählt werden. Dieser CSP muss dafür korrekt in der Registry eingetragen sein und die entsprechenden Schnittstellen anbieten.
HINWEIS In der Regel ist der zu Ihrer Chipkarte oder dem USB-Token passende CSP am Namen zu erkennen. Sollte dies nicht der Fall sein, so lesen Sie bitte die Anleitung oder wenden sich an den Hersteller.
13. Default Encryption ALG Eingestelltes Verschlüsselungssystem und der verwendetet Verschlüsselungsalgorithmus.

Zur Zeit mögliche Einstellungen für das Modul claviscom LOGON:

  • HYBRID-AES
    Zertifikatsbasierte asymmetrische Schlüsselverwaltung nach dem PKCS-Verfahren von RSA und interne Verschlüsslung der Daten mit dem AES-Algorithmus (Schlüssellänge 256 Bit).
  • HYBRID-Blowfish
    Zertifikatsbasierte asymmetrische Schlüsselverwaltung nach dem PKCS-Verfahren von RSA und interne Verschlüsslung der Daten mit dem Blowfish-Algorithmus (Schlüssellänge 448 Bit).

Siehe auch
>> Hilfe zu claviscom LOGON (chipkartenbasierten Anmeldesystem)
>> Hilfe zu CT32 - DLL Einrichtung

CRYPTMAIL (Outlook)
Einstellungsseite für das Outlook AddIn, zum direkten Verschlüsseln und Signieren von Emails in Outlook (ab Outlook 2000 / nicht Outlook Express).
ACHTUNG Je nach Version können einzelne Optionen nicht verfügbar sein bzw. voneinander abweichen!

1. PlugIn aktivieren / deaktivieren

Aktiviert oder Deaktiviert das Outlook AddIn.
Die Schalter zum 'Signieren und Verschlüsseln (SME für...)' und 'Entschlüsseln und Verifizieren (SME auspacken...)' werden dementsprechend ein- oder ausgeblendet.

2. Aktualisieren

Gleicht die Einstellungen mit anderen Dialogen ab.

3. Default Encryption ALG Eingestelltes Verschlüsselungssystem und der verwendetet Verschlüsselungsalgorithmus.

Zur Zeit mögliche Einstellungen für das Modul claviscom CRYPTMAIL (Outlook PlugIn):

  • HYBRID-System: Zertifikatsbasierte asymmetrische Verschlüsselung nach dem PKCS-Verfahren von RSA.

HINWEIS In der SCHLÜSSELVERWALTUNG wird festgelegt, welcher Verschlüsselungsalgorithmus beim HYBRID-System verwendet wird.

Siehe auch
>> Hilfe zu claviscom CRYPTMAIL

KEYSAFE
Einstellungsseite für claviscom KEYSAFE, die einfach Passwort und Zugangsverwaltung.
ACHTUNG Je nach Version können einzelne Optionen nicht verfügbar sein bzw. voneinander abweichen!

1. Öffnen

Öffnet den ausgewählten claviscom KEYSAFE.

2. Aktualisieren

Gleicht die Einstellungen mit anderen Dialogen ab.

3. Liste aller claviscom KEYSAFE

Anzeige aller eingerichteten claviscom KEYSAFE mit Speicherort und Verschlüsselungsalgorithmus.

4. | Voreinstellung | Wählt den in Liste 3 selektierten claviscom KEYSAFE als Standard aus, welcher bei Öffnen über das Icon automatisch geöffnet wird.
5. | Entfernen | Löscht den in Liste 3 selektierten claviscom KEYSAFE.
6. | Hinzufügen | Erstellt einen neuen claviscom KEYSAFE mit den unter 8 gewählten Encryption Algorithmus.
7. | Protokolldatei öffnen | Öffnet die Protokolldatei mit alle erfolgreichen und nicht erfolgreichen Zugriffen.
8. Default Encryption ALG Eingestelltes Verschlüsselungssystem und der verwendetet Verschlüsselungsalgorithmus.

Zur Zeit mögliche Einstellungen für das Modul claviscom KEYSAFE:

  • SYMM-AES
    Passwortbasierte symmetrische Verschlüsselung mit dem AES-Algorithmus (Schlüssellänge 256 Bit).
  • SYMM-Blowfish
    Passwortbasierte symmetrische Verschlüsselung mit dem Blowfish-Algorithmus (Schlüssellänge 448 Bit).
  • HYBRID-AES
    Zertifikatsbasierte asymmetrische Schlüsselverwaltung nach dem PKCS-Verfahren von RSA und interne Verschlüsslung der Daten mit dem AES-Algorithmus (Schlüssellänge 256 Bit).
  • HYBRID-Blowfish
    Zertifikatsbasierte asymmetrische Schlüsselverwaltung nach dem PKCS-Verfahren von RSA und interne Verschlüsslung der Daten mit dem Blowfish-Algorithmus (Schlüssellänge 448 Bit).

HINWEIS In der SCHLÜSSELVERWALTUNG wird festgelegt, welcher Verschlüsselungsalgorithmus beim HYBRID-System verwendet wird.

Siehe auch
>> Hilfe zum claviscom KEYSAFE

SCHLÜSSELVERWALTUNG
Einstellungsseite für die Schlüsselverwaltung des HYBRID- und SYMM-Systems.
ACHTUNG Je nach Version können einzelne Optionen nicht verfügbar sein bzw. voneinander abweichen!

1. Zertifikatsmanager

Öffnet den claviscom CERTMANAGER, die Schaltzentrale für alle Zertifikate und Berechtigungen.

2. Aktualisieren

Gleicht die Einstellungen mit anderen Dialogen ab.

3. Zertifikatsmanager als Systemuser Öffnet den claviscom CERTMANAGER als Systemuser.
HINWEIS In diesem Kontext eingetragene Zertifikate können beispielsweise beim claviscom LOGON Modul zu Fehlern und Problemen führen.
4. Encryption (RSA-OIDs) Auswählen des verwendeten Verschlüsselungsalgorithmus beim HYBRID-System.
HINWEIS Der gewählte Verschlüsselungsalgorithmus muss vom CSP und dem Zertifikat unterstützt werden und kann mit Schalter 6 getestet werden.
TIPP Für weitere Informationen siehe PKCS-Handbuch (http://www.rsa.com)
5. Signature (RSA-OIDs) Auswählen des verwendeten Signaturalgorithmus beim HYBRID-System.
HINWEIS Der gewählte Signaturalgorithmus muss vom CSP und dem Zertifikat unterstützt werden und kann mit Schalter 6 getestet werden.
TIPP Für weitere Informationen siehe PKCS-Handbuch (http://www.rsa.com)
6. | Einstellungen mit CSP testen | Der Crypto Servie Provider CSP ist für den Zugriff der Anwendungen auf der Zertifikat zuständig. Nicht jeder CSP unterstütz dabei alle Verschlüsselungs- und Signaturalgorithmen, sodass dieser mit den unter Punkt 4 und 5 gewählten Einstellungen getestet werden kann.
6. | Passwortbasierte Schlüsselverwaltung | Beim SYMM-System erfolgt die Verschlüsselung oder Zugriffskontrolle durch die Eingabe eines Passwortes.
8. Chipkartenbasierte Schlüsselverwaltung Beim SYMM-System erfolgt die Verschlüsselung oder Zugriffskontrolle durch eine Chipkarte (Chipkartenleser erforderlich!).

Zur Zeit unterstützte Chipkarten:

  • EC-Karte mit Chip
    HINWEIS Für die EC-Karte ist die PC/SC-Schnittstelle notwendig, die mit dem Windows-Betriebssystem mitgeliefert wird
  • KV-Karte (Krankenversichertenkarte)
    HINWEIS Für die Krankenversicherten-Karte benötigen Sie eine CT32 Schnittstellen DLL, die mit den Treibern des B1 kompatiblen Kartenlesers installiert wird.
    >> Hilfe zu CT32 - DLL Einrichtung

HINWEIS siehe auch Punkt SecureID anfordern 8.

9. SecureID anfordern Liefert die SecureID für alle unterstützen Chipkarten (EC-/KV-Karte).
Sollte Ihre Chipkarte defekt oder nicht mehr auffindbar sein, dann können Sie mit Hilfe der entsprechende SecureID auf Ihre Daten zugreifen (z. B. Dateien Entschlüsseln, Laufwerke oder Passworttresor öffnen).
 HINWEIS Hinterlegen Sie aus Sicherheitsgründen die SecureID von jeder eingesetzten Chipkarte an einen sicheren Ort.

Siehe auch
>> Hilfe zum claviscom CERTMANAGER

ADMINISTRATION
Einstellungsseite für den Administrationsmodus. Hier kann der Administrationsserver und die SMALL PKI administriert werden.
ACHTUNG Für den Administrationsmodus sind Administrationsrechte erforderlich! Je nach Version können einzelne Optionen nicht verfügbar sein bzw. voneinander abweichen!

1. | Administrationsmodus aktivieren / deaktivieren | Aktiviert oder Deaktiviert den Administrationsmodus. Bei aktiviertem Administrationsmodus können normale Anwender (Benutzerrechte) keine kritischen Einstellungen vornehmen. HINWEIS Bei aktiviertem Administrationsmodus werden kritische Einstellungen unter HKLM gespeichert! (Berechtigungen in der Registry beachten!) >> Verwenden des Administrationsmoduls
2. | Aktualisieren | Gleicht die Einstellungen mit anderen Dialogen ab.
3. | Administrationsserver | Hier wird der Rechnername (Domäne) eingetragen, auf dem die administratorprivilegierten Einstellungen unter HKLM gespeichert werden.
4. | Small PKI nicht verwenden | Deaktiviert die SMALL PKI und entfernt damit den Punkt Small PKI aus dem claviscom CERTMANAGER. Damit kann der Benutzer nur noch auf die eigene Zertifikatsdatenbank zugreifen. >> Verwendung der Small PKI
5. | Small PKI aktivieren | Bei Aktivierung wird im claviscom CERTMANAGER zusätzlich der Punkt Small PKI angezeigt, auf dem alle Anwender (auch übers Netzwerk) zugreifen können. Dazu werden die Zertifikate auf dem Server (Punkt 6) in der Registry unter HKLM gespeichert. (Berechtigungen in der Registry beachten!) >> Verwendung der Small PKI
6. | Small PKI Server | Eingabefeld für den Server, auf dem alle Zertifikate für die Small PKI und deren Einstellungen unter HKLM gespeichert sind.
7. | Verfügbare Datenbanken | Anzeige aller verfügbaren Windows-Zertifikatsdatenbanken auf dem unter Punkt 6 angegebenen Server.
8. | Hinzufügen | Fügt die links selektierte Datenbank der rechten Liste hinzu. HINWEIS In der Regel ist die Zertifikatsdatenbank 'MY' ausreichend!
9. | Entfernen | Löscht die rechts in der Liste selektierte Datenbank.
10. | Anzuzeigende Datenbanken | Diese Datenbanken werden im claviscom CERTMANAGER unter Small PKI angezeigt.
11. | Dateibasierte Zertifikatsdatenbank | Um unabhängig von der Windows-Zertifikatsdatenbank zu sein, können die Zertifikate auch in einer Datei abgelegt werden. Diese Datei kann sich beispielsweise auch auf dem Server befinden, sodass alle Anwender im Netzwerk auf die selben Zertifikate zugreifen können. HINWEIS Zur Zeit können nur öffentliche Schlüssel in dieser Datenbank abgelegt werden. Die Privaten Schlüssel müssen lokal verfügbar sein, z. B. als Softwarezertifikat oder auf einem externen Token!
12. | Lokale Module synchronisieren | Vergleicht die lokal installierten Module (Client) mit den Modulen auf dem Server und führt gegebenenfalls ein Update durch. HINWEIS Wenn die Sicherheitssoftware auf dem Server installiert ist und auf dem Clients nur über einen Link ausgeführt wird, dann muss für einen einbandfreien Betrieb die Software einige Module (z. B. Services) auf dem Client durch Kopieren verfügbar machen.
13. | Module aktivieren / deaktivieren | Je nach Status werden beim Drücken dieses Schalters alle Module aktiviert bzw. deaktiviert. Dies entspricht einer Installation oder Deinstallation, ohne das die Dateien gelöscht werden.

Siehe auch
>> Hilfe zum claviscom CERTMANAGER
>> Verwendung der Small PKI

ALLGEMEIN
Allgemeine Einstellungsseite!
ACHTUNG Je nach Version können einzelne Optionen nicht verfügbar sein bzw. voneinander abweichen!

1. Voreinstellung

Setzt die Einstellungen entsprechend der Voreinstellungen zurück.

2. Aktualisieren

Gleicht die Einstellungen mit anderen Dialogen ab.

3. Dialog im XP-Design anzeigen Auswahl des Designs, in dem die Programmfenster angezeigt werden.

Zur Zeit werden folgende Designs angeboten:

  • Klassisches Design
  • XP-Design
4. Nachrichtenfenster Anzeige aller deaktivierbaren Nachrichten. Dazu muss nur in dem entsprechenden Nachrichtenfenster 'Dialog nächstes mal anzeigen' ausgeschaltet werden!
5. Sprache Auswahl der angezeigten Sprache.

Zur Zeit werden folgende Sprachen angeboten:

  • Deutsch
  • English
  • Spanisch (Beta)
6. Schredderlevel Über den Schredderlevel können Sie angeben, wie häufig die Original- und Temorärdateien überschrieben werden.
>> Hilfe zum claviscom SHREDDER
7. Exportieren Exportiert alle wichtigen Einstellungen in eine XML-Datei, um beispielsweise auf einem weiteren Rechner oder nach einer Neuinstallation alle gewohnten Einstellungen vorzufinden.
HINWEIS Die X.509 Zertifikate aus der Windowszertifikatsdatenbank können nicht gespeichert werden und müssen separat gesichert werden (PFX-Format).
8. Importieren Importiert eine vorher gespeicherte XML-Datei zu Widerherstellung der gespeicherten Einstellungen.
HINWEIS X.509 Softwarezertifikate (PFX-Format) müssen separat installiert werden.
TIPP Zur Erleichterung der Administration kann die Einstellungsdatei auch in dem CTRL-Verzeichnis (im Programmverzeichnis) abgelegt werden, von wo sie automatisch durch die Software geladen wird.
CT32 - DLL
Einstellungsseite zum Suchen und Festlegen der Kartenleserschnittstelle (CT32 - DLL)!
ACHTUNG: Je nach Version können einzelne Optionen nicht verfügbar sein bzw. voneinander abweichen!

1. | Suchen | Durchsucht Ihren Rechner nach einer CT32 - DLL (Kartenleserschnittstelle). HINWEIS Dieser Vorgang kann mehrere Minuten dauern.
2. | Aktualisieren | Gleicht die Einstellungen mit anderen Dialogen ab.
3. | Aktuelle CT32 - DLL | Anzeige der installierten CT32 - DLL. HINWEIS Über das Button '...' kann eine individuelle CT32 - DLL ausgewählt werden.
4. | Zurück setzen | Entfernt den eingetragen Link.
5. | Portadresse | Angabe der Portadresse des Kartenlesers. Bei 'Automatisch' durchsucht das Programm alle Ports nach dem angeschlossenen Kartenleser oder er kann hier manuell angegeben werden. Die manuelle Angabe beschleunigt den Zugriff.


claviscom: Erstellung und Installation eines Zertifikates

Notwendigkeit eines Zertifikates
Die asymmetrische Verschlüsselung (HYBRID-System) beruht auf der Verwendung von X.509 Zertifikaten mit einem öffentlichen (Public Key) und einem privaten Schlüssel (Private Key). Auf diesem System baut die Software von claviscom auf.

Erstellung eines Zertifikates
ACHTUNG: Bei den durch diese Software erstellten Zertifikaten handelt es sich um selbstsignierte Zertifikate. Diese sind damit nicht authentisch, das heißt sie sind nicht durch eine öffentliche Zertifizierungsstelle bestätigt und sollten nur im privaten Umfeld eingesetzt werden. Für ein authentisches Zertifikat wenden Sie sich bitte an ein öffentliche Zertifizierungsstelle, wie z. B. TC Trustcenter oder D-Trust.

1. Ein selbstsigniertes Zertifikat können Sie mit wenigen Klicks über das Modul claviscom SELFCERT erstellen. Klicken Sie einfach auf das folgende Icon.

2. Danach müssen Sie noch bestätigen, dass Sie die erstellten selbstsignierten Zertifikate nicht missbrauchen und nur privat nutzen.

3. Im Dialog claviscom SELFCERT geben Sie nun Ihren Namen, Ihre Email-Adresse, die Schlüssellänge und die Laufzeit ein.

4. Das Zertifikat können Sie vor einer unberechtigten Installation durch ein Passwort schützen. Dieses Passwort hat nichts mit dem Kennwort zu tun, welches Sie später für Ihre Datenverschlüsselung und Signatur verwenden. Dieses wird am Ende der Zertifikatsinstallation festgelegt.

5. Das erstellte Zertifikat wird in Form einer PFX-Datei gespeichert. Sichern Sie diese Datei vor unberechtigten Zugriffen und legen Sie sich unbedingt eine Sicherheitskopie auf Diskette an.
ACHTUNG: Bei einer Neuinstallation Ihres Rechners, einem harten Systemcrash oder einem versehentlichen Löschen des Zertifikats ist eine Entschlüsselung Ihrer Daten nur mit diesem Originalzertifikat möglich. Das erneute Erstellen eines gleichnamigen Zertifikates hilft Ihnen in diesem Fall nicht weiter, weil der entsprechende Schlüssel durch interne Zufallsgeneratoren immer wieder neu generiert wird und sich niemals wiederholt.

6. Nun können Sie das erstellte Zertifikat direkt in Ihre Zertifikatsdatenbank importieren. Dazu sehen Sie sich die Anleitung zur Installation eines Zertifikates an.

Installation eines Zertifikates
1. Zur Installation eines Zertifikates müssen Sie nur ein doppelt auf eine Zertifikatsdatei klicken. Diese haben die Dateiendung PFX oder P12.

Wenn Sie sich vorher mit dieser Software ein selbstsigniertes Zertifikat erstellt haben, den letzten Dialog mit 'Ja' bestätigt haben, dann startet die Installationsroutine automatisch.

2. Auf der 2. Seite des Installationsassistenten wird noch einmal das zu installierende Zertifikat angezeigt.

3. Auf der 3. Seite müssen Sie das Passwort eingeben, mit dem das Zertifikat geschützt ist. Sinnvoll ist es auch, die beiden Punkte 'Hohe Sicherheit' und 'Exportierbarkeit' zu aktivieren. Dadurch können Sie am Ende der Installation den Zugriff auf Ihr Zertifikat mit einem Passwort schützen und später auch wieder mit privaten Schlüssel exportieren.

4. Auf der 4. Seite müssen Sie die Zertifikatsdatenbank auswählen, in dem das Zertifikat gespeichert werden soll. Dazu wird der Punkt 'Alle Zertifikate in folgendem Speicher speichern' ausgewählt. Über das Button 'Durchsuchen...' öffnet sich der Dialog zum Auswählen des Zertifikatsspeichers. Hier ist der erste Punkt 'Eigene Zertifikate' zu wählen. Nach dem Bestätigen mit dem Button 'OK' schließt sich der Dialog wieder und in dem Feld Zertifikatsspeicher steht nun die Zertifikatsdatenbank 'Eigene Zertifikate'.

5. Auf der letzten Seite werden noch einmal alle relevanten Daten angezeigt. Den Installationsassistenten schließen Sie mit dem Button 'Fertig stellen'.

6. Zum Schluss muss noch die Sicherheitsstufe festgelegt werden. Klicken Sie dazu auf das Button 'Sicherheitsstufe..'.

7. Hier sollten Sie die Stufe 'Hoch' wählen, damit Sie bei jeder Signier- oder Entschlüsselungsaktion nach dem Passwort gefragt werden.

8. Danach müssen Sie noch ein Passwort eingeben und das Button 'Fertig stellen'' klicken.

9. Nun müssen Sie nur noch den Dialog (siehe Punkt 5) mit 'OK' bestätigen. Damit ist die Installation des Zertifikates abgeschlossen und Sie finden Ihr Zertifikat im claviscom CERTMANAGER in der Datenbank 'My (Private Zertifikate)'. Über das Button 'Aktivieren' können Sie dieses Zertifikat als Ihr 'Eigenes Zertifikat' (gelb hinterlegter Schlüssel) festlegen. In Zukunft werden alle Signier- und Verschlüsselungsoperationen mit Hilfe dieses Zertifikates durchgeführt.


claviscom: claviscom CRYPT Technik

Die unterschiedlichen Arten und Systeme der Verschlüsselung
Prinzipiell können Daten für zwei unterschiedlichen Zwecke verschlüsselt werden:

I. Die Verschlüsselung der eigenen Daten, damit niemand darauf zugreifen kann.

II. Die Verschlüsselung von Daten, um dieses über das Internet einer anderen Person zukommen zu lassen, ohne das ein Dritter die Daten lesen kann.

Am Beispiel des Datei Explorer PlugIns wollen wir hier auf die einzelnen Möglichkeiten der Verschlüsselung von Dateien und Ordnern eingehen. Daneben bietet claviscom weitere speziellen Modulen an, die auf separaten Hilfe- und Technikseiten beschrieben sind.

Sollen Daten zum Schutz vor fremden Zugriff geschützt werden (Punkt I), können Sie sowohl auf das passwortbasierte SYMM-System und das zertifikatsbasierte HYBRID-System zurück greifen. Für die Versendung von verschlüsselten Daten zu einem Empfänger (Punkt II) ist vor allem das zertifikatsbasierte HYBRID-System geeignet.

SYMM-System

Das passwortbasierte SYMM-System ist besonders für Privatpersonen und kleinere Firmen geeignet. Zur Verschlüsselung von Dateien muss nur ein Passwort eingegeben oder aber eine EC- oder KV-Karte eingelegt werden. Dieses Passwort oder die EC- oder KV-Karte wird für die Entschlüsselung benötigt. Der Vorteil des SYMM-Systems ist deren einfache Bedienung, es kann einfach losgelegt werden ohne sich um weitere Dinge (z. B. Zertifikate) zu kümmern. Dieses System ist vor allem beim Schutz der Daten auf dem eigenen Rechner geeignet (Punkt I). Sollten Sie hiermit dennoch Daten für eine andere Person verschlüsseln (Punkt II), so muss auf jeden Fall das Passwort dem Empfänger mitgeteilt werden.

HYBRID-System

Das zertifikatsbasierte HYBRID-System ist dagegen vor allem für Firmen geeignet. Für die Verschlüsselung muss zwingend ein X.509 Zertifikat vorhanden sein. Dabei kann es sich um ein Softwarezertifikat oder aber über ein Zertifikat auf einem externen Token (Chipkarte, USB-Token) handeln. Der Vorteil des HYBRID-Systems liegt in der Möglichkeit neben dem eigenen Zertifikat auch weitere Zertifikate auszuwählen. Wurden beispielsweise Backup-Zertifikate festgelegt, so können die Daten auch durch die zusätzlichen Zertifikatsbesitzer entschlüsselt werden. Vor allem für den Datenaustausch (Punkt II) eignet sich das HYBRID-System. Die ausgewählten Dateien werden mit den öffentlichen Schlüsseln (Public Keys) der Empfänger verschlüsselt und nur die Besitzer des passenden privaten Schlüssels können die Daten wieder entschlüsseln. Dabei ist die Übermittlung des Passwortes nicht erforderlich.

Siehe auch
>> Hilfe zur Erstellung und Installation eines Zertifikates
>> Lexikon: Asymmetrische Verschlüsselung, Blowfish, etc.

I. Verschlüsselung der eigenen Daten (SYMM- und HYBRID-System)
Gehen Sie wie folgt vor, um Ihre Daten im Datei Explorer mit Hilfe des PlugIns zu verschlüsseln, um diese vor fremden Zugriff zu schützen (nicht READER Version):

a. Einstellungen
Legen Sie in den 'Einstellungen' unter 'Explorer PlugIn' das Verschlüsselungssystem und den Verschlüsselungsalgorithmus fest. Beim SYMM-System können Sie in den 'Einstellungen' unter 'Schlüsselverwaltung' festlegen, ob Sie die Passwortbasierte oder die Chipkartenbasierte (zur Zeit EC- und KV-Karte) Schlüsselverwaltung wünschen. Beim HYBRID-System müssen Sie vorher Ihr Verschlüsselungs- und Signaturzertifikat im Zertifikatsmanager festgelegt haben.
HINWEIS Sobald Sie die Einstellungen einmal festgelegt haben, entfallen in Zukunft diese Schritte!

b. Datei Explorer
Öffnen Sie den Datei Explorer.

c. Auswählen der Dateien
Wechseln Sie in den Ordner, welcher die zu verschlüsselnden Dateien enthält und selektieren diese. Dabei kann es sich um Dateien und / oder Ordner handeln.

d. Verschlüsseln
Drücken Sie die rechte Maustaste und klicken auf den Punkt 'Verschlüsseln' im Untermenü von 'claviscom CRYPT' oder verwenden den CRYPT ASSISTENTEN.

e. Komprimieren und Verschlüsseln
Wenn Sie 'Komprimieren und Verschlüsseln' gewählt haben, dann werden alle Dateien im einem ZIP-Archiv zusammengefasst. Hier müssen Sie den Dateinamen und Speicherort angeben.

INFO: Wenn Sie nur 'Verschlüsseln' gewählt haben, so wird jede Datei einzeln verschlüsselt und Sie müssen evtl. für jede Datei das Passwort eingegeben werden (Zertifikat mit hoher Sicherheit).

f. Passworteingabe
Nun folgt die Passworteingabe. Beim SYMM-System geben Sie das gewünschte Passwort in das 1. Feld ein und wiederholen das Passwort in Feld 2. Alternativ wird Ihre EC- oder KV-Karte angefordert. Beim HYBRID-System müssen Sie nun Ihre Zertifikatschipkarte oder den USB-Token einlegen. Bei Softwarezertifikaten wird nur bei eingestellter hoher Sicherheit das Passwort benötigt. Die Dateien haben beim SYMM-System die Bezeichnung DATEINAME.CR2 (komprimiert DATEINAME.ZIP.CR2) und beim HYBRID-System die Bezeichnung DATEINAME.CRP (komprimiert DATEINAME.ZIP.CRP). Je nach Einstellung werden die Originaldateien gelöscht.

g. Entschlüsseln oder Öffnen
 Die verschlüsselten Dateien können durch einen Doppelklick auf die Datei oder über den Menüpunkt 'Entschlüsseln' entschlüsselt werden. Möchten Sie die Daten nur bearbeiten ohne permanent zu Entschlüsseln, so wählen Sie den Menupunkt 'Öffnen' aus. Die Datei wird dabei temporär entschlüsselt und mit dem verknüpften Programm geöffnet (DOC-Dateien beispielsweise mit Word). Sollten Sie den Dateiinhalt ändern, so wird die verschlüsselte Datei im Hintergrund aktualisiert.

INFO: Der claviscom CRYPTZIP bietet ebenfalls die Funktionalität zum Verschlüsseln an. Eine weitere, sehr elegante Methode ist die Verwendung des claviscom CRYPTDRIVE oder claviscom SHAREDDRIVE, bei denen die Verschlüsselung im Hintergrund durchgeführt wird. Das Arbeiten erfolgt wie auf einem normalen Laufwerk.

II. Verschlüsselung für einen Empfänger (HYBRID-System)
Die asymmetrische Verschlüsselung (HYBRID-System) hat große Vorteile beim Versand von Daten über unsichere Kanäle (z. B. Email, Internet). Der Vorteil ist, dass das Passwort dem Empfänger nicht mitgeteilt werden muss. Sie brauchen nur mit dem öffentlichen Schlüssel des Empfängers (siehe auch Anleitung zum Austausch des öffentlichen Schlüssels) die Daten verschlüsseln. Nur der Empfänger kann mit seinem privaten Schlüssel die Daten wieder entschlüsseln. Für diesen Zweck bietet sich das Erstellen einer SME-Datei (Secure Message Envelope) an. Folgende Anleitung zeigt Ihnen die Vorgehensweise:

a. Einstellungen
Wählen Sie in den 'Einstellungen' unter 'Explorer PlugIn' das HYBRID-System als 'Default-Encryption-ALG' aus. Sollten Sie noch kein eigenes Verschlüsselungszertifikat festgelegt haben, so legen dieses im Zertifikatsmanager (CERTMANAGER) fest.
HINWEIS Sobald Sie die Einstellungen einmal festgelegt haben, entfallen in Zukunft diese Schritte!

b. Datei Explorer
Öffnen Sie den Datei Explorer.

c. Auswählen der Dateien
Wechseln Sie in den entsprechenden Ordner und selektieren die zu verschlüsselten Dateien. Dabei kann es sich um Dateien und / oder Ordner handeln.

d. Auswählen des Menupunktes
Drücken Sie die rechte Maustaste und klicken auf den Punkt 'Signieren und Verschlüsseln (SME für...)' im Untermenü von 'claviscom CRYPT'.

e. Auswählen des Empfängerzertifikates
Als erstes müssen Sie den öffentlichen Schlüssel (Public Key) des Empfängers auswählen, für den die Dateien verschlüsselt werden sollen. Dazu öffnet sich der claviscom CERTMANAGER , wo Sie z. B. in der Zertifikatsdatenbank 'My (Private Zertifikate)' ein Zertifikat auswählen können.

INFO: Bei der ENTERPRISE-Version können auch mehrere Zertifikate selektiert (gedrückte Strg-Taste) oder auf einen LDAP-Server zugegriffen werden.

f. Komprimieren und Verschlüsseln
Wenn Sie 'Komprimieren, Signieren und Verschlüsseln (SME für...)' gewählt haben, dann werden alle Dateien im einem ZIP-Archiv zusammengefasst. Hier müssen Sie den Dateinamen und Speicherort angeben.

INFO: Wenn Sie nur 'Signieren und Verschlüsseln (SME für...)' gewählt haben, so wird jede Datei einzeln verschlüsselt und Sie müssen evtl. für jede Datei das Passwort eingegeben werden (Zertifikat mit hoher Sicherheit).

g. Passworteingabe
Legen Sie nun Ihre Zertifikatschipkarte oder den USB-Token ein und geben das Passwort an. Bei Softwarezertifikaten wird nur bei eingestellter hoher Sicherheit das Passwort benötigt. Die Dateien besitzen die Bezeichnung DATEINAME.SME (komprimiert DATEINAME.ZIP.SME). Unabhängig von den Einstellung werden die Originaldateien NICHT gelöscht.

h. Emailversand
Sie können nun direkt die verschlüsselte Datei als Anlage einer Email senden. Dazu muss nur das Button 'Ja' gedrückt werden.

INFO: Je nach eingestellten Optionen kann dieser Dialog entfallen. (siehe Hilfe zu Einstellungen)

i. Email-Programm
Die verschlüsselten werden nun direkt an Ihr Email-Programm weitergeleitet (über MAPI-Schnittstelle). Wenn Sie online sind, dann können Sie die Email direkt senden.

g. Entschlüsseln oder Öffnen
 Nur der Empfänger mit dem passenden Zertifikat (Privater Schlüssel) ist in der Lage diese Datei wieder zu entschlüsseln! Dazu benötigt der Empfänger mindestens die kostenlose READER Version.

INFO: Eine elegante Methode zum Verschlüsseln des Email Textes inkl. der Anlagen bietet claviscom CRYPTMAIL (MAPI - SME Email und Outlook Plugin) (nur claviscom ENTERPRISE und claviscom CRYPTMAIL).


claviscom: Willkommen

Dialoge / Homepage
Alle Dialoge

>> Modulübersicht im claviscom MANAGER

>> claviscom CRYPT ASSISTENT

>> claviscom DATA DRIVE

>> claviscom EXPLORER PLUGIN

>> claviscom EINSTELLUNGEN

>> claviscom INTERNETCLEANER

>> claviscom KEYGENERATOR

>> claviscom LDAP

>> claviscom LOGON

>> claviscom CRYPTMAIL (Outlook AddIn)

>> claviscom PARTITION DRIVE (virtuelles Laufwerk)

>> claviscom PARTITION DRIVE Optionen

>> claviscom KEYEXCHANGE

>> claviscom REGISTRIERUNG / ANGEBOT

>> claviscom SHREDDER

>> claviscom SELFCERT

>> claviscom SIGNATURINFORMATION

>> claviscom CRYPTMAIL (MAPI - SME Email)

>> claviscom SUPPORT

>> claviscom KEYSAFE

>> claviscom VERBINDUNGSMANAGER

>> claviscom CERTMANAGER

>> claviscom ZERTIFIKATSPRÜFUNG (Revocation List)

>> claviscom CRYPTZIP

>> claviscom ZUGRIFFSPRÜFUNG


claviscom: claviscom MANAGER

claviscom READER Im Funktionsumfang dieser Version claviscom CRYPTO LE Im Funktionsumfang dieser Version clavisc om CRYPTO PRO Im Funktionsumfang dieser Version
Beschreibung des claviscom MANAGER
 Der claviscom MANAGER ist das Zentralmodul der Produktfamilie von claviscom, welcher sehr variabel und flexibel aufgebaut ist. Über ein Fenster, eine Leiste oder das Symbol in der Taskleiste bietet der claviscom MANAGER die Möglichkeit die einzelnen Module aufzurufen. Der claviscom MANAGER bietet außerdem über die rechte Maustaste die Möglichkeit eigene Verknüpfungen zu weiteren Programmen oder wichtigen Dokumenten und Ordner hinzuzufügen. Sie können jederzeit durch Drag & Drop eigene Verknüpfungen ergänzen oder an einen anderen Ort erzeugen.

Funktionsumfang:

  • Aufruf von alle angebotenen Softwaremodulen
  • Schnellstartleiste
  • Übersichtsfenster mit der Anzeige von kurzen Informationen
  • Tray-Icon neben der Uhr
  • Anzeige im Vordergrund
  • Löschen und Hinzufügen von einzelnen Links (auch individuelle!)

Übersicht claviscom MANAGER

1. | Fenster verschieben | Bei gedrückter rechter Maustaste auf diesem Button kann das Fenster verschoben werden.
2. | In den Hintergrund / Vordergrund | Über diesen Schalter können Sie festlegen, ob das Fenster permanent im Vordergrund bleibt oder nicht.
3. | Ausblenden | Mit diesem Button kann das Fenster geschlossen werden. Die Anwendung bleibt weiterhin gestartet und die einzelnen Module können über das Symbol in der Taskleiste (links neben der Uhr) geöffnet werden.
4. | Details ausblenden / anzeigen | Mit diesem Button können Sie zwischen der Vollansicht und der reinen claviscom MANAGER LEISTE umschalten.
5. | Beenden | Schließt die Anwendung komplett.
6. | Standardverknüpfungen zurücksetzen | Setzt die benötigten Links wieder zurück, falls sie irrtümlich einige Verknüpfungen (Symbole) gelöscht haben oder eventuell diese nicht mehr funktionieren. Ihre eigenen Verknüpfungen bleiben davon unberührt.
7. | Über ... (About) | Anzeige über die Programmversion, Autoren und Links zur Homepage bzw. Emailadresse. Solange Sie diese Software noch nicht registriert haben, wird hier auch ein Button zur Registration angezeigt.
8. | Modul-Symbole | Aufruf der einzelnen Softwaremodule (Beschreibug siehe 9 bis 23).
9. | claviscom CERTMANAGER | Oberfläche zum Verwalten und Auswählen der Zertifikate (öffentliche Schlüssel (PKCS#7) und private Schlüssel (PKCS#12)). Der claviscom CERTMANAGER greift dabei auf die Windows Zertifikatsdatenbank und LDAP-Server (nur ENTERPRISE-Version) zu. >> Hilfe zum CERTMANAGER
9. | claviscom DATA DRIVE - | Öffnet das claviscom DATA DRIVE (verschlüsseltes Datenlaufwerk). HINWEIS: Jede einzelne Datei wird separat verschlüsselt und gespeichert und ermöglicht aus diesem Grund einen Zugriff von mehreren Anwender! >> Hilfe zum DATA DRIVE
10. | claviscom PARTITIN DRIVE | Erstellt und Verwaltet die einzelnen virtuellen und verschlüsselten Laufwerke auf Ihrem PC. HINWEIS: Alle Dateien werden in einer oder mehreren Imagedateien abgelegt! >> Hilfe zum PARTITION DRIVE
11. | claviscom CRYPTMAIL (MAPI - SME Email) | Oberfläche zum Erstellen von Emails (inkl. Anlage) für den verschlüsselten und signierten Versand als Digital Envelope (SME). >> Hilfe zu CRYPTMAIL (MAPI - SME Email)
12. | claviscom CRYPTZIP - | Eine Oberfläche zum Arbeiten mit ZIP - Dateien. Von hier können auch alle claviscom CRYPT Funktionen (verschlüsseln, signieren, etc.) ausgeführt werden. >> Hilfe zum CRYPTZIP
13. | claviscom EINSTELLUNGEN | Öffnet die Zentrale zum Ändern aller Optionen und Einstellungen. >> Hilfe zu den Einstellungen
14. | claviscom PARTITION DRIVE | Öffnet einen Ordner mit Verknüpfungen zum Öffnen und Schließen aller Partition Drives. HINWEIS: Alle Dateien werden in einer oder mehreren Imagedateien abgelegt! >> Hilfe zum PARTITION DRIVE
15. | claviscom HILFE | Öffnet die Hilfedatei .
16. | claviscom INTERNETCLEANER - | Löscht den Verlauf, die History und die Cookies auf Ihrem Rechner (nur Internet Explorer). HINWEIS Unterstürtzt nur den Internet Explorer! >> Hilfe zum Internetspurenentferner
17. | claviscom KEYEXCHANGE | Hiermit können Sie auf einfache Art Ihren öffentlichen Schlüssel (PKCS#7) per Email versenden, damit der Empfänger für Sie Dateien verschlüsseln kann. >> Hilfe zum KEYEXCHANGE
18. | claviscom KEYSAFE - | Modul zum Speichern, Sichern und Verwalten Ihrer Passwörter. Sie brauchen sich nur ein Passwort zu merken und können von hier auf alle Ihre verschlüsselt abgelegten Passwörter zugreifen. >> Hilfe zum KEYSAFE
19. | claviscom SELFCERT | Modul zum Erstellen von selbstsignierten Testzertifikaten (X.509 / V3) für den privaten Gebrauch. >> Hilfe zum Erstellen von selbstsignierten Zertifikaten
20. | claviscom SHAREDDRIVE | Öffnet den Datei Explorer mit allen eingerichteten verschlüsselten Datenlaufwerken. HINWEIS: Jede Datei wird einzeln in einem verschlüsselten Image gespeichtert! >> Hilfe zum DATA DRIVE
21. | claviscom SHREDDER - | Ermöglicht das endgültige Löschen von Dateien nach der DoD oder Peter Gutman Methode. Mit dieser Methode gelöschte Dateien können auch mit aufwendigen Methoden im Labor nicht wiederhergestellt werden. >> Hilfe zum SHREDDER
22. | claviscom SUPPORT UND BESTELLUNG | Supportanfragen und Lizenzschlüsselbestellung erstellen und per Email an versenden. >> Hilfe zu SUPPORT UND BESTELLUNG
23. | Arbeitsstation sperren | Meldet Sie ab, sodass Sie zum Weiterarbeiten erst wieder Ihr Passwort eingeben müssen.
24. | Statusleiste | Anzeige einer Kurzbeschreibung zu den einzelnen Modulen.


claviscom: claviscom CERTCHECK (revocation list)

Beschreibung claviscom CERTCHECK (revocation list)
 Im Dialog claviscom CERTCHECK (revocation list) wird das Ergebnis der Zertifikatsprüfung angezeigt und übersichtlich dargestellt. Dies kann beispielsweise aus dem claviscom CERTMANAGER oder der claviscom SIGNATURINFORMATION erfolgen. Für die Sperrlistenprüfung (revocation list) ist eine Onlineverbindung notwendig.

Übersicht claviscom CERTCHECK (revocation list)

1. | Information | Anzeige von allgemeinen Informationen.
2. | Zertifikatsprüfung (revocation list) | 1. Zeile: Zertifikatsinhaber 2. Zeile: Speicheroption 3. Zeile: Gültigkeit 4. Zeile: Sperrlistenprüfung (revocation list) HINWEIS Internetverbindung notwendig 5. Zeile: Zusätzliche Schlüsselinformationen 6. Zeile: Zertifikat für Signaturoperation verwendbar? 7. Zeile: Zertifikat für Verschlüsselungsoperation verwendbar?


claviscom: claviscom CERTMANAGER

Beschreibung claviscom CERTMANAGER
 Der claviscom CERTMANAGER ist das zentrale Modul vieler claviscom Produkte. Hier können Sie alle Zertifikate zum Verschlüsseln (HYBRID-System) und Signieren verwalten, wobei folgende Funktionen und Operationen unterstützt werden ...

Funktionsumfang:

  • Anzeigen der Windowszertifikatsdatenbanken mit den enthaltenen Zertifikaten
  • Importieren Ihres eigenen PKCS#12-Zertifikates
  • Erstellen eines voll funktionsfähigen, selbstsignierten PKCS#12 Testzertifikates
  • Löschen nicht mehr benötigter Zertifikate
  • Zertifikatsinformationen einsehen (Doppelklick)
  • Zertifikat als CRT-Datei (nur mit öffentlichen Schlüssel) per Email versenden
  • LDAP-Zertifikate1) (nur öffentliche Schlüssel) in Verzeichnisdiensten suchen und lokal verfügbar machen
  • Dem claviscom KEYSAFE1) oder den einzelnen verschlüsselten Laufwerken (claviscom CRYPTDRIVE1) und claviscom SHAREDDRIVE1)) berechtigte Zertifikate zuweisen
  • Backupzertifikate1) festlegen
  • Öffentliche Schlüssel für SME-Dateien selektieren1)
  • Zertifikate kopieren, ausschneiden oder verschieben (per Drag&Drop oder über die rechte Maustaste)
  • Sperrlistenprüfung (Revocation list) einzelner Zertifikate über die rechte Maustaste
  • Basiszertifikat zum Verschlüsseln und Signieren aller Objekte mit dem Button 'Aktivieren' auswählen

1) Je nach verwendeter Software können einzelne Module oder Funktionen entfallen! Weitere Informationen siehe detaillierte Produktbeschreibung oder unseren Produktvergleich im Internet.

Übersicht claviscom CERTMANAGER

1. | Statusinfo | Anzeige von Statusinformation zu dem in der Liste 20 ausgewählten Zertifikat.
2. | Importieren | Importieren von Zertifikatsdateien nach PKCS#12 mit den Dateiendungen PFX oder P12.
3. | Erstellen | Öffnet die Oberfläche claviscom SELFCERT zum Erstellen von selbstsignierten Testzertifikaten (X.509 / V3) für den privaten Gebrauch. >> Hilfe zur Erstellung eines Zertifikates
4. | Löschen | Entfernt das selektierte Zertifikat aus der Liste und aus der Windowsdatenbank. HINWEIS Löschen Sie nur bekannte Zertifikate, um Probleme in anderen Anwendungen zu vermeiden.
5. | Info | Zeigt die Zertifikatsinformationen zum selektierten Zertifikat an.
6. | Senden | Verschickt den öffentlichen Schlüssel (Publik Key - CRT-Datei) des selektierten Zertifikats als Anlage einer Email. HINWEIS Der Empfänger kann mit diesem Zertifikat für Sie Daten verschlüsseln und Ihre digitale Unterschrift prüfen. Eine Entschlüsselung Ihrer Daten oder das Unterschreiben in Ihrem Namen ist mit dem öffentlichen Schlüssel NICHT möglich.
7. | Add LDAP | Öffnet den Dialog zum Abrufen von öffentlichen Zertifikate in einem LDAP-Verzeichnis. Hierzu ist eine Internetverbindung notwendig. >> LDAP - Manager
8. | Über | Öffnet einen Informationsdialog mit Ihren Registrierungsdaten.
9. | Ver- und Entschlüsselungs -zertifikat | Auswahl und Anzeige des 'Eigenen Zertifikates' für Ver- und Entschlüsselungsoperationen (nur HYBRID-System!). Bei lokalen Verschlüsselungsoperationen (z. B. im Datei Explorer) werden mit dem hier gewählten Zertifikat die Daten verschlüsselt. Mit Ihrem Privaten Schlüssel sind nur Sie persönlich in der Lage die Daten wieder zu Entschlüsseln. HINWEIS Erstellen Sie sich von Ihrem Zertifikat (PFX-Datei) eine Sicherheitskopie auf einen externen Datenträger, damit Sie bei Problemen oder einer Neuinstallation Ihre Daten wieder entschlüsseln können.
10. | Signaturzertifikat | Auswahl und Anzeige des 'Eigenen Zertifikates' zum Signieren (Digital unterschreiben). HINWEIS Dieses Zertifikat kann identisch mit dem Verschlüsselungszertifikat sein.
11. | Eigene Zertifikate (PKCS#12) | Auflistung aller Zertifikatsdatenbanken. Zur ausgewählten Zertifikatsdatenbank werden in Feld 21 alle installierten Zertifikate mit einem privaten Schlüssel (PKCS#12, Private Key) angezeigt. HINWEIS Ihre Zertifikate stehen normalerweise in der Datenbank My (Private Zertifikate).
12. | Andere Zertifikate (PKCS#7) | Auflistung aller Zertifikatsdatenbanken. Zur ausgewählten Zertifikatsdatenbank werden in Feld 21 alle installierten Zertifikate mit öffentlichen Schlüssels (PKCS#7, Public Key) angezeigt. Hier werden auch alle gespeicherten LDAP-Zertifikate in der Datenbank LDAP (Onlinezertifiakte) angezeigt (nur PRO - Version). HINWEIS: Ihre Zertifikate stehen normalerweise in der Datenbank My (Private Zertifikate) und hier können Sie beispielsweise das Zertifikat des Empfängers auswählen, für den Sie eine Signierten und Verschlüsselten Datei (SME: Secure Message Envelope) erstellen möchten. Nur in der PRO - Version ist es möglich mehrere berechtigte Zertifikate auszuwählen.
13. | Small PKI | Anbindung an die netzwerkinterne Public Key Infrastruktur (PKI) von claviscom. HINWEIS In den Einstellungen kann ein Rechner ausgewählt werden, auf dem alle benötigten Zertifikate gespeichert sind und auf deren Zertifikatsdatenbank über die Small PKI zugegriffen werden kann. >> Verwendung der Small PKI
14. | claviscom SHAREDDRIVE | Auflistung aller eingerichteten claviscom SHAREDDRIVE (Lokal und FTP) auf HYBRID-Basis. Zu den entsprechenden Laufwerken werden in Liste 21 die Zertifikate aufgeführt, deren Inhaber auf das entsprechende Datenlaufwerk zuzugreifen können. >> SHAREDDRIVE
15. | claviscom CRYPTDRIVE ZERTIFIKAT(E) - | Auflistung aller eingerichteten claviscom CRYPTDRIVE(S) auf HYBRID-Basis. Zu den entsprechenden Laufwerken werden in Liste 21 die Zertifikate aufgeführt, deren Inhaber auf das entsprechende virtuelle Laufwerk zuzugreifen können. >> CRYPTDRIVE
16. | claviscom BACKUP ZERTIFIKAT(E) | Auflistung aller Backupzertifikate, die beim Verschlüsseln auf HYBRID-Basis berücksichtigt werden. Vor allem Firmen können hier den öffentlichen Schlüssel eines Administratorzertifikates definieren, mit dem die Daten des Mitarbeiters im Notfall entschlüsselt werden können. INFO Bei Laufwerken claviscom CRYPTDRIVE und claviscom SHAREDDRIVE oder den claviscom KEYSAFE für Passwörter werden die Backupzertifikate nicht berücksichtigt. Wollen Sie dennoch mit dem Backupzertifikat auf die entsprechenden Daten zugreifen können, so muss das Backupzertifikat individuell der entsprechenden Liste der berechtigten Zertifikate hinzugefügt werden.
17. | claviscom KEYSAFE Zertifikat(e) - | Auflistung aller Zertifikate, die berechtigt sind den claviscom KEYSAFE auf HYBRID-Basis zu öffnen. >> claviscom KEYSAFE
18. | Onlinezertifikat(e) (LDAP) anzeigen - | Bei Aktivierung dieses Punktes werden alle LDAP-Onlinezetifikate angezeigt, die Sie mit dem Dialog claviscom LDAP hinzugefügt haben. Dazu ist eine Internetverbindung notwendig. Sie können jederzeit die LDAP-Zertifikate Offline verfügbar machen, indem Sie das entsprechende Zertifikat wählen und beispielsweise in die Datenbank My (Eigene Zertifikate) kopieren. >> LDAP Manager
19. | Zertifikat(e) in Sperrliste prüfen - | Bei Aktivierung dieses Punktes werden die angezeigten Zertifikate überprüft, ob diese sich auf einer Sperrliste befinden. Dieser Vorgang benötigt eine Internetanbindung und kann teilweise einige Zeit in Anspruch nehmen.
20. | Schließen / Selektieren | Mit diesem Button schließen Sie den Dialog oder übernehmen die selektierten Zertifikate zum Verschlüsseln (bei Digital Envelope erstellen).
21. | Zertifikatsliste | Zeigt die in der entsprechenden Datenbank gespeicherten Zertifikate an.

Siehe auch
>> Hilfe zur Erstellung eines Zertifikates
>> Hilfe zur Installation eines Zertifikates
>> Technik zum Austausch des öffentlichen Schlüssels
>> Verwendung der SMALL PKI


claviscom: Einstellmöglichkleiten (Optionen)

Der claviscom CRYPT-ASSISTENT
Der CRYPT-ASSISTENT wird über das Kontextmenu des Datei Explorer (Menu der rechten Maustaste, siehe Crypt-PlugIn) aufgerufen und hilft Ihnen Schritt für Schritt beim Signieren und / oder Verschlüsseln von Dateien. Alternativ starte auch der CRYPT-ASSISTENT, wenn Dateien per Drag&Drop auf das Programmicon gezogen wird.
Die einzelnen Optionen können Sie auf den folgenden Seiten vornehmen:
  • Dateiliste
  • Crypt-Operation (Erstellen)
  • Crypt-Operation (Öffnen)
  • Zertifikate
  • Zielverzeichnis
  • Löschen der Quelldateien

HINWEIS Verschlüsselungssystem und -Algorithmus werden in den Einstellungen festgelegt!

Dateiliste
Auf dieser Seite werden in der Liste 6 alle Dateien angezeigt, mit denen die Crypt-Operation durchgeführt wird!

1. | Hilfe | Aufruf der Hilfe!
2. | Dateiliste | Anzeige der ausgewählten Seite 'Dateiliste'.
3. | Hinzufügen | Auswählen zusätzlicher Dateien.
4. | Entfernen | Löschen der selektierten Dateien.
5. | Öffnen | Anzeigen der selektierten Dateien.
6. | Dateiliste | Anzeige aller Dateien, mit denen die Crypt-Operation durchgeführt wird.
7. | Ausführen | Starten der Crypt-Operation mit den gewählten Optionen!
8. | Weiter | Blättern zur nächsten Seite 'Crypt-Operation'.
9. | Abbruch | Schließen des CRYPT-ASSISTENTEN, ohne eine Crypt-Operation durchzuführen. HINWEIS Alle gewählten Dateien bleiben im Originalzustand!
Crypt-Operation (Erstellen)
Auf dieser Seite können Sie die Crypt-Operation auswählen, die durchgeführt werden sollen.
HINWEIS Diese Seite wird nur angezeigt, wenn Sie mehrere oder keine Crypt-Dateien ausgewählt haben!

1. Hilfe

Aufruf der Hilfe!

2. Crypt-Operation

Anzeige der ausgewählten Seite 'Crypt-Operation'.

3. Signieren

Alle selektierten Dateien werden mit Ihrem Signatur-Zertifikat (Privater Schlüssel) digital unterschrieben.
HINWEIS Signierte Dateien können nicht verändert werden, ohne dass der Empfänger dies angezeigt bekommt!

4. Verschlüsseln

Verschlüsselung aller selektierten Dateien.

  • SYMM-System: Verschlüsselung mit einem Passwort oder Ihrer EC-/KV-Karte

  • HYBRID-System: Verschlüsselung mit Ihrem Verschlüsselungs-Zertifikat (Öffentlicher Schlüssel).

HINWEIS Verschlüsselte Dateien können nur mit dem richtigen Passwort (SYMM-System) oder durch den Besitzer des richtigen privaten Schlüssels (HYBRID-System) entschlüsselt werden!

5. Signieren und Verschlüsseln Alle selektierten Dateien werden erst mit Ihrem Signatur-Zertifikat (Privater Schlüssel) digital unterschrieben und anschließend direkt mit einem oder mehreren Öffentlichen Schlüsseln verschlüsselt (nur HYBRID-System). Dadurch sind solche digitalen Briefumschläge (SME-Dateien = Secure Message Envelope) optimal für den Versand über unsichere Kanäle (Email, Internet) vorbereitet.
HINWEIS SME-Dateien können nur durch den Besitzer des richtigen privaten Schlüssels entschlüsselt und verifiziert werden!
6. Datei(en) komprimieren Bei Aktivierung dieses Punktes werde alle Dateien zu einem komprimierten ZIP-Archiv zusammengefasst. Dies reduziert den Speicherbedarf der Daten.
HINWEIS Wenn dieser Punkt nicht aktiviert ist, wird die Crypt-Operation mit jeder einzelnen Datei durchgeführt.
7. | Zurück | Blättern zur vorherigen Seite 'Dateiliste'.
8. | Ausführen | Starten der Crypt-Operation mit den gewählten Optionen!
9. | Weiter | Blättern zur nächsten Seite 'Zertifikate' oder 'Zielverzeichnis'.
10. Abbruch Schließen des CRYPT-ASSISTENTEN, ohne eine Crypt-Operation durchzuführen.
HINWEIS Alle gewählten Dateien bleiben im Originalzustand!
Crypt-Operation (Öffnen)
Auf dieser Seite können Sie die Crypt-Operation auswählen, die durchgeführt werden sollen.
HINWEIS Diese Seite wird nur angezeigt, wenn Sie Crypt-Dateien ausgewählt haben!

1. | Hilfe | Aufruf der Hilfe!
2. | Crypt-Operation | Anzeige der ausgewählten Seite 'Crypt-Operation'.
3. | Öffnen | Verifiziert und / oder Entschlüsselt die entsprechende Datei temporär und öffnet sie mit dem entsprechend Programm (z. B. DOC-Dateien mit MS Word). HINWEIS Die Dateien werden NICHT permanent Verifiziert oder Entschlüsselt und nur bei Änderungen aktualisiert.
4. | Verifizieren / Entschlüsseln | Verifiziert und / oder Entschlüsselt die entsprechende Datei permanent im ausgewählten Verzeichnis (siehe nächste Seite 'Zielverzeichnis').
5. | Verifizieren / Entschlüsseln und auspacken | Falls es sich um eine komprimierte Crypt-Datei handelt, wird nach dem Verifizieren und / oder Entschlüsseln das entsprechende ZIP-Archiv ausgepackt.
6. | Zurück | Blättern zur vorherigen Seite 'Dateiliste'.
7. | Ausführen | Starten der Crypt-Operation mit den gewählten Optionen!
8. | Weiter | Blättern zur nächsten Seite.
9. | Abbruch | Schließen des CRYPT-ASSISTENTEN, ohne eine Crypt-Operation durchzuführen. HINWEIS Alle gewählten Dateien bleiben im Originalzustand!

Zertifikate
Auf dieser Seite können Sie die Zertifikate (Öffentliche Schlüssel) aller Empfänger auswählen, für die die Dateien nach dem HYBRID-System verschlüsselt werden sollen.
HINWEIS: Diese Seite wird nur angezeigt, wenn als Crypt-Operation 'Signieren und Verschlüsseln' ausgewählt wurde!

1. | Hilfe | Aufruf der Hilfe!
2. | Zertifikate | Anzeige der ausgewählten Seite 'Zertifikate'.
3. | Auswählen | Öffnen des claviscom CERTMANAGER zum selektieren der Zertifikate. INFO Alle Zertifikate in Liste 7 werden vorher gelöscht!
4. | Hinzufügen | Öffnen des claviscom CERTMANAGER zum selektieren der Zertifikate. INFO Alle Zertifikate der Liste 7 hinzugefügt!
5. | Entfernen | Löschen der selektierten Zertifikate.
6. | Info | Anzeigen der Zertifikatsinformationen.
7. | Zertifikatsliste | Liste alle Zertifikate, für die die Dateien verschlüsselt werden sollen.
8. | Als Email senden | Bei Aktivierung dieses Punktes wird die SME-Datei (Crypt-Operation 'Signieren und Verschlüsseln') direkt an Ihre Email-Programm weitergeleitet. HINWEIS Hierzu muss Ihr Email-Programm die MAPI-Schnittstelle unterstürzen (z. B. Outlook, Eudora etc.)!
9. | Zurück | Blättern zur vorherigen Seite 'Crypt-Operation'.
10. | Ausführen | Starten der Crypt-Operation mit den gewählten Optionen!
11. | Weiter | Blättern zur nächsten Seite 'Löschen der Quelldateien'.
12. | Abbruch | Schließen des CRYPT-ASSISTENTEN, ohne eine Crypt-Operation durchzuführen. HINWEIS Alle gewählten Dateien bleiben im Originalzustand!
Zielverzeichnis
 Auf dieser Seite können Sie das Zielverzeichnis festlegen, in dem die Crypt-Dateien gespeichert werden sollen.
HINWEIS: Diese Seite wird nur angezeigt, wenn die Notwendigkeit besteht ein Zielverzeichnis auszuwählen!

1. | Hilfe | Aufruf der Hilfe!
2. | Zielverzeichnis | Anzeige der ausgewählten Seite 'Zielverzeichnis'.
3. | Verzeichnis 'Eigene Dateien' | Anzeige des Verzeichnisses 'Eigene Dateien', welches sich in der Regel im Ordner 'Dokumente und Einstellungen' befindet.
4. | Quellverzeichnis | Anzeige des Verzeichnisses, wo die Quelldateien gespeichert sind.
5. | Individuelles Verzeichnis | Anzeige des letzen individuell gewählten Verzeichnisses. Über das Button 'Auswählen' kann ein neues Verzeichnis gewählt werden.
6. | Auswählen | Öffnet einen Dialog zum Auswählen eines individuellen Speicherverzeichnisses.
7. | Dateiname | In diesem Feld können Sie den gewünschten Dateinamen festlegen! Die Dateierweiterungen werden entsprechend der ausgewählten Crypt-Operation vorgegeben. HINWEIS Dieser Punkt wird nur angezeigt, wenn Sie auf Seite 'Crypt-Operationen' den Punkt 'Datei(en) komprimieren' aktiviert haben!
8. | Zurück | Blättern zur vorherigen Seite 'Zertifikate' oder 'Crypt-Operation'.
9. | Ausführen | Starten der Crypt-Operation mit den gewählten Optionen!
10. | Weiter | Blättern zur nächsten Seite 'Löschen der Quelldateien'.
11. | Abbruch | Schließen des CRYPT-ASSISTENTEN, ohne eine Crypt-Operation durchzuführen. HINWEIS Alle gewählten Dateien bleiben im Originalzustand!
Löschen der Quelldateien
 Auf dieser Seite können Sie festlegen, ob die Quelldateien gelöscht und wie häufig sie überschrieben werden sollen.
HINWEIS: Diese Seite wird nur angezeigt, wenn die Quelldatei gelöscht werden kann!

1. | Hilfe | Aufruf der Hilfe!
2. | Löschen der Quelldateien | Anzeige der ausgewählten Seite 'Löschen der Quelldateien'.
3. | Originaldateien löschen (Eigenes Zertifikat) | Bei Aktivierung dieses Punktes werden die Originaldateien nach erfolgreicher Crypt-Operation gelöscht. HINWEIS Ausnahe bei SME-Dateien (Signieren und Verschlüsseln in einem Schritt), sofern Sie nicht im Besitz des entsprechenden Privaten Schlüssels sind!
4. | Schredderlevel | Mit dem Schieberegler kann die Stärke des Löschvorgangs festgelegt werden. Es werden sechs Stufen angeboten, von einfachem Löschen bis zur Peter Gutman Methode (35x überschreiben).
5. | Zurück | Blättern zur vorherigen Seite 'Zielverzeichnis'.
6. | Ausführen | Starten der Crypt-Operation mit den gewählten Optionen!
7. | Abbruch | Schließen des CRYPT-ASSISTENTEN, ohne eine Crypt-Operation durchzuführen. HINWEIS Alle gewählten Dateien bleiben im Originalzustand!


claviscom: claviscom PARTITION DRIVE (virtuelles Laufwerk)

Hilfe: claviscom PARTITION DRIVE (virtuelles Laufwerk) / Homepage
Nur claviscom CRYPTO PRO / LE Im Funktionsumfang dieser Version
Beschreibung des claviscom PARTITION DRIVE (virtuelles Laufwerk)
Im claviscom PARTITION DRIVE werden die Daten in einer oder mehreren verschlüsselten Imagedateien abgelegt, wobei die Verschlüsselung mit dem Blowfish- (448 Bit) oder AES-Algorithmus (256 Bit) erfolgt. Erst nach dem Aufschließen (Mounten) wird das Laufwerk im Datei Explorer angezeigt und kann wie gewohnt verwendet werden. Bei jeder Dateioperation erfolgt die Ver- und Entschlüsselung automatisch im Hintergrund und ohne merkliche Zeitverzögerung. Die Zugriffsberechtigung auf die einzelnen Laufwerke erfolgt über die Vergabe eines Passwortes (SYMM-System) oder durch die Zuweisung von X.509 Zertifikaten (HYBRID-System, PKCS, RSA). Beim HYBRID-System ist durch den Einsatz von Zertifikaten eine einfache Administration der Berechtigungen möglich. So kann beispielsweise nur die Geschäftsleitung als Berechtigt eingestellt werden, wodurch das Problem des allwissenden Administrators nicht mehr gegeben ist. Pro Client können bis zu 10 Laufwerksimage angelegt werden, deren jeweilige Größe 'fast' unbegrenzt ist (bis zu 32 GB getestet und freigegeben). Der Speicherort der Laufwerkimages kann sich auf dem lokalen Client oder einem Netzwerkserver (UNC-Pfad) befinden, die Entschlüsselung der Daten erfolgt jedoch immer auf dem Client.

Funktionsumfang:

  • Unterstützung der asymmetrischen (HYBRID-System) und symmetrische Verschlüsselung (SYMM-System)
  • Beim SYMM-System wird die Zugriffsberechtigung über ein Passwort oder eine EC-/KV-Karte geregelt
  • Beim HYBRID-System wird die Zugriffsberechtigung individuell durch die Zuweisung von X.509-Zertifikaten geregelt (Chipkarten- und USB-Tokenunterstützung)
  • Verschlüsselung mit dem Blowfish- (448 Bit) oder AES-Algorithmus (256 Bit)
  • Vollkommene Integration als Laufwerk in den MS Datei Explorer
  • Größe fast unbegrenzt (bis zu 32 GB getestet und freigegeben)
  • Die verschlüsselten Image-Dateien können in bis zu 100 Teile (Partitials) aufgeteilt werden
  • Der Speicherort der Image-Dateien kann auf dem lokalen Rechner oder einem Netzwerkserver liegen (Client oder Server)
  • Pro Rechner können bis zu 10 Laufwerke eingerichtet werden
  • Auf dem Server ist keine Software erforderlich
  • Daten werden verschlüsselt über das Netzwerk übertragen und erst auf dem Client entschlüsselt

Übersicht claviscom PARTITION DRIVE (virtuelles Laufwerk)

1. | Info | Informationen zu diesem Dialog.
2. | Neu anlegen | Einrichten eines neuen virtuellen Laufwerkes. >> Hilfe zum Laufwerk hinzufügen
3. | Importieren | Importieren eines bestehendem Laufwerkes (IMG-Datei) von Ihrer Festplatte oder dem Server.
4. | Bearbeiten | Ändern der Parameter des selektierten Laufwerkes.
5. | Entfernen | Löschen des Laufwerks aus der Liste (entfernen des Links) oder vernichten des gesamten Laufwerkes.
6. | Öffnen | Öffnet (Mount) das selektierte Laufwerke und ermöglicht so den Zugriff im Datei Explorer. Achtung: Beim ersten Öffnen wird zuerst dieses Laufwerk formatiert, was je nach Größe einige Zeit (mehrer Minuten) in Anspruch nehmen kann. Sofern Sie es nicht gleich formatieren lassen, so müssen Sie es vor der ersten Verwendung im Datei Explorer formatieren.
7. | Schließen | Schließt (Unmount) das selektierte Laufwerk. Hierbei wird die Verknüpfung zum Laufwerk vollkommen entfernt, wodurch das Laufwerk im Datei Explorer nicht mehr angezeigt wird und so absolut sicher ist. Das Schließen ist erst möglich, wenn kein Zugriff mehr auf das Laufwerk existiert, d.h. der Datei Explorer auf dem Laufwerk steht oder noch eine Datei im Laufwerk geöffnet ist. Beim runterfahren des Computers werden automatisch alle geöffneten Laufwerke geschlossen.
8. | Einstellungen | Öffnet die claviscom Einstellungen Hier kann das claviscom PARTITION DRIVE aktiviert oder deaktiviert werden oder der Verschlüsselungsalgorithmus ausgewählt werden. >> claviscom Einstellungen
9. | CERTMANAGER | Öffnet den claviscom CERTMANAGER zum Verwalten der Zertifikatsdatenbanken. >> Hilfe zum claviscom CERTMANAGER
10. | Liste der logischen (virtuellen) Laufwerke | Anzeige aller Ihrer logischen und virtuellen Laufwerke, inkl. der wichtigsten Daten (Name, Laufwerksbuchstabe, Größe, Datei, Encryptions-ALG).
11. | Hinzufügen | Ergänzt die List der berechtigten Zertifikate um ein weiteres, um die Zugriffsberechtigungen zu erweitern. Zum auswählen des Zertifikates öffnet sich der claviscom CERTMANAGER. >> Hilfe zum claviscom CERTMANAGER
12. | Entfernen | Löscht das selektierte Zertifikat aus der Liste der berechtigten Zertifikate. Das eigene Zertifikat (Basiszertifikat) kann nicht gelöscht werden, weil sonst ein Zugriff (Entschlüsselung) nicht mehr möglich ist.
13. | Info | Zeigt die gesamten Informationen zum selektierten Zertifikat an.
14. | Zertifikatsliste | Hier werden alle Zertifikate angezeigt, die berechtigt sind auf das Laufwerk zuzugreifen. Dies können eigene Vollzertifikate (PKCS#12) oder öffentliche Zertifikate (PKCS#7) beispielsweise von einem LDAP-Server sein. >> Hilfe zum LDAP Manager

Siehe auch
Hilfe zum Einrichten und Verwenden des claviscom PARTITION DRIVE


claviscom: claviscom CRYPTDRIVE Optionen

Hilfe: claviscom PARTITIONDRIVE Optionen / Homepage
claviscom CRYPTO LE Im Funktionsumfang dieser Version claviscom CRYPTO PRO Im Funktionsumfang dieser Version
Beschreibung der claviscom PARTITIONDRIVE Optionen
Beim Anlegen eines virtuellen Laufwerkes öffnet sich dieser Dialog zum Festlegen der Optionen, wie 'Name', 'Größe', 'Laufwerksbuchstabe' und 'Speicherort'. Bis auf die Größe des Laufwerkes können alle Einstellungen in diesem Dialog auch nachträglich geändert werden.

Übersicht claviscom PARTITIONDRIVE Optionen

1. | Name | Hier können Sie den Namen für das Laufwerk angeben, der im Datei Explorer angezeigt wird.
2. | Laufwerksbuchstabe | Angabe des Buchstabens unter dem das Laufwerk im Datei Explorer angezeigt wird.
3. | Größe (MB) | Eingabemöglichkeit für die Größe des Laufwerks in MB (bis 32 GB / 32.000 MB gestestet und freigegeben). HINWEIS: Die Größe kann nur beim Erstellen eines Laufwerkes angegeben werden und ist vor der Registrierung auf 100 MB begrenzt.
4. | Partials (Teile) | Anzahl der Teile, in der die Image-Datei auf der Festplatte aufgeteilt ist. HINWEIS: Dies ist nötig, da die maximale Größe einer Datei auf 2 bzw. 4 GB begrenzt ist. Zusätzlich bietet eine Aufteilung der großen Image-Datei bei der Performance und einem Datenbackup Vorteile!
5. | ... | Öffnet einen Dialog zum selektieren des Verzeichnisses, in dem das Laufwerk (IMG-Datei) gespeichert wird.
6. | Pfad | Anzeige und direkte Eingabemöglichkeit für den Speicherort des Laufwerkes (IMG-Datei).
7. | Übernehmen / Neu anlegen | Speichert die Daten und schließt den Dialog.

Siehe auch
>> Beschreibung des claviscom PARTITIONDRIVE(virtuelles Laufwerk)
>> Einrichten und Verwenden des claviscom CRYPTDRIVE


claviscom: claviscom CRYPTMAIL (MAPI - SME Email)

Hilfe: claviscom CRYPTMAIL (MAPI - SME Email) (MAPI) / Homepage
claviscom PRO Im Funktionsumfang dieser Version, claviscom DATA DRIVE Im Funktionsumfang dieser Version
Beschreibung von claviscom CRYPTMAIL (MAPI - SME Email)
 claviscom CRYPTMAIL (MAPI - SME Email) ist für das Erstellen verschlüsselter und signierter Emails vorgesehen. Mit Hilfe dieses Moduls können Sie Ihren Text und die Anlagen (Attachments) verschlüsseln, signieren und mit fast jedem Emailprogramm versenden. Der Empfänger ist in der Lage durch das Öffnen der verschlüsselten Anlage den Inhalt zu entschlüsseln und zu lesen. Die Email wird im Postausgang Ihres entsprechenden Emailprogramms verschlüsselt und signiert gespeichert. Der Empfänger kann jederzeit mit der kostenlosen Freewareversion claviscom READER die Daten entschlüsseln und Ihre Unterschrift verifizieren.

Übersicht claviscom CRYPTMAIL (MAPI - SME Email)

1. | An: | Aufruf Ihres Adressbuches, zum Auswählen der Emailadresse des Empfängers.
2. | Email-Adresse | Eingabemöglichkeit für die Emailadresse des Empfängers.
3. | Betreff: | Eingabemöglichkeit für den Betreff der Email.
4. | SME bilden und Senden | Button zum Abschicken der Email. Dabei wird diese mit Ihrem Schlüssel signiert und und dem Empfängerschlüssel verschlüsselt. Die verschlüsselte Email kann nur noch vom Empfänger (Inhaber des Vollzertifikates) entschlüsselt und gelesen werden.
5. | RTF oder TXT | Wahlschalter zwischen den Textformaten TXT (keiner Formatierungsmöglichkeit) und RTF (verschiedene Formatierungsmöglichkeiten, wie beispielsweise Fettdruck).
6. | Dateifunktionen | Buttons zum Öffnen, Speichern und Drucken der Textdatei und Hinzufügen der Anlagen (Attachments).
7. | Textfunktionen | Buttons zum Ausschneiden, Kopieren und Einfügen von Textteilen.
8. | Textformate | Buttons zum Einstellen des Text- und Absatzformates (nur im RTF-Modus).
9. | Textfeld | Feld für die Eingabe Ihres Email-Textes.
10. | Anlage (Attachment) | Anzeige alle Anlagen, die mit dieser Mail versendet werden sollen!

Siehe auch
 claviscom CRYPTMAIL (Outlook AddIn)
Fragedialog
 Beim Öffnen einer SME-Datei, die Sie als Anlage einer Email erhalten haben, erscheint dieser Dialog beim Doppelklick auf den Eintrag.

1. | Abbruch | Die Datei wird weder geöffnet noch gespeichert.
2. | Speichern | Speichert die Datei in dem zu selektierenden Ordner.
3. | Öffnen | Packt den Secure Message Envelope (SME-Datei) aus und öffnet die Datei mit den entsprechenden Programm.

INFO: Die Datei kann nur geöffnet bzw. entschlüsselt werden, wenn Sie im Besitz des eigenen Zertifikats sind. Sofern Sie zwischen Ihrem Arbeitsplatz und Zuhause verschlüsselte Emails austauschen möchten, muss auf beiden Computern Ihr Zertifikat installiert sein.


claviscom: claviscom CRYPTMAIL (Outlook Plugin)

Nur claviscom CRYPTO PRO Im Funktionsumfang dieser Version
Beschreibung des claviscom CRYPTMAIL (Outlook Plugin)
 Das AddIn für Outlook (ab Outlook 2000 / nicht Outlook Express) ermöglicht innerhalb der Browseroberfläche mit den Schaltern 'Signieren und Verschlüsseln (SME für...)' und 'Entschlüsseln und Verifizieren (SME auspacken)' das Erstellen und Auspacken von sogenannten SME-Dateien (Secure Message Envelope). Das SME-Format schützen Ihre Daten vor dem unberechtigten Zugriff und so können die Emails ohne Sorgen versand werden. Nur der Besitzer des passenden Privaten Schlüssels kann die Email wieder öffnen und lesen.
TIPP Alternativ existiert für alle übrigen Email-Clients mit MAPI-Anbindung eine integrierte Oberfläche zum Erstellen, Signieren und Verschlüsseln von Emails (siehe claviscom CRYPTMAIL (MAPI - SME Email)).

Funktionsumfang:

  • Schlüsselverwaltung basierend auf X.509-Zertifikaten (Smartcard- und Tokenunterstützung)
  • Vollkommene Integration in MS Outlook
  • Signierung und Verschlüsselung (SME) mit einem Klick (auch für mehrere Empfänger)
  • Einfache Integration der zertifikatsbasierten Verschlüsselung von Emails
  • Keine Bindung der Empfängeremailadresse an das Zertifikat (Hilfreich wenn Empfängeremailadresse vom der Emailadresse des Zertifikates abweicht!)
  • Automatischer Eintrag des öffentlichen Absenderzertifikates in die Zertifikatsdatenbank bei der Entschlüsselung einer empfangenen Nachricht
  • Ablage der verschlüsselten Nachrichten im Postfach möglich
  • Nachdem die Datei auf der Festplatte gespeichert wurde, ist die Entschlüsselung der Emailnachrichten auch mit dem kostenlosen Tool claviscom READER möglich.

Übersicht claviscom CRYPTMAIL (Outlook Plugin)

1. | Signieren und Verschlüsseln (SME für...) | Nach dem Schreiben einer Email brauchen Sie nur auf das integrierte Button 'Signieren und Verschlüsseln (SME für...)' klicken und im claviscom CERTMANAGER die Zertifikate der Empfänger auswählen. Der Text und die Anlagen werden mit Ihrem Zertifikat signiert und mit den Empfängerzertifikaten verschlüsselt. Zum Schluss brauchen Sie die Email nur noch versenden. Auf dem Weg durchs Internet ist der Inhalt gegen unbefugten Zugriff gesichert und nur der Empfänger kann die Dateien entschlüsseln.
2. | Entschlüsseln und Verifizieren (SME auspacken) | Bei Erhalt einer signierten und verschlüsselten Email (SME-Datei) brauchen Sie nur auf das Button 'Entschlüsseln und Verifizieren (SME auspacken)' klicken und die Originalnachricht wird Ihnen angezeigt. INFO: Alternativ können Sie auch die Anlagen temporär öffnen, sodass die Email verschlüsselt und sicher vor externen Zugriff in Ihrem Postfach gespeichert bleibt.

Siehe auch
 claviscom CRYPTMAIL (MAPI - SME Email)


claviscom: claviscom CRYPTZIP

Nur claviscom BASIC Im Funktionsumfang dieser Version und claviscom ENTERPRISE Im Funktionsumfang dieser Version
Beschreibung des claviscom CRYPTZIP
 claviscom CRYPTZIP ist ein leicht zu bedienendes Komprimierungsprogramm, welches Ihnen erlaubt Daten zu verkleinern, um Platz auf der Festplatte zu sparen. Mit claviscom CRYPTZIP können Sie komprimierte Dateien des Zip-Formates (*.ZIP), signierte Dateien (*.SGN), verschlüsselte Dateien (*.CRP) und SME-Dateinen (*.SME) öffnen, ändern und erstellen. Aus dem Programm heraus können einzelne Dateien ausgeführt werden, ohne dabei die Datei permanent zu entschlüsseln. Nur bei der Änderung einer Datei wird automatisch das Archiv aktualisiert. claviscom CRYPTZIP verfügt über eine moderne Oberfläche und unterstützt im vollen Umfang die Drag&Drop-Funktionalität (herein- bzw. herausziehen von Dateien mit der Maus). Des weiteren kann claviscom CRYPTZIP die erstellte Datei (*.ZIP, *.SGN, *.CRP, *.SME) als Anlage einer Email versenden.

Übersicht

CRYPTZIP

1. | Neu | Erstellen eines komprimierten Archivs (ZIP-Datei).
2. | Öffnen | Öffnen von komprimierten (ZIP), verschlüsselten (CRP), signierten (SGN) und Digital Envelope (SME) Dateien.
3. | Extrahieren | Auspacken der selektierten Dateien in ein zu wählenden Ordner.
4. | Hinzufügen | Hier werden dem Archiv weitere Dateien hinzugefügt.
5. | Löschen | Entfernen der selektierten Dateien.
6. | Ausführen | Öffnen der ersten selektierten Datei mit dem entsprechenden Programm.
7. | Verschlüsseln / Entschlüsseln | Verschlüsseln oder Entschlüsseln des Archivs unter Verwendung Ihres Eigenen Zertifikates.
8. | Signieren / Verifizieren | Signieren oder Verifizieren des Archivs, wobei beim Signieren Ihr Eigenes Zertifikat verwendet wird. Beim Verifizieren wird das verwendete Zertifikat angezeigt und optional direkt in die Windowszertifikatsdatenbank eingetragen.
9. | SME / SME auspacken | Erstellen oder auspacken einer Digital Envelope Datei (SME). Beim Erstellen der SME-Datei werden die Daten zuerst signiert und dann verschlüsselt, sodass diese vor einem unerlaubten Zugriff sicher sind. Diese Funktion sollten Sie verwenden, wenn Sie die Daten sicher und authentisch an eine weitere Person schicken wollen (z. B. per Email). Dabei müssen Sie im Besitz des entsprechenden öffentlichen Schlüssel sein.
10. | Email | Sendet das aktuelle Archiv per Email. Dazu müssen Sie im Besitz eines Email-Programms sein, welches die MAPI-Schnittstelle unterstützt (prinzipiell alle gängigen Emailprogramme).
11. | Beenden | Schließt den Dialog.
12. | Dateifeld | Liste alle Dateien, die das Archiv enthält.
13. | Kommentar | Freies Feld zum Eintragen eines Kommentars.
14. | Statusleiste | Anzeige von Archivinformationen, wie z. B. Art des Archivs (ZIP, CRP, SGN oder SME) und Anzahl der enthaltenen Dateien.


claviscom: claviscom EXPLORER PLUGIN

Hilfe: claviscom CRYPT PlugIn für Datei Explorer / Homepage
claviscom READER Im Funktionsumfang dieser Version NICHT im Funktionsumfang dieser Version claviscom CRYPTO LE Im Funktionsumfang dieser Version claviscom CRYPTO PRO Im Funktionsumfang dieser Version
Beschreibung des claviscom EXPLORER PLUGIN
 Das claviscom EXPLORER PLUGIN ist eine Erweiterung des Datei Explorer und bietet über die rechte Maustaste mehrere Module zum Verschlüsseln, Signieren, Komprimieren und Shreddern von Dateien. Bei claviscom CRYPT handelt es sich um ein Verschlüsselungsmodul für Dateien und Verzeichnisse. Damit lassen Dateien relativ einfach und schnell Verschlüsseln oder Signieren. In den Einstellungen können der Verschlüsselungsalgorithmus (Blowfish - 448 Bit oder AES - 256 Bit) und das Verschlüsselungssystem (HYBRID oder SYMM) ausgewählt werden. Beim SYMM-System (symmetrische Verschlüsselung) erfolgt die Verschlüsselung der Dateien mit Hilfe eines Passwortes, welches bei der Entschlüsselung wieder eingegeben werden muss. Alternativ wird hierbei auch die EC-Karte mit Chip oder die Krankenversichertenkarte unterstützt. Beim HYBRID-System handelt es sich um eine asymmetrische Verschlüsselung nach dem PKCS-Standard (RSA) und benötigt ein X.509-Zertifikat (USB-Token und Zertifikatschipkarten Unterstützung). Die Anzeige der Module claviscom CRYPTZIP (Komprimieren im ZIP-Format), claviscom SHREDDER (Unwiderrufliches Löschen) und claviscom CRYPT ASSISTENT können jederzeit in den claviscom EINSTELLUNGEN ein- oder ausgeschaltet werden.

Funktionsumfang:

  • Unterstützung der asymmetrischen (HYBRID-System) und symmetrische Verschlüsselung (SYMM-System)
  • Beim SYMM-System erfolgt die Verschlüsselung mit Hilfe eines Passwortes oder einer EC-/KV-Karte
  • Verschlüsselung mit dem Blowfish- (448 Bit) oder AES-Algorithmus (256 Bit)
  • Beim HYBRID-System erfolgt die Verschlüsselung nach dem PKCS-Standard (RSA) mit Hilfe von X.509- Zertifikaten (Chipkarten- und USB-Tokenunterstützung)
  • Integration in den MS Datei Explorer
  • Aufruf des Menu über die rechte Maustaste
  • Auswahl von Dateien und Ordnern möglich
  • Anzeige der Menupunkte entsprechend der ausgewählten Datei(en)
  • Menupunkte lassen sich in den Einstellungen ausblenden
  • Unterstützte PKCS#7 Dateierweiterungen für Verschlüsselung (CRP, P7M, TBE), Signatur (SGN, TBS, P7S) und Verschlüsselung und Signatur (SME, ASC, PK7, VSP7)

Übersicht claviscom EXPLORER PLUGIN

1. claviscom SHREDDER - nur ENTERPRISE-Version

Endgültiges Vernichten von Dateien (maximal 35 mal überschreiben nach der Peter Gutman Methode).
>> Hilfe zum claviscom SHREDDER

2. claviscom ZIP anlegen - ab BASIC-Version

Komprimieren von Dateien im ZIP-Format.
>> Hilfe zu claviscom CRYPTZIP

3. claviscom CRYPT

Hauptmenüpunkt zum Aufrufen der einzelnen Signier- und Verschlüsselungsoptionen.

4. claviscom CRYPT ASSISTENT

Öffnet den CRYPT ASSISTENTEN, der Sie Schritt für Schritt bei allen Operationen begleitet.
>> Hilfe zum CRYPT ASSISTENTEN

5. | Signieren | Digitales Unterzeichnen von Daten mit dem eigenen Zertifikat (Bilden einer SGN-Datei).
6. | Komprimieren und Signieren | Vor dem Signieren werden alle selektierten Dateien komprimiert und in einem ZIP-Archiv zusammengefasst.
7. Verschlüsseln Verschlüsseln von Daten auf Ihrer Festplatte:
  • Symmetrische Verschlüsselung (SYMM AES - 256 Bit oder SYMM Blowfish - 448 Bit / Dateierweiterung CR2)
  • Asymmetrische Verschlüsselung (HYBRID-System / Dateierweiterung CRP / Zertifikat erforderlich)

HINWEIS Der Verschlüsselungsalgorithmus und das Verschlüsselungssystem werden in den claviscom Einstellungen unter Explorer PlugIn und Schlüsselverwaltung festgelegt!

8. | Komprimieren und Verschlüsseln | Vor dem Verschlüsseln werden alle selektierten Dateien komprimiert und in einem ZIP-Archiv zusammengefasst.
9. Signieren und Verschlüsseln (SME für...) Signieren und Verschlüsseln in einer Funktion (Bilden einer SME-Datei - nur HYBRID-System).
HINWEIS Diese Funktion sollten Sie verwenden, wenn Sie die Daten sicher und authentisch an eine weitere Person schicken wollen (z. B. per Email). Dabei müssen Sie im Besitz des entsprechenden öffentlichen Schlüssel sein.
10. | Komprimieren, Signieren und Verschlüsseln (SME für...) | Vor dem Signieren und Verschlüsseln werden alle selektierten Dateien komprimiert und in einem ZIP-Archiv zusammengefasst.
11. | Öffnen | Temporäres öffnen einer signierten und / oder verschlüsselten Datei mit dem entsprechend verknüpften Programm (z. B. DOC-Dateien mit Word). Bei Änderungen wird die signierte und / oder verschlüsselte Datei aktualisiert.
12a. Verifizieren Überprüfen einer unterschriebenen (signierten) SGN-Datei.
HINWEIS Weitere unterstützt Dateierweiterungen sind TBS, P7S, ASC, PK7, VSP7
12b. Entschlüsseln Entschlüsseln einer verschlüsselten CRP-Datei (HYBRID-System) oder CR2-Datei (SYMM-System) im aktuellen Verzeichnis.
HINWEIS Weitere unterstützt Dateierweiterungen sind P7M, TBE, ASC, PK7, VSP7
12c. | Entschlüsseln und Verifizieren (SME auspacken) | Entschlüsseln und Verifizieren in einem Schritt (Auspacken einer SME-Datei).
13a. Verifizieren und auspacken Überprüfen einer unterschriebenen (signierten) SGN-Datei und anschließendes auspacken des komprimierten ZIP-Archives.
HINWEIS Dieser Menupunkt wird nur angezeigt, wenn es sich um eine ZIP.SGN-Datei handelt!
13b. Entschlüsseln und auspacken Entschlüsseln einer verschlüsselten CRP-Datei und anschließendes auspacken des komprimierten ZIP-Archives.
HINWEIS Dieser Menupunkt wird nur angezeigt, wenn es sich um eine ZIP.CRP oder ZIP.CR2-Datei handelt!
13c. Entschlüsseln, Verifizieren und auspacken (SME auspacken) Entschlüsseln, Verifizieren und auspacken des ZIP-Archives in einem Schritt.
HINWEIS Dieser Menupunkt wird nur angezeigt, wenn es sich um eine ZIP.SME-Datei handelt!

Siehe auch
Technik der Verschlüsselung


claviscom: claviscom KEYEXCHANGE

claviscom CRYPTO PRO Im Funktionsumfang dieser Version
Beschreibung claviscom KEYEXCHANGE
 Mit diesem Modul können Sie Ihren öffentlichen Schlüssel (Public Key) einfach per Email an eine andere Person senden. Diese kann mit Ihrem Public Key Dateien für Sie verschlüsseln, jedoch nicht mehr entschlüsseln. Ferner kann der Empfänger nach der Installation Ihres öffentlichen Zertifikates Ihre Unterschrift verifizieren. Alternativ können Sie auch über den claviscom CERTMANAGER direkt Ihr öffentliches Zertifikat an eine andere Person per Email senden. In diesem Fall wird jedoch direkt die CRT-Datei versendet und nicht wie hier eine signierte Datensequenz.

Übersicht claviscom KEYEXCHANGE

1. | An: | Über diesen Schalter wird Ihr Adressbuch aufgerufen und Sie können den Empfänger auswählen.
2. | Email-Adresse | Hier wird die ausgewählte Email-Adresse angezeigt, an den Sie Ihren öffentlichen Schlüssel (PKCS#7, Public Key) senden wollen. Alternativ können Sie hier auch die Email-Adresse über die Tastatur eintragen
3. | Meinen Public Key per EMail senden | Beim Drücken dieses Schalters wird eine Email mit einer Anlage im AXX-Format (signierte Datensequenz) erstellt. Der Empfänger muss nur die Datei ausführen und Ihr Zertifikat (Public Key) wird in seine Datenbank eingefügt. HINWEIS Dafür muss mindestens die kostenlose Version claviscom READER auf dem Empfängerrechner installiert sein.

Siehe auch
 Technik zum Austausch des öffentlichen Schlüssels


claviscom: claviscom KEYGENERATOR

Nur claviscom ENTERPRISE Im Funktionsumfang dieser Version und claviscom KEYSAFE Im Funktionsumfang dieser Version
Beschreibung des claviscom KEYGENERATOR
 Der claviscom KEYGENERATOR wird über den claviscom KEYSAFE aufgerufen und generiert vollkommen zufällige Passwörter (Kennwörter) anhand ihrer Mausbewegung. Nach Fertigstellung des Passwortes wird dieses automatisch in das entsprechende Feld des claviscom KEYSAFE eingetragen. Zusätzlich können Sie selbst Randbedingungen für die Generierung Ihres Passwortes im Vorfeld festlegen. So können Sie zum Beispiel Sonderzeichen ausschließen.

Funktionsumfang:

  • Erstellen von zufälligen Passwörtern aufgrund der Mausbewegung
  • Auswahlmöglichkeit der Zeichentypen
  • Anzeige der Sicherheit des erzeugten Passwortes

Übersicht claviscom KEYGENERATOR

1. | Anzahl der Zeichen | Festlegen der gewünschten Kennwortlänge mit Hilfe der Schalter am rechten Rand des Feldes.
2. | Zeichen Typen | Auswahl der Zeichen, die im generierten Passwort verwendet werden sollen.
3. | Sicherheit | Anzeige der Passwortsicherheit entsprechend der Passwortlänge und der zu verwendenden Zeichen.
4. | Fortschrittsanzeige | Hier wird die Dauer der Passwortgenerierung angezeigt. Wenn der Balken das rechte Ende erreicht hat, dann ist das Kennwort fertig generiert.
5. | Mauszeigerfeld | Zur Generierung des Passwortes müssen Sie den Mauszeiger in diesem Feld bewegen. Anhand der Koordinaten wird das Kennwort rein willkürlich erzeugt.
6. | Passwort erzeugen | Wenn alle Parameter festgelegt wurden, wird mit diesem Schalter die Passwortgenerierung gestartet. Danach müssen Sie nur noch den Mauszeiger im Feld 5 bewegen, bis der Balken 4 das rechte Ende erreicht hat.


claviscom: claviscom KEYSAFE

Nur claviscom ENTERPRISE Im Funktionsumfang dieser Version und claviscom KEYSAFE Im Funktionsumfang dieser Version
Beschreibung des claviscom KEYSAFE
 Der claviscom KEYSAFE ist ein einfach zu bedienender Passwortmanager, der Ihnen bei der Verwaltung Ihrer Passwörter (Kennwörter), Zugangsdaten und Internet / Email-Konten hilft. Die Daten werden mit dem Blowfish- (448 Bit) oder AES-Algorithmus (256 Bit) verschlüsselt in einer XML - Datei gespeichert, sodass Sie sich nur noch ein Kennwort merken müssen. Der Zugang zu dem claviscom KEYSAFE kann beim SYMM-System über ein Passwort oder die EC-/KV-Karte erfolgen. Beim HYBRID-System wird die Zugriffsberechtigung über die Zuweisung von einem oder mehreren X.509-Zertifikaten geregelt, wobei auch Zertifikatschipkarten und USB-Token unterstützt werden. Der claviscom KEYSAFE ist voll Drag & Drop fähig und bietet mit dem claviscom KEYGENERATOR einen integrierten Passwortgenerator.

Funktionsumfang:

  • Verwalten von Passwörtern, Kennwörter, Zugangsdaten, Internet- und Email-Konten sowie weitere persönliche Daten
  • Speicherung der Daten in einer verschlüsselten XML-Datei
  • Verschlüsselung mit dem Blowfish- (448 Bit) oder AES-Algorithmus (256 Bit)
  • Unterstützung der asymmetrischen (HYBRID-System) und symmetrische Verschlüsselung (SYMM-System)
  • Beim SYMM-System wird die Zugriffsberechtigung über ein Passwort oder eine EC-/KV-Karte geregelt
  • Beim HYBRID-System wird die Zugriffsberechtigung individuell durch die Zuweisung von X.509- Zertifikaten geregelt (Chipkarten- und USB-Tokenunterstützung)
  • Volle Unterstützung von Drag&Drop
  • Erstellung von völlig zufälligen Passwörtern im Key-Generator

Übersicht claviscom KEYSAFE

1. | Neuer Eintrag | Fügt einen neuen Datensatz in die Liste der KEYSAFE Einträge ein.
2. | Eintrag löschen | Der selektierte Datensatz wird in der Liste der KEYSAFE Eintrage unwiderruflich gelöscht.
3. | Passwort Generator | Öffnet den Dialog zum Generieren eines zufälligen Passwortes (Kennwort), welches automatisch ins Feld 7 eingefügt wird. >> Siehe Hilfe Passwort Generator
4. | KEYSAFE Datei ändern | Bietet die Möglichkeit die XML-KEYSAFE Datei zu verschieben (an einem anderen Ort zu speichern).
5. | CERTMANAGER | Öffnet den claviscom CERTMANAGER zum Administrieren der Zertifikate. >> Siehe Hilfe claviscom CERTMANAGER
6. | KEYSAFE Einträge | Anzeige aller Datensätze in alphabetischer Reihenfolge. Hier kann der entsprechende Datensatz selektiert werden.
7. | Benutzername | Eingabefeld und Anzeige des entsprechenden Benutzernamens. Dieser kann per Drag & Drop in das entsprechende Feld des Browsers gezogen werden.
8. | Passwort | Eingabefeld und Anzeige des entsprechenden Passwortes (Kennwort). Dieser kann per Drag & Drop in das entsprechende Feld des Browsers gezogen werden.
9. | Button * | Button zum Wechseln der Passwortanzeige (Feld 7) zwischen Klartext und Unsichtbar.
10. | URL | Eingabefeld und Anzeige der entsprechenden Internetadresse (URL).
11. | Button ... | Öffnet die in Feld 9 eingegebene URL in Ihrem Browser.
12. | Freies Textfeld | In diesem Feld können Sie einen Text zur Information eintragen.
13. | Protokolldatei öffnen | Öffnet die Logdatei in einem Texteditor, in der alle Zugriffe auf Ihrem KEYSAFE protokolliert werden.


claviscom: claviscom LDAP

claviscom PRO Im Funktionsumfang dieser Version, claviscom DATA DRIVE Im Funktionsumfang dieser Version
Beschreibung claviscom LDAP
Mit dieser Oberfläche können Sie auf verschiedenen LDAP-Servern von Zertifizierungsstellen (CA) zugreifen und nach öffentlichen Schlüsseln (Public Keys) von Personen suchen. Dazu ist eine Internetverbindung notwendig.

Funktionsumfang:

  • Zugriff auf LDAP-Verzeichnisserver
  • Freie Suche und Suche nach Name oder Email-Adresse möglich
  • Anonyme oder authentifizierte Anmeldung
  • Sperrlistenprüfung

Übersicht claviscom LDAP

1. | Zertifikatsliste | In dieser Liste werden alle Zertifikate angezeigt, die Ihrem Suchkriterium entsprochen haben.
2. | LDAP-Server | Adresse (URL) des LDAP-Servers, wobei einige Server (z. B. Trustcenter und D-Trust) standardmäßig vorgegeben sind.
3. | Port | Portnummer des LDAP-Servers, über den der Zugriff erfolgt. Diese entsprechenden Ports sind für die vorgegebenen LDAP-Server schon eingetragen. Bei den meisten LDAP-Servern wird der Port 389 verwendet.
4. | Suchbasis | Jeder LDAP-Server benötigt ein speziellen Syntax um nach Zertifikaten zu suchen. Diese Suchbasis ist für die vorgegebenen LDAP-Server schon eingetragen. Bei anderen LDAP-Servern fragen Sie bitte Ihren Administrator oder den entsprechenden LDAP-Server Betreiber.
5. | Suchoptionen | Es kann gewählt werden, ob nach 'Namen' oder 'Emailadressen' gesucht wird. Auch eine freie Suche ist möglich, wofür jedoch der genaue Suchsyntax bekannt sein muss. Eine Freie Suche kann zum Beispiel die Form CN=Name haben.
6. | Suchbegriff | Zeichenfolge, nach der auf dem LDAP-Server gesucht werden soll. Meist sucht man nach Vor- und Zunamen. WildCards (Platzhalter) sind vorne und am Ende erlaubt und müssen als Sternchen '*' angegeben werden.
7. | Authentifikation erforderlich | Sollten Sie sich zur Suchabfrage mit einem Passwort ausweisen müssen, so wird bei Aktivierung dieses Feldes ein Passwortdialog angezeigt.
8. | Zertifikat(e) in Sperrliste prüfen | Bei Aktivierung dieses Punktes werden alle Zertifikate überprüft, ob sie eventuell auf einer Sperrliste stehen.
9. | History löschen | Durch Klicken dieses Feldes werden alle eingegebenen LDAP-Server gelöscht und durch die Standardwerte ersetzt.
10. | Suchen | Durch Klicken dieses Button wird Ihre Anfrage an den LDAP-Server gestartet. Dies kann teilweise etwas länger dauern und setzt eine Internetverbindung voraus.
11. | Übernehmen | Alle in Zertifikatsliste 1 selektierten Einträge werden in Ihre Zertifikatsdatenbank mit der Bezeichnung LDAP übernommen.
12. | Statusleiste | Anzeige einer kurzen Info zu den einzelnen Zertifikaten.

Siehe auch
>> Zugriff auf einen LDAP-Servers


claviscom: claviscom LOGON

Nur claviscom ENTERPRISE Im Funktionsumfang dieser Version und claviscom LOGON Im Funktionsumfang dieser Version
Beschreibung claviscom LOGON
 Mit claviscom LOGON bietet claviscom eine einfache und flexible Möglichkeit der Anmeldung an Ihrem Computer (Nur für die Betriebsysteme Windows NT, 2000 und XP). Sie können sich einfach mit Ihrer Zertifikatschipkarte, mit Ihrem USB-Token (z. B. Aladdin eToken) oder alternativ auch mit Ihrer EC-Geldkarte (mit Chip) und Krankenversicherten-Karte anmelden. Nachdem Sie Ihre EC-Karte oder KV-Karte in Ihren Chipkartenleser schieben, erfolgt der Logon ganz automatisch. Bei zertifikatsbasierten Token (Zertifikatschipkarte oder USB-Token) müssen Sie nur noch Ihr entsprechendes Zertifikatspasswort eingeben. Je nach Einstellung wird der Computer beim Ziehen der Chipkarte 'Gesperrt', 'Ausgeloggt' oder 'Heruntergefahren'.

Funktionsumfang:

  • Einfache Anmeldung bei NT-Systemen (NT, 2000, XP)
  • Zusätzlichen Schutz für Ihren Rechner durch die Unterstützung von zertifikatsbasierten Chipkarten oder USB-Token (z. B. Aladdin eToken)
  • Sperrlistenprüfung (Revocationlist) von Zertifikaten
  • Sonstige unterstützte Chipkarten sind zur Zeit EC-Karten (mit Chip) und Krankenversicherten-Karten (HINWEIS Bei EC-Karten muss der Kartenleser die PC/SC-Schnittstelle und bei Krankenversichertenkarten die CT-API unterstützen oder anbieten)
  • Beim Ziehen der Chipkarte wird der Computer 'Gesperrt', 'Ausgeloggt' oder 'Heruntergefahren'
  • Mehrere Chipkarten für einen Benutzer möglich
  • Erstellen von Konten während des Anmeldevorgangs oder im Simulationsmodus
  • Simulation der Anmeldung
  • Protokolldatei

Übersicht claviscom LOGON

1. Erstellen eines Kontos

Die einzelnen Konten können auf zwei Arten erstellt werden.

1. Im Einstellungsdialog auf der Seite 'LOGON' über den Schalter 'Konto erstellen'.

2. Während der Windowsanmeldung, indem eine neue Chipkarte oder USB-Token verwendetet wird.
HINWEIS Dies Option kann in den Einstellungen ausgeschaltet werden!

TIPP: Weil Sie sich das Anmeldepasswort nicht permanent merken brauchen, können Sie sich ein extrem langes Passwort definieren. Die Anmeldung erfolgt in Zukunft über Ihre Chipkarte. (Notieren Sie sich dieses Passwort an einer sicheren Stelle, fall Ihre Chipkarte verloren geht oder einen Defekt hat!)

2. Im Betrieb

Nach der Erstellung eines Kontos brauchen Sie in Zukunft nur noch Ihre Chipkarte oder den USB-Token einlegen und sofort erfolgt die Anmeldung. Nur bei zertifikatsbasierten Token müssen Sie noch Ihr entsprechendes Passwort eingeben.

3. Cancel

Sollten Sie Ihre Chipkarte verlieren oder vergessen haben, so können Sie sich nach dem Klicken auf den Schalter 'Cancel' manuell mit Benutzername und Passwort anmelden!
HINWEIS Der Schalter 'Cancel' kann in den Einstellungen deaktiviert werden, beinhaltet jedoch die Gefahr, dass bei Verlust oder Defekt der Chipkarte der komplette Zugang zum Rechner unterbunden ist.

Siehe auch
>> Hilfe zu den Einstellungen
>> Hilfe zu CT32 - DLL Einrichtung


claviscom: claviscom SELFCERT

Beschreibung claviscom SELFCERT
Dieses Tool ermöglicht die Erstellung von selbstsignierten Testzertifikaten (X.509 v3), wodurch Ihnen der umständliche und kostspielige Weg zu einer CA (Zertifikatsaussteller) erspart bleibt.

Funktionsumfang:

  • Erstellung von selbstsignierten X.509 v3 Testzertifikaten
  • Nach der Erstellung des Zertifikates ist eine automatische Installation möglich
  • Zertifikatsfelder: Inhaber, Emailadresse, Land, Stadt, Organisation und Department
  • Schlüsselstärke von 512 oder 1024 Bit
  • Laufzeit bis 999 Tage

Übersicht claviscom SELFCERT

1. | Information | Anzeige von allgemeinen Informationen.
2. | Zertifikatsinhaber | Angabe Ihres Namen, der im Zertifikat verwendet werden soll.
3. | Emailadresse | Angabe Ihre Emailadresse, die im Zertifikat verwendet werden soll.
4. | Land | Angabe des Landes.
5. | Stadt | Angabe des Wohnortes oder des Sitzes der Organisation.
6. | Organisation | Angabe der Behörde, der Firma oder der Vereinigung.
7. | Department | Angabe der Abteilung (Department).
8. | Seriennummer | Zufällig generierte Seriennummer, die auch frei gewählt werden kann.
9. | RSA Schlüssellänge | Länge des generierten Schlüssels in Bit (512 ,1024 oder 2048). HINWEIS Je größer die Schlüssellänge, um so sicherer sind Ihre Daten, jedoch sind die Verschlüsselungsoperationen aufwendiger und benötigen länger (1024 Bit Schlüssellänge sind zur Zeit Standard und 2048 Bit entspricht militärischer Verschlüsselung).
10. | Laufzeit (Tagen) | Gültigkeitslänge des erstellten Zertifikats in Tagen
11. | Alias | Angabe des Namen in Kurzform, eines Kürzels oder eines Spitznamen.
12. | Erstellen | Mit diesem Button starten Sie die Generierung des selbstsignierten Testzertifikaten (X.509 v3). Diese Zertifikate sind nur für die private Verwendung vorgesehen.

Siehe auch
>> Hilfe zur Erstellung eines Zertifikates
>> Hilfe zur Installation eines Zertifikates


claviscom: claviscom SHREDDER

Nur claviscom CRYPTO PRO Im Funktionsumfang dieser Version und claviscom SHREDDER Im Funktionsumfang dieser Version
Beschreibung des claviscom SHREDDER
 Beim Löschen von Dateien im MS Datei Explorer werden nur die Verweis auf die Dateien entfernt, ohne sie real zu löschen. Mit speziellen Programmen können diese Daten wieder hergestellt werden, sodass unter Umständen auch noch nach Wochen genau nachvollzogen werden kann, welche Dateien auf Ihrem Rechner waren. Um dies zu verhindern, überschreibt der claviscom SHREDDER je nach eingestellten Shredderlevel die Daten bis zu maximal 35 mal (Peter Gutmann Methode). Wählen Sie die zu löschenden Dateien im Datei Explorer aus und starten den claviscom SHREDDER. Vor dem entgültigen Löschen werden die Dateien in einer übersichtlichen Liste angezeigt und können hier noch einmal geöffnet oder aus der Löschliste entfernt werden. Nach dem Wählen des gewünschten Shredder-Levels und dem Klick auf den Schalter ’Datei(en) vernichten’ werden die Daten unwiderruflich gelöscht, wodurch eine Rekonstruktion auszuschießen ist.
Es gibt jedoch noch eine weitere Lücke, wodurch Datenreste auf Ihrer Festplatte zurück bleiben können. Viele Programme legen während des Öffnens einer Datei eine Sicherheitskopie auf der Festplatte ab. Diese Datei wird zwar nach dem Schließen des Programms wieder gelöscht, allerdings wiederum nicht sicher. Auch diese Spuren können wieder rekonstruiert werden. Der claviscom SHREDDER bietet zum Schließen dieser Lücke das vollständige Überschreiben des soggenanten Freispeichers an. Als Freispeicher wird die ganze Festplatte bezeichnet, wo keine Dateien stehen aber sich kritische Datenreste befinden können. Wählen sie einfach das entsprechende Laufwerk aus und schon beginnt der claviscom SHREDDER mit der gründlichen Reinigung der Festplatte.
Zusätzlich ist der claviscom INTERNETCLEANER integriert, der Ihre Privatsphäre beim Surfen mit dem Internet Explorer wahrt. Zur Zeit werden mit einem Klick die History, Cookies und der Cache vom Microsoft Internet Explorer, sowie die zuletzt gestarteten Programme und geöffneten Dokumente in Windows unwiderruflich gelöscht.

Funktionsumfang:

  • Shreddern von Dateien und Verzeichnissen
  • NEU - Shreddern Freispeicher, Clustertips, Master File Table (MFT), Verzeichnis- und Dateieinträge
  • Shreddern von Cache, History und Cookies (nur Internet Explorer)
  • Zurücksetzen der Liste der zuletzt geöffneten Programme und Dateien
  • Volle Integration in den Microsoft Datei Explorer (Menu der rechten Maustaste)
  • Drag & Drop fähig
  • Temporäre Dateien finden und Löschen
  • Mülleimer leeren
  • NEU - 6 Schredderlevel einstellbar (max. 35faches Überschreiben nach der Peter Gutman Methode)
  • NEU - Automatisches Schließen des Fensters oder Herunterfahren des Computer nach erfolgreichem Schreddervorgang
Fenster:

  • Komplett

  • Dateien

  • Laufwerke

  • Temporäre Dateien

  • Internet (claviscom INTERNETCLEANER)


claviscom: claviscom SHREDDER (Komplett)

1. Seitenauswahl des claviscom SHREDDER

Folgende Seiten sind im claviscom SHREDDER aufrufbar:

  • Komplett

  • Dateien

  • Laufwerke

  • Temporäre Dateien

  • Internet (claviscom INTERNETCLEANER)
2. Optionen

Folgende Schritte können ein einem Schritt bereinigt werden:

  • Lokale temporäre Dateien laut Einstellungen bereinigen

  • Lokale temporäre Internetdateien (Internet Explorer) laut Einstellungen bereinigen

  • Lokale Windowshistory - Dateien laut Einstellungen bereinigen

  • Laufwerke laut Einstellungen bereinigen

  • Lokalen Papiekorb bereinigen

HINWEIS Beschreibungen zu den einzelnen Punkten finden Sie auf den entsprechenden Seiten.

3. Allgemeine Einstellungen Mögliche Einstellungen:

  • SHREDDER im Kontextmenü des Datei Explorer anzeigen
    Bei Aktivierung dieses Punktes wird im Datei Explorer im Pulldown-Menü der rechten Maustaste der Menüpunkt 'claviscom SHREDDER' angezeigt. Somit können Sie mit einem Mausklick im Datei Explorer Dateien und Ordner löschen.

  • Menü im SHREDDER Dialog anzeigen
     Hiermit können Sie das Menü im SHREDDER Dialog ein- und ausblenden.

  • Protokolldatei anlegen
    Protokollieren aller Aktionen in einer Log-Datei.
4. | Herunterfahren | Fährt den Rechner nach dem kompletten Löschvorgang herunter.
5. | Hilfe | Öffnet die Hilfe-Datei zu den entsprechenden Fenstern.
6. | Protokolldatei öffnen | Bei aktivierter Protokolldatei kann diese hier geöffnet werden.
7. | Komplett bereinigen | Durch das Drücken dieses Button werden die ausgewählten Optionen durchgeführt.
8. | Schließen | Schließt das Fenster, ohne eine Operation auszuführen.


claviscom: claviscom SHREDDER (Dateien)

1. Seitenauswahl des claviscom SHREDDER

Folgende Seiten sind im claviscom SHREDDER aufrufbar:

  • Komplett

  • Dateien

  • Laufwerke

  • Temporäre Dateien

  • Internet (claviscom INTERNETCLEANER)
2. Hinzufügen

Öffnet einen Dialog zu Dateiauswahl. Die hier selektierten Dateien und Ordner werden in Liste 7 hinzugefügt und nach drücken des Button 9 geschreddert.

3. Entfernen

Löscht die selektierten Dateien aus Liste 7, sodass diese nicht geschreddert werden.

4. | Öffnen | Öffnet die in Liste 7 selektierte Datei.
5. | Temporäre Dateien | Auf der Seite Einstellungen können Ordner und Dateierweiterungen festgelegt werden, die vom System oder Programmen temporär angelegt werden. Diese werden in Liste 7 hinzugefügt und anschließend geschreddert.
6. | Mülleimer | Bereinigt den Inhalt aller Mülleimers!
7. | Dateiliste | Anzeige alle Dateien, die richtig gelöscht (vernichtet / geschreddert) werden sollen.
8. Schredderlevel Mit dem Schieberegler kann die Stärke des Löschvorgangs festgelegt werden. Folgende Stufen sind wählbar:
  • Level 0
    Verknüpfungen entfernen (Entspricht dem normales Löschen im Datei Explorer)
  • Level 1
    Die Daten werden 1x überschrieben (Binären Nullen)
  • Level 2
    Die Daten werden 3x überschrieben (DOD - Standard = 1. Zufallszahlen + 2. binäres F + 3. Binäre Null)
  • Level 3
    Die Daten werden 7x überschrieben (DOD II - Standard = 3x binären Nullen + 3x binäre F + 1x Zufallszahlen)
  • Level 4
    Die Daten werden 13x überschrieben (3x Zufallszahlen + DOD - II + 2x Zufallszahlen + 1x binäre Nullen)
  • Level 5
    Die Daten werden 35x überschrieben (Peter Gutman Methode - Beschreibung siehe Dokument)

HINWEIS Je höher ist der Schredderlevel ist (Schieberegler nach rechts), um so sicherer werden die Daten gelöscht und um so länger dauert der Löschvorgang.
9. | Fenster nach Schreddervorgang schließen | Bei Auswahl dieses Punktes wird das Fenster nach dem erfolgreichen Schreddervorgang direkt geschlossen.
10. | Datei(en) vernichten | Durch das Drücken dieses Button werden die selektierten Dateien endgültig gelöscht (vernichtet / geschreddert).


claviscom: claviscom SHREDDER (Laufwerke)

1. Seitenauswahl des claviscom SHREDDER

Folgende Seiten sind im claviscom SHREDDER aufrufbar:

  • Komplett

  • Dateien

  • Laufwerke

  • Temporäre Dateien

  • Internet (claviscom INTERNETCLEANER)
2. Laufwerke auswählen

In dieser Liste werden alle Laufwerke auf Ihrem Rechner angezeigt und können hier ausgewählt werden.

3. Optionen: Laufwerksbereinigungen

Mögliche Optionen für die Laufwerksbereinigung:

  • Freispeicher bereinigen
    Bei Freispeicher handelt es sich um den Platz der Festplatte, auf den zur Zeit keine Dateien stehen. Hier können sich jedoch verräterische Dateireste befinden, die nicht richtig gelöscht wurden. Beim Freispeicher bereinigen werden alle diese Bereiche mit dem eingestellten Schredderverfahren überschrieben.
  • Verzeichnis- und Dateieinträge bereinigen (NICHT AUF NETZLAUFWERKEN)
    Auf den Festplatten werden die Datei- und Verzeichnisnamen in einer zentralen Tabelle abgelegt. Um die Datei auf der Festplatte zu finden, steht hier auch der Speicherort (Adresse). Auf NTFS Laufwerken (nur Win NT/2000/XP) stehen zusätzlich die Dateiattribute und bei kleinen Dateien sogar der komplette Dateiinhalt in dieser Tabelle (Master File Table MFT). Beim normalen Löschen wird nur der 1. Buchstabe des Dateinamen geändert, alles weitere bleibt bestehen und kann mit speziellen Programmen ausgelesen werden. Erst wenn eine weitere Datei diesen Tabellenplatz belegt, wird der vorherige Eintrag überschrieben. Gelöschte Einträge und nicht benutze Felder werden bei Aktivierung dieser Option bereinigt, sodass eine Rekonstruktion der Daten nicht möglich ist.
  • Clustertips bereinigen
    Die Festplatte ist in viele gleich große Teile eingeteilt, den sogenannten Sektoren. Mehrere Sektoren zusammengenommen sind wiederum ein Cluster. Jede Datei wird in einem Cluster abgelegt, nur wenn die Datei größer ist, werden zwei oder mehrere Cluster verwendet. Es kommt jedoch sehr selten vor, dass die Dateigröße genau der Größe von einem oder mehreren Clustern entspricht. Aus diesem Grund bleibt hinter der Datei meistens eine kleiner Platz auf der Festplatte unbeschrieben. Dieser Teil wird als Clustertip bezeichnet, wo sich hier Reste von früheren Dateien befinden können. Die möglicherweise kritischen Daten lassen mit spezieller Software rekonstruieren. Um dies zu unterbinden sollte diese Option beim Bereinigen der Laufwerke aktiviert werden.
4. Auslagerungsdatei Die Auslagerungsdatei (pagefile.sys) ist während des Computerbetriebs in Verwendung und kann nicht gelöscht werden. Aus diesem Grund kann die Datei nur beim Herunterfahren des Rechners zurückgesetzt werden.
HINWEIS Diese Option steht nur unter Windows 2000 und XP zur Verfügung und setzt Administratorrechte zum Ändern voraus!
5. Schredderlevel Mit dem Schieberegler kann die Stärke des Löschvorgangs festgelegt werden. Folgende Stufen sind wählbar:
  • Level 0
    Verknüpfungen entfernen (Entspricht dem normales Löschen im Datei Explorer)
  • Level 1
    Die Daten werden 1x überschrieben (Binären Nullen)
  • Level 2
    Die Daten werden 3x überschrieben (DOD - Standard = 1. Zufallszahlen + 2. binäres F + 3. Binäre Null)
  • Level 3
    Die Daten werden 7x überschrieben (DOD II - Standard = 3x binären Nullen + 3x binäre F + 1x Zufallszahlen)
  • Level 4
    Die Daten werden 13x überschrieben (3x Zufallszahlen + DOD - II + 2x Zufallszahlen + 1x binäre Nullen)
  • Level 5
    Die Daten werden 35x überschrieben (Peter Gutman Methode - Beschreibung siehe Dokument)

HINWEIS Je höher ist der Schredderlevel ist (Schieberegler nach rechts), um so sicherer werden die Daten gelöscht und um so länger dauert der Löschvorgang.
6. | Herunterfahren | Der Löschvorgang kann länger dauern, sodass ein automatisches Herunterfahren des Rechners sinnvoll ist.
7. | Laufwerke bereinigen | Durch das Drücken dieses Button werden die ausgewählten Laufwerke gründlich gereinigt.


claviscom: claviscom SHREDDER (Temporäre Dateien)

1. Seitenauswahl des claviscom SHREDDER

Folgende Seiten sind im claviscom SHREDDER aufrufbar:

  • Komplett

  • Dateien

  • Laufwerke

  • Temporäre Dateien

  • Internet (claviscom INTERNETCLEANER)
2. Aktueller Ordner

Anzeige des aktuell in 3 selektierten Ordners.

3. Verzeichnisstruktur auf Ihrem Rechner Anzeige der Verzeichnisstruktur auf Ihrem Rechner.
Hier können Sie Verzeichnisse auswählen (blaues Häkchen), deren Inhalt in regelmäßigen Abständen nach temporären Dateien durchsucht wird.
4. | Eingabefeld für Dateierweiterungen | Eingabefeld für Dateierweiterungen.
5. | Dateierweiterungen hinzufügen | Fügt die in Feld 4 eingegebene Dateierweiterung der Liste 6 hinzu.
6. | Liste der temporären Dateierweiterungen | Viele Programm legen temporäre Dateien an, die nicht immer gelöscht werden. Dieser Datenmüll belegt Speicher auf Ihrer Festplatte, ohne das die Dateien gebraucht werden. Aus diesem Grund sollten Sie in regelmäßigen Abständen Ihre Festplatte vom claviscom SHREDDER nach diesen Daten durchsuchen lassen.
7. | Dateierweiterungen entfernen | Löscht die in Liste 9 selektierte Dateierweiterung. Diese wird dann in Zukunft nicht mehr gesucht und geschreddert.


claviscom: claviscom SHREDDER (Internet)

1. Seitenauswahl des claviscom SHREDDER

Folgende Seiten sind im claviscom SHREDDER aufrufbar:

  • Komplett

  • Dateien

  • Laufwerke

  • Temporäre Dateien

  • Internet (claviscom INTERNETCLEANER)
2. OPTIONEN: Internet Explorer und Windows

Liste aller möglichen Einstellungen:

Historyliste zurücksetzen
Löscht die Histroyliste des Internet Explorers, welche alle besuchten Adressen beinhaltet.

Cookies entfernen
Löscht die Cookies des Internet Explorers. Cookies werden von Seitenbetreibern verwendet, um Sie beim nächsten Besuch wieder zu erkennen oder weitere Informationen auf Ihrem Rechner abzuspeichern.

Cache leeren
Auswahl zum Löschen des Caches.
Die von Ihnen besuchten Seiten inkl. Bilder werden temporär vom Browser in einem Ordner gespeichert. Dadurch soll der Seitenaufbau beim erneuten Besuch der Seite beschleunigt werden, da die Daten nicht nochmals über die Telefonleitung übertragen werden müssen. Allerdings kann jeder anhand dieser Dateien sehen, welchen Seiten besucht wurden.
TIPP: Sie können den Cache-Ordner auch auf ein virtuelles Laufwerk (nur ENTERPRISE-Version) verlagern und einfach nach dem Surfen diese Daten durch Schließen des Laufwerkes sichern.

Liste der zuletzt geöffneten Programme / Dokumente (Start->Ausführen)
Die Programme und Dokumente, die Sie unter Start->Ausführen geöffnet haben, werden vom Betriebssystem abgespeichert. Bei Aktivierung löscht der Internetspurenvernichter diese Einträge unwiderruflich.

Liste der zuletzt geöffneten Dokumente (Start->Dokumente)
 Die zuletzt geöffneten Dokumente bleiben für Sie im Schnellzugriff unter Start->Dokumente. Bei Aktivierung löscht der Internetspurenvernichter diese Einträge unwiderruflich.

3. Schredderlevel Mit dem Schieberegler kann die Stärke des Löschvorgangs festgelegt werden. Folgende Stufen sind wählbar:
  • Level 0
    Verknüpfungen entfernen (Entspricht dem normales Löschen im Datei Explorer)
  • Level 1
    Die Daten werden 1x überschrieben (Binären Nullen)
  • Level 2
    Die Daten werden 3x überschrieben (DOD - Standard = 1. Zufallszahlen + 2. binäres F + 3. Binäre Null)
  • Level 3
    Die Daten werden 7x überschrieben (DOD II - Standard = 3x binären Nullen + 3x binäre F + 1x Zufallszahlen)
  • Level 4
    Die Daten werden 13x überschrieben (3x Zufallszahlen + DOD - II + 2x Zufallszahlen + 1x binäre Nullen)
  • Level 5
    Die Daten werden 35x überschrieben (Peter Gutman Methode - Beschreibung siehe Dokument)

HINWEIS Je höher ist der Schredderlevel ist (Schieberegler nach rechts), um so sicherer werden die Daten gelöscht und um so länger dauert der Löschvorgang.
4. | Fenster nach Schreddervorgang schließen | Bei Auswahl dieses Punktes wird das Fenster nach dem erfolgreichen Schreddervorgang direkt geschlossen.
5. | Entfernen | Durch das Drücken dieses Button werden die ausgewählten Internet- und Arbeitsspuren endgültig gelöscht (vernichtet / geschreddert).


claviscom: claviscom SIGNATURINFORMATION

Beschreibung des claviscom SIGNATURINFORMATION Dialoges
Der claviscom SIGNATURINFORMATIONS Dialog wird nach dem Verifizieren einer signierte Datei (SGN) oder dem Auspacken einer SME Datei angezeigt. Er gibt Auskunft, von wem die Datei signiert wurde und ob diese authentisch (unverändert) ist.

Übersicht claviscom SIGNATURINFORMATION

1. | Infotext | Anzeige von weiteren wichtigen Informationen.
2. | Datei öffnen | Öffnet die signierte Datei mit dem entsprechenden Programm.
3. | Liste speichern | Speichert die Signaturinformation aus Liste 7 in einer Textdatei.
4. | Info | Zeigt weitere Informationen zum Zertifikat des Unterzeichners an.
5. | CERTMANAGER | Öffnet den claviscom CERTMANAGER. >> Siehe auch Hilfe claviscom CERTMANAGER
6. | Zertifikat prüfen (revocation list) | Überprüft individuell das in Liste 7 selektierte Zertifikat, ob es auf einer Sperrliste steht. Die erhaltenen Informationen werden in dem Zertifikatsprüfungsdialog übersichtlich ausgegeben. HINWEIS: Dazu ist eine Internetverbindung notwendig, um das Zertifikat Online auf den Sperrlisten zu prüfen. >> Siehe Hilfe Zertifikatsprüfungsdialog
7. | Liste der Zertifikate | In dieser Liste werden einige wichtige Informationen angezeigt. Am wichtigsten sind die 2. und 3. Spalte mit dem Unterzeichner und der Signaturstatus stehen.
8. | Zertifikate in Sperrliste prüfen - nur ENTERPRISE-Version | Bei Aktivierung dieses Punktes werden automatisch alle Zertifikate in Liste 7 überprüft, ob sie auf einer Sperrliste stehen. HINWEIS: Dazu ist eine Internetverbindung notwendig, um das Zertifikat Online auf den Sperrlisten zu prüfen.
9. | OK | Mit dem Button 'OK' bestätigen Sie die Signatur und fahren mit dem Prozess fort.


claviscom: claviscom DATA DRIVE

claviscom PRO Im Funktionsumfang dieser Version, claviscom DATA DRIVE Im Funktionsumfang dieser Version
Beschreibung des claviscom DATA DRIVE (verschlüsseltes Datenlaufwerk)
Das claviscom DATA DRIVE (verschlüsseltes Datenlaufwerk) integriert sich vollständig in den MS Datei Explorer und wird dort als eigenständiges Laufwerk angezeigt. Dabei werden die allgemeinen Funktionen des Datei Explorers unterstützt, wie beispielsweise Kopieren, Einfügen und Öffnen. Die Dateien werden beim Speichern auf das Datenlaufwerk immer verschlüsselt abgelegt (Blowfish - 448 Bit / AES - 256 Bit), ohne das der Anwender eine zusätzliche Operation ausführen muss. Der Speicherort der verschlüsselten Dateien im Basisverzeichnis kann auf dem lokalen Rechner, auf einem Netzwerkrechner oder einem FTP-Server liegen und wird mit dem Verbindungsmanager eingerichtet. Die Übertragung der Daten vom Server über das Netzwerk oder Internet erfolgt verschlüsselt und die Entschlüsselung wird erst auf dem Client durchgeführt. Die Zugriffsberechtigungen der einzelnen Datenlaufwerke wird durch die Vergabe eines Passwortes (SYMM-System) oder durch die Zuweisung von X.509 Zertifikaten (HYBRID-System, PKCS, RSA) geregelt. Der dateibasierte Aufbau ermöglicht den gleichzeitigen Zugriff von mehreren Anwendern. Eine zusätzliche Sicherheit bietet die Verschleierung der Originaldateinamen durch zufällige Nummern. Nur berechtigte Personen bekommen den Originaldateinamen im Datei Explorer angezeigt. Zudem ist das claviscom DATA DRIVE besonders sicher bei Computerabstürzen. Es werden immer nur die wirklich benötigten Dateien geöffnet und alle weiteren Dateien bleiben unangetastet und verschlüsselt auf der Festplatte gespeichert. Dadurch wird der mögliche Datenverlust auf ein Minimum reduziert. Nach dem Neustart des Rechners wird zusätzlich das Temporärverzeichnis gründlich gereinigt. Durch die individuelle Verschlüsselung und Speicherung jeder einzelnen Datei besitzt das claviscom DATA DRIVE besonders bei der Sicherung der Daten durch Backupsysteme große Vorteile. Im Gegensatz zu verschlüsselten Laufwerken auf Image-Basis müssen nur geänderte Daten gesichert werden, wodurch das Datentransfervolumen und der benötigten Speicherplatz stark reduziert werden.

Funktionsumfang:

  • Automatische Verschlüsselung von Daten
  • Verschlüsselung mit dem Blowfish- (448 Bit) oder AES-Algorithmus (256 Bit)
  • Unterstützung der asymmetrischen (HYBRID-System) und symmetrische Verschlüsselung (SYMM-System)
  • Beim SYMM-System erfolgt die Zugriffsberechtigung über ein Passwort oder eine EC-/KV-Karte
  • Beim HYBRID-System erfolgt die Zugriffsberechtigung individuell durch die Zuweisung von X.509-Zertifikaten (Chipkarten- und USB-Tokenunterstützung)
  • Vollkommene Integration als Laufwerk in den MS Datei Explorer
  • Der Speicherort des Basisverzeichnisses kann auf dem lokalen Rechner, auf einem Netzwerkrechner oder einem FTP-Server (HINWEIS Bisher nur Microsoft-Server getestet / Schnelle Verbindung notwendig) liegen
  • Pro Rechner können mehrere Laufwerke eingerichtet werden
  • Daten werden vom Server immer verschlüsselt über das Netzwerk oder Internet übertragen und erst auf dem Client entschlüsselt
  • KEINE spezielle Software auf dem Server notwendig
  • Jede Datei wir als verschlüsselte Image Datei gespeichert
  • Der Originaldateiname wird mit einer zufälligen Nummer maskiert, sodass kein Rückschluss auf Art und Inhalt der Datei geschlossen werden kann
  • Mehrere Anwender können gleichzeitig auf ein SHAREDDRIVE zugreifen
  • Anzeige von geöffneten Dateien
  • Speicherbedarf nur Abhängig von der Größe der Dateien
  • Maximale Größe nur Abhängig von des Festplattenbegrenzung
  • Absturzsicherung: Entschlüsselung nur der benötigten Dateien und Säuberung des Temporärverzeichnisses nach dem Neustart
  • Geringer Backupaufwand durch die individuelle Verschlüsselung und Speicherung jeder einzelnen Datei

HINWEIS Eine Installation von Programmen ist NICHT möglich!

Schaubilde claviscom DATA DRIVE (Datenlaufwerk)

Siehe auch
>> Einrichten und verwenden des DATA DRIVE (Datenlaufwerkes)


claviscom: claviscom VERBINDUNGSMANAGER

claviscom PRO Im Funktionsumfang dieser Version, claviscom DATA DRIVE Im Funktionsumfang dieser Version
Beschreibung des claviscom VERBINDUNGSMANAGER
 Mit dem Verbindungsmanager können Lokale-, Netzwerk- oder FTP-Verbindungen für beispielsweise das claviscom DATA DRIVE einrichtet werden.

Funktionsumfang:

  • Lokale- oder Netzwerkverbindung
  • FTP-Verbindungen (HINWEIS Bisher nur Microsoft-Server getestet / Schnelle Verbindung notwendig)

Übersicht claviscom DATA DRIVE (Datenlaufwerk)

1. Info

Anzeige von Informationen zu den Verbindungen.

2. Aktuelle Verbindungsprofile

Liste mit allen eingerichteten Verbindungen

  • Lokale- oder Netzwerkverbindung

  • FTP-Verbindung (HINWEIS Bisher nur Microsoft-Server getestet / Schnelle Verbindung notwendig)
3. Neu anlegen

Legt einen neue Verbindung in Liste 2 an.

4. | Entfernen | Entfernt die ausgewählte Verbindung in Liste 2.
5. | Profilname | Eingabefeld für den Profilnamen
6. | Lokale- oder Netzwerkverbindung | Zuweisen der Art der Verbindung (hier Lokale- oder Netzwerkverbindung) und Auswahl des Initialverzeichnisses, wo die verschlüsselten Dateien gespeichert werden.
7. | FTP-Verbindung | Zuweisen der Art der Verbindung (hier FTP-Verbindung)
8. Einstellungen für die FTP-Verbindung Angabe der FTP-Verbindungsdaten:
  • Host-Adress
  • Port
  • Login
  • Passwort
  • Use PASV Mode
  • Anonymous
9. | Initialverzeichnis | Angabe des Initialverzeichnisses bei FTP-Verbindungen. In diesem Ordner werden die verschlüsselten Dateien gespeichert.

Siehe auch
>> claviscom DATA DRIVE (Datenlaufwerkes)
>> Einrichten und verwenden des claviscom DATA DRIVE (Datenlaufwerkes)


claviscom: claviscom ZERTIFIKATSPRÜFUNG

claviscom PRO Im Funktionsumfang dieser Version, claviscom DATA DRIVE Im Funktionsumfang dieser Version
Beschreibung der claviscom ZERTIFIKATSPRÜFUNG
 Im Fall des HYBRID-Systems werden alle Zugriffe und Berechtigungen über Zertifikate geregelt. Über den claviscom CERTMANAGER können Sie diese Berechtigungen jederzeit neu vergeben. Aus Sicherheitsgründen wird beim ersten Öffnen des entsprechenden Elementes eine genaue Prüfung durchgeführt. Sollte sich die Liste der berechtigten Zertifikate geändert haben, so werden Sie auf evtl. Änderung in diesem Dialog hingewiesen. Sie sollten sich die Liste der Zertifikate genau ansehen, um zu verhindern das Ihnen ein Hacker etc. ein Zertifikat untergemogelt hat. Hier besteht noch einmal die Möglichkeit dieses unberechtigte Zertifikat zu löschen. Ferner prüft der Dialog, ob alle eingetragenen Zertifikate wirklich auf Ihrem System installiert sind. Sollte ein Zertifikat in der Zwischenzeit gelöscht worden sein, so wird dieses hier angezeigt und Sie müssen es explizit aus der Liste der berechtigten Zertifikate entfernen.

Übersicht claviscom ZUGRIFFSPRÜFUNG von Zertifikaten

1. | Hinweis | Anzeige von allgemeinen Informationen.
2. | CERTMANAGER | Ruft den claviscom CERTMANAGER auf.
3. | Entfernen | Entfernt ein nicht berechtigtes bzw. ein nicht vorhandenes Zertifikat aus der Liste der berechtigten Zertifikate.
4. | Info | Zeigt detaillierte Informationen zu den Zertifikaten in Liste5 an.
5. | Berechtigte(s) Zertifikat(e) | Anzeige einer Liste von Zertifikaten, die z. B. berechtigt sind auf ein claviscom PARTITION DRIVE oder claviscom DATA DRIVE zuzugreifen. HINWEIS Sie sollten die Liste genau überprüfen und notfalls unberechtigte Zertifikate löschen.
6. | Weiter | Mit 'Weiter' bestätigen Sie die Änderungen der Zugriffsberechtigungen.


claviscom: Lexikon

1 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z
2DES
(siehe DES)

3DES
(siehe DES)
1 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z
AES
(Advanced Encryption Standard) [symmetrische Verschlüsselung] ist das offizielle Nachfolgeverfahren von DES. Bei einem Wettbewerb im Jahre 2000 hat sich schließlich der belgische Algorithmus RIJNDAEL durchgesetzt. Die Juroren begründeten ihre Entscheidung mit den Argumenten, Rijndael sei sicher, verhältnismäßig leicht in Soft- und Hardware zu implementieren und es biete somit ausreichenden Schutz für die nächsten 100 Jahre. (Das ist natürlich eine grobe Schätzung)
(siehe auch DES, symmetrische Verschlüsselung)

ASN.1
(Abstract Syntax Notation One) ist ein systemtunabhängiges Datenformat, was zum Datenaustausch von Informationen zwischen verschiedenen Systemen verwendet wird)

Asymmetrische Verschlüsselung

Im Gegensatz zur symmetrischen Verschlüsselung (Sectret Key Verfahren) mit Ihrem unsicheren Schritt des Schlüsselaustausches bietet die asymmetrische Verschlüsselung (Public Key Verfahren) durch die Verwendung eines Schlüsselpaares (privater und öffentlicher Schlüssel) die Möglichkeit der sicheren Kommunikation über unsichere Kommunikationswege (Internet). Mit dem allgemein zugänglichen öffentlichen Schlüssel (Bild: rot) von Person A wird die Datei verschlüsselt. Danach ist ein sicherer Datenaustausch auch über unsichere Kanäle wie das Internet möglich, denn nur Person A kann mit seinem privaten (geheimen) Schlüssel (Bild: blau) die Datei entschlüsseln.

Ausführlich:
Von den genannten Verschlüsselungsverfahren (asymmetrische und symmetrische) ist das asymmetrische Verschlüsselung (Public Key Verfahren) auf jedem Fall die sichere Methode. Der Nachteil ist der hohe mathematische Aufwand und damit die Schwierigkeit, große Datenmengen ONLINE zu verschlüsseln. Aus diesem Grund wird in der Regel ein Hybridverfahren verwendet, wobei symmetrische und asymmetrisch (Public Key Verfahren) Verschlüsselung (Secret Key Verfahren) kombiniert werden. Wie der Name Secret Key schon sagt, darf der Schlüssel bei den symmetrischen Verfahren keinem anderen als Dir bekannt sein. Beim Hybridverfahren wird zuerst mit einem Zufallsgenerator ein Passwort (Secret Key) erzeugt, mit dem dann nach einem symmetrischen Verschlüsselungsverfahren (z. B. 3DES) die Daten verschlüsselt werden. Dies geht relativ schnell. Danach wird nur das Zufallspasswort (Secret Key) mit einem öffentlichen Schlüssel (Public Key) nach dem asymmetrischen Verfahren verschlüsselt und an die Datei angehangen. Nur der Empfänger, der im Besitz des entsprechenden privaten Schlüssels (Privat Key) ist, kann damit das Passwort (Secret Key) entschlüsselt. Dadurch ist er nun in der Lage die kompletten Daten zu entschlüsseln. Der Vorteil bei diesem Hybridverfahren ist, dass das Passwort nicht unverschlüsselt über öffentliche Kanäle (Internet, Telefon) übermittelt werden muss und sich zudem bei jeder Session (Verschlüsselung) ändert. Außerdem werden hierbei die hohe Geschwindigkeit der symmetrischen Verschlüsselung mit der hohen Sicherheit und Bedienerfreundlichkeit der asymmetrischen Verschlüsselung kombiniert. Der Private Key (private Schlüssel) gehört immer mit dem Public Key (öffentlicher Schlüssel) zusammen. Wir sprechen hier auch von einem Schlüsselpaar, welche beide für eine Ver- und Entschlüsselung nach dem asymmetrischen Verfahren notwendig sind. Daten, die mit dem öffentlichen Schlüssel (Public Key) von A verschlüsselt worden sind, können nur mit dem privaten Schlüssel (Private Key) von A wieder entschlüsselt werden.

Wie das Passwort (Secret Key) bei der symmetrischen Verschlüsselung, darf der private Schlüssel (Private Key) bei der asymmetrischen Verschlüsselung niemand anderem als dem Inhaber bekannt sein (->sicher aufbewahren). Der Vorteil bei dem Schlüsselpaar ist, dass der private Schlüssel nicht übertragen werden muss, wie das Passwort bei der symmetrischen Verschlüsselung. Selbst wenn ich das Passwort (Secret Key) persönlich meinem Partner aushändige, so ist doch schon mind. 1 fremde Person im Besitzt des Passwortes. Aus diesem Grund ist es bei der symmetrischen Verschlüsselung am sinnvollsten mit jedem Partner ein eigenes Passwort festzulegen. Dies wird um so komplizierter, je mehr Passwörter man sich merken muss.

Welche Rolle spielt nun das Hashverfahren in diesem Fall? - Das Hashverfahren ist kein Ver- oder Entschlüsselungsverfahren. Es wird nach einem mathematisch festgelegten Mechanismus (Hashverfahren) eine Art "Quersumme" über die Daten gebildet. Unabhängig von der Länge der Daten (100 Byte, 1000 Byte oder 1 MByte), wird ein fester Fingerabdruck dieser Daten mit einer festen Länge von z. B. 160 Bit (RipeMD160) gebildet.
Wenn nun z. B. einen Hashwert über eine Email gebildet wird und sich nur ein Zeichen in der Email ändert, dann verändert sich auch der Hashwert. Der Hashwert beinhaltet keine großen Datenmengen und kann so vor der Übertragung mit einem asymmetrischen Schlüsselverfahren ONLINE verschlüsselt werden. Nur der Empfänger dieser Email kann nun mit seinem privaten Schlüssel (Private Key) den ursprünglichen Hashwert wieder herstellen und prüfen. Der Empfänger kann nun seinerseits wieder einen Hashwert über ihre Daten (Email) bilden und vergleicht diesen mit dem verschlüsselt übertragenden Hashwert. Stimmen beide Werte überein, so wurde ihre Email oder die Daten unterwegs nicht verfälscht.
1 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z
Blowfish
ist ein frei einsetzbares Verschlüsselungsverfahren mit einer variablen Schlüssellänge von 32 bis 448 Bit. Durch die hohe Schlüssellänge zählt Blowfish als relativ sicher. (siehe auch symmetrische Verschlüsselung)
1 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z
Chiffrieren
ist französisch und bedeutet Verschlüsseln (siehe auch Asymmetrische Verschlüsselung, Symmetrische Verschlüsselung, Verschlüsseln)

Certification Authority (CA)
(siehe Trustcenter)

CSP (Cryptographic Service Provider)
Schnittstelle (Treiber) zwischen dem Zertifikat auf der Chipkarte, dem Chipkartenleser und der Microsoft Zertifikatsdatenbank bzw. der entsprechenden Anwendung.
1 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z
Dekodieren
(siehe Entschlüsseln)

DES
(Data Encryption Standard) [symmetrische Verschlüsselung] verschlüsselt mit einem 56 Bit-Schlüssel durch vertauschen und ersetzen einzelner Bits in 16 Durchläufen. Inzwischen wird DES nicht mehr als unbedingt sicher betrachtet. Um den erhöhten Sicherheitsanspruch weiter gerecht zu werden, wurde das 3DES (TripelDES)-Verfahren eingeführt. Der Unterschied ist, dass die Schlüsselstärke von 56bit (DES) auf 112bit (2DES) bzw. 168bit (3DES) angehoben wurden. DES ist aufgrund der Geschwindigkeit sehr gut für Onlineverschlüsselung (z. B. im Internetbanking) geeignet. Das Zahlungssystem SET, die Emailverschlüsselung S/MIME und stellenweise auch SSL arbeitet auf der Basis von DES!

Diffie-Hellmann
ist ein Key - Austausch - Protokoll. Es wurde 1976 von Whitfield Diffie and Martin E. Hellman entwickelt und dient zum sicheren Austausch von Schlüsseln (Public- und Private-Key). Die Schlüssellänge bei DH variiert von 512 bis 8192 Bits. (siehe asymmetrische Verschlüsselung)

Digital Envelope (SME - Datei)
Ein digitaler Briefumschlag (Digital Envelope) ist das elektronische Gegenstück eines normalen Briefes. Hierbei werden zuerst die Daten signieren, welches der Unterschrift auf dem Brief gleicht. Das Einkuvertieren entspricht letztendlich dem Verschlüsseln der signierten Daten. Jetzt können Sie ohne Angst zu haben, die Daten über unsichere Kanäle (Internet, Email) verschicken. Der Empfänger benötigt nun den richtigen Schlüssel, um die Daten wieder zu entschlüsseln. Durch die Kontrolle der Signatur (Unterschrift) ist er zudem sicher, dass die Daten unterwegs nicht verändert wurden und das diese vom richtigen Absender stammen.
Eine normale, unverschlüsselte Email würde im Alltag einer offenen Postkarte entsprechen, die ungeschützt durchs weltweite Datennetz wandert. Jeder etwas versierte User kann diese abfangen und lesen, wie der Postbote eine Postkarte. (siehe auch asymmetrische Verschlüsselung, Hash Wert)

DoD - Methode
ist eine standardisierte Methode zum Löschen von Daten auf der Festplatte, um eine nicht gewünschte Wiederherstellung zu verhindern. Bei der DoD - Methode werden die Daten in der Reihenfolge binäre Nullen, binäre Einsen und Zufallszahlen überschrieben. Bei der DOD II - Methode wird die DOD - Methode zweimal angewendet, wodurch die Daten insgesamt 6 mal überschrieben werden. Diese Löschmethoden werden bei den Produkten von claviscom eingesetzt. (siehe auch Peter Gutman - Methode)

DSS
(Digital Signature Standard) (siehe Asymmetrische Verschlüsselung)
1 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z
Entschlüsseln
Beim Entschlüsseln oder Dekodieren wird die aus der Verschlüsselung hervorgehenden nichtlesbaren Daten in lesbare umgewandelt. Dabei wird je nach Verschlüsselungsart ein Schlüssel in Form eines Passwortes benötigt. Handelt es sich bei der Verschlüsselung um eine asymmetrische Verschlüsselung, benötigt man zum Entschlüsseln den entsprechenden privaten Schlüssel. (siehe auch Asymmetrische Verschlüsselung, Symmetrische Verschlüsselung, Verschlüsseln)

ETSI/GSM 11.11
Standard für das digitale Mobilfunknetz GSM (D-Netz)
1 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z
geheimer Schlüssel
(siehe Secret Key Verfahren, Symmetrische Verschlüsselung)
1 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z
Hashverfahren
(siehe Asymmetrische Verschlüsselung und Hash Wert)

Hash Wert
Bei so genannten 'Hashen' wird eine Art "Quersumme" über die Daten gebildet. Das Ergebnis ist je nach Hashverfahren ein Ergebnis fester Länge (z. B. 160 Bit). Egal, ob ihre Daten nun 1KByte oder 1MByte groß sind. Dieses Hashergebnis ist vergleichbar mit einem Fingerabdruck der Daten. Wenn Du nun auch nur ein Zeichen in ihren Daten (z. B. Worddokument) änderst und wieder einen Hashwert bildest, ist dieser anders als der Erste. Du kannst also mit Hilfe des Hashwertes feststellen, ob irgendwas an ihren Daten (z. B. während einer Übertragung) verändert worden ist. Andererseits kann aufgrund des Hashwertes nicht auf den Inhalt der Daten geschlossen werden, denn verschiedene Daten können den gleichen Hashwert besitzen (z. B. Quersummen von 16, 25 und 34 sind alle 7). Bei einer Länge von 160 Bits ist jedoch die Möglichkeit auf die ursprünglichen Daten zu schließen so gut wie unmöglich.
Bekannte Hashverfahren: MD5 (Message Digest) -> 128 Bit; SHS/SHA (Secure Hash Standard/Algorithm) -> 160 Bit

HYBRID-System
Die Software von claviscom unterscheidet ab der Version 5.3 bei der Verschlüsselung von Daten zwischen dem HYBRID- und SYMM-System. Beim HYBRID-System erfolgt die Verschlüsselung auf der Basis des PKCS-Standards von RSA mit Hilfe von X.509-Zertifikaten. Dabei wir der SessionKey mit dem öffentlichen Schlüssel (Publik Key) des Zertifikates verschlüsselt und die Entschlüsselung erfolgt mit dem privaten Schlüssel (Private Key) des Zertifikates. Die Daten werden schließlich nach einem symmetrischen Algorithmus (z. B. AES oder Blowfish) und dem SessionKey als Passwort verschlüsselt. (siehe auch SYMM-System, asymmetrisch Verschlüsselung, PKCS, RSA, X.509-Zertifikaten)

Hybridverfahren
Kombination aus symmetrischer und asymmetrischer Verschlüsselung (siehe asymmetrisch Verschlüsselung)

1 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z
IDEA
(Internatial Data Encryption Algorythm) [symmetrische Verschlüsselung] Hierbei werden wie bei DES-Verfahren die Daten in 16 Durchläufen durch vertauschen und ersetzen einzelner Bits mit einem 128 Bit-Schlüssel verschlüsselt.

ISO 7810-7813
Normen für Identifikationskarten (Plastikkarten): Physikalische Eigenschaften, Hochprägung, Magnetstreifen, Aufzeichnungstechnik, Lage der Elemente, Nummernsystematik

ISO 7816-1,2
Physikalische Eigenschaften von Chipkarten, Abmessungen und Lage der Kontakte. (siehe auch Prozessorchipkarten)

ISO 7816-3
Elektrische Eigenschaften der Kontakte, Kommunikationsprotokolle. (siehe auch Prozessorchipkarten)

ISO 7816-4
(vorl.) Kommunikationsinhalte, Datenstruktur der Chipkarte, Sicherheitsarchitektur, Zugriffsmechanismen. (siehe auch Prozessorchipkarten)

ISO 7816-5
(vorl.) Aufbau von Applikationen, Wahl und Ausführung von Applikationen, Registrierung von Applikationen (Nummernsystematik). (siehe auch Prozessorchipkarten)

Intelligente Speicherchipkarten
Bei intelligenten Speicherchipkarten ist der Speicher (EPROM oder EEPROM) nur über eine festverdrahtete Sicherheitslogik zugänglich. Anwendung als Debitkarte (Telefonkarte). (siehe auch Speicherchipkarten)
1 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z
Kodieren
(siehe verschlüsseln)

Kryptographie
Der Begriff Kryptographie bezeichnet die Lehre zur systematischen Verschleierung von Nachrichten durch Verschlüsseln. Die Originaldaten werden dabei mit Hilfe eines Algorithmus unleserlich gemacht (chiffriert) und können nur durch Kenntnis des speziellen Schlüssels wieder hergestellt werden. Erste Anwendungen der Kryptographie sind schon aus der Zeit weit vor Christi Geburt überliefert. Im 2. Weltkrieg war z. B. die Entschlüsselung der Chiffriermaschine Enigma durch die Engländer von entscheidender Bedeutung. Heutzutage unterteilt man die Kryptographie in die zwei großen Teilgebiete asymmetrische und symmetrische Verschlüsselung. (siehe auch Verschlüsseln, asymmetrische Verschlüsselung, Symmetrischen Verschlüsselung)
1 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z
LDAP
Das Lightweight Directory Access Protokoll (LDAP) ist ein IBM-Standard für die Kommunikation von Rechnern mit einer Datenbank über das Internet. Dabei wurde der umfangreiche X.500 Directory Service abgespeckt, um auch bei schmaler Bandbreite eine zügige Kommunikation zu erlauben. Einträge in einem LDAP- oder X.500-Verzeichnis erlauben eines Zugriff über ein Netzwerk oder auch das Internet zum auffinden von Daten. In der Regel verwenden Trustcenter dieses Protokoll zum speichern der Zertifikatsinformationen. Über dass LDAP-Protokoll können weltweit die öffentlichen Zertifikate (Public Keys, PKCS#7) bei den einzelnen Trustcentern (CAs) abgerufen werden, die zum Verschlüsseln von Daten dienen. (siehe Asymmetrische Verschlüsselung, Trustcenter)
1 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z
MD5
ist ein Hash-Verfahren (siehe Hash Wert)
1 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z
Öffentlicher Schlüssel (PublicKey)
Der öffentliche Schlüssel (Public Key, PKCS#7) müssen sie weitergegeben (Publik Key Exchange) oder in einer Datenbank (PKI - Public Key Infrastructure) hinterlegen. Daten, die mit einem öffentlichen Schlüssel verschlüsselt wurden, können nur mit dem entsprechenden privaten Schlüssel (Public Key) wieder entschlüsselt werden. (siehe auch asymmetrische Verschlüsselung, PKI, Privater Schlüssel)

One Time Pad
Bei dieser Art von Verschlüsselung werden die Daten durch eine einfach Addition (modulo 26) mit einem Schlüssel der gleichen Länge verknüpft. Der Schlüssel wird durch einen Zufallsgenerator erstellt und nur einmalig verwendet. Dadurch gilt dieses Verfahren als absolut sicher. Das Problem besteht nur darin, für große Mengen an Daten eine wirklich zufällige Quelle für den Schlüssel zu finden. Außerdem ist der Schlüssel genau so groß wie der zu verschlüsselnde Text, wodurch sich die übertragende Datenmenge verdoppelt. Darum wird dieses Verfahren in der Regel nur für kleine Datenmengen verwendet.
1 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z
Peter Gutman Methode
Bei der Peter Gutman Methode handelt es sich um eine sehr sichere Methode zum Löschen von Daten auf magnetischen Datenträgern. Dabei werden die Daten insgesamt 35mal in folgender Reihenfolge 4x Random, 0x55, 0xAA, 0x92, 0x49, 0x24, 0x00, 0x11, 0x22, 0x33, 0x44, 0x55, 0x66, 0x77, 0x88, 0x99, 0xAA, 0xBB, 0xAA, 0xCC, 0xDD, 0xEE, 0xFF0x92, 0x49, 0x24, 4x Random überschrieben. (siehe auch DOD - Methode)
Ausführliche Informationen: http://www.cs.auckland.ac.nz/~pgut001/pubs/secure_del.html

PGP
(Pretty Good Privacy) bedeutet übersetzt etwa "recht gute Privatsphäre" und wurde von Phil Zimmermann entwickelt. PGP in den verschiedenen Versionen ist recht weit verbreitet und implementiert das RSA-Verfahren in eine relativ bedienerfreundliche Oberfläche. (siehe auch asymmetrische Verschlüsselung, RSA)

PKCS#7 & PKCS#12
PKCS (Public Key Crypto Standards) ist ein Set von verschiedenen Standards für die asymmetrische Verschlüsselung (PublicKey Cryptography) nach X.509, die von Appel, DEc, Lotus, Microsoft, MIT, RSA und SUN entwickelt wurden. Sie umfassen spezifische und unabhängige Implementierungsstandards, Spezifikationen und anderes, welche durch RSA Data Security Inc. überwacht wird. Im speziellen beschreibt PKCS#7 den Standard für den öffentlichen Schlüssel (PublicKey) und PKCS#12 den Standard für das Zertifikat (privater Schlüssel, Private Key, Dateiendungen z. B. *.pfx, *.p12). (siehe auch Hash Wert, RSA, X.509)

PKI
(Public Key Infrastructure) ist eine Hierarchie von Zertifizierungs-Autoritäten. Es dient also der Verteilung und Verwaltung von öffentlichen Schlüsseln für die asymmetrischen Verschlüsselung. (siehe auch asymmetrische Verschlüsselung)

Private Key
(siehe Privaten Schlüssel)

Privater Schlüssel (Private Key)
ist der geheime Schlüssel (Private Key, PKCS#12) der unter keinen Umständen weitergegeben werden darf und mit dem Daten signieren (Unterschrift) und entschlüsselt werden. Er ist bei Ihnen im der Systemzertifikatsdatenbank eingetragen und besitzt als Datei die Endung *.p12 oder *.pfx. (siehe auch asymmetrische Verschlüsselung, RSA, PKCS)

Prozessorchipkarten
(Smartcards) enthalten kompletten Rechner: Prozessor, ROM (EEPROM, EPROM) und RAM. Neben festverdrahten sind hier auch frei programmierbare Sicherungsfunktionen möglich. Insbesondere können Challenge - Response - Protokolle und Kryptoverfahren auf der Karte implementiert werden. Bei ihrer Geldkarte oder Handykarte handelt es sich zum Beispiel um eine Prozessorchipkarte. Die Smartcards sind schon weitaus komplizierter als die Speicherchipkarten, weil sie im Prinzip alle Komponenten eines Computers besitzen (siehe oben). Diese Karten enthalten meist auch einen Cryptochip, mit dem Verschlüsselungen und Authentifikationen durchgeführt werden können. Für diese Operationen muss der geheime Schlüssel die Chipkarte nicht verlassen, was diesen damit sehr sicher macht.

PublicKey
(siehe öffentlicher Schlüssel)

Public Key Verfahren
ist die englische Bezeichnung für die asymmetrische Verschlüsselung mit einen öffentlichen Schlüssel (Public Key) und einem privaten Schlüssel (Privat Key) (siehe auch asymmetrische Verschlüsselung, öffentlicher Schlüssel, privater Schlüssel)
1 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z
RC4
Bei RC4 von RSA Data Security Inc. (www.rsasecurity.com) wird in Abhängigkeit vom Passwort mit einem Pseudo-Zufallsgenerator eine zufällige Bytefolge in der Länge der zu verschlüsselnden Daten erzeugt. Der Geheimtext ergibt sich aus der einfachen XOR-Verknüpfung mit dem expandierten Schlüssel, ähnlich wie beim One Time Pad. Zur Entschlüsselung wird dieses Verfahren einfach erneut angewendet. Das Verfahren ist erstaunlich einfach, schnell und sehr leicht zu programmieren. Nach Aussage von RSA Data Security Inc. lässt sich dieses Verfahren nicht mit der linearer oder differentieller Kryptoanalyse knacken. (siehe auch One Time Pad)

RSA
ist benannt nach den Entwicklern Ronald Rivest, Adi Shamir und Leonard Adleman. Das RSA - Verfahren ist eigentlich das bekannteste Verfahren und auch das Flagschiff unter den asymmetrischen Verfahren. Ab einer Schlüssellänge von 2048bit kann es als sicher eingestuft werden. Das RSA - Verfahren wird i. d. R. zur Verschlüsselung und Übertragung von symmetrischen SessionKeys verwendet, weil der mathematische Aufwand für eine Onlineverschlüsselung einfach zu groß ist.
(siehe auch asymmetrische Verschlüsselung)

1 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z
SectretKeyVerfahren
ist die englisch Bezeichnung für die symmetrische Verschlüsselung mit einem geheimen Schlüssel (SecretKey) (siehe symmetrische Verschlüsselung)

 Secure Message Envelope (SME)
(siehe Digital Envelope)

Selbstsignierte Zertifikate
sind normalerweise als nicht vertrauenswürdig einzustufen, da keine Zertifizierungsstelle für die Richtigkeit der angegebenen Daten bürgt. Damit können keine offiziellen Geschäfte abgewickelt werden. Für die private Verwendung ist es aber vollkommen ausreichen, z. B. zur Verschlüsselung mit der Software von claviscot.

SHS/SHA
(Secure Hash Algorithm) ist ein sicheres Hashverfahren (siehe Hash Wert)

Signatur
Die Signatur entspricht einer digitalen Unterschrift für elektronische Daten. Seid dem Signaturgesetz gelten Signaturen als Rechtsgültig und werden damit einer handschriftlichen Unterschrift gleichgestellt.
Für die Digitale Signatur ist ein Zertifikat mit einem öffentlichen (Public Key) und einem privaten (Private Key) notwendig. Zum Signieren wird erst der Hashwert (Quersumme, Fingerabdruck) der Datei gebildet und dieser mit dem Privaten Schlüssel des Unterschreibenden signiert (eine spezielle Art der Verschlüsselung). Es wird nur der Hashwert signiert, damit Rechenzeit und Speicherplatz gespart wird. Dabei muss der mathematische Vorgang des hashens eine Einwegfunktion sein. An die Daten werden die Signatur und der öffentliche Schlüssel des Unterschreibenden angehangen. Die Überprüfung der Signatur nennt man Verifikation. (siehe auch Hashwert, Verifikation, Zertifikate)

Smartcards
ist die englische Bezeichnung für eine Prozessorchipkarten (siehe Prozessorchipkarten)

SME - Datei
(siehe Digital Envelope)

S/MIME-Verfahren
(Secure / Multiporpose Internet Mail Extension); erweitert das MIME-Format für das Versenden von Binärdateien via E-Mail um Verschlüsselung und digitale Signatur (für RSA).

Speicherchipkarten
enthalten nur elektronischen Speicher (EPROM, EEPROM oder RAM) auf den direkt zugegriffen werden kann. Eine Krankenversichertenkarte ist zum Beispiel so eine einfache Speicherchipkarte. Auf diese Karte können nur eine bestimmte Menge an Daten abgelegt und
wieder gelesen werden. Dieser Kartentyp ist in seinem Aufbau recht einfach und auch nicht besonders geschützt.

Sperrliste
Diese Listen werden von den Trustcentern (CAs) angeboten und beinhalten alle ungültigen und gesperrten Zertifikate. (siehe auch Trustcenter, Zertifikate)

Steganograpphie
ist das Verstecken von Daten in Bilder, Videos, Texten oder anderen Daten. Meistens Werden die zu versteckenden Daten zuvor verschlüsselt. Die Steganographie wird meistens zum verdeckten Übermitteln benutzt. Ein anderes Anwendungsgebiet ist, in Bilder zum Beispiel eine kleine Botschaft einzuschleusen um später einmal beweisen zu können, dass das Bild von ihm stammt.

SYMM-System
Die Software von claviscom unterscheidet ab der Version 5.3 bei der Verschlüsselung von Daten zwischen dem HYBRID- und SYMM-System. Beim SYMM-System werden die Daten direkt mit Hilfe eines Passwortes verschlüsselt. Alternativ unterstützt die Software von claviscom die symmetrischen Verschlüsselung mit einer EC-Karte (mit Chip) oder einer Krankenversichertenkarte. Als Verschlüsselungsalgorithmen werden beispielsweise AES oder Blowfish eingesetzt. (siehe auch HYBRID-System, symmetrisch Verschlüsselung, Blowfish, AES)

Symmetrische Verschlüsselung

Bei der symmetrischen Verschlüsselung wir eine Datei nach bestimmten Verschlüsselungsalgorithmen (siehe. AES, Blowfish, DES und IDEA) verschlüsselt. Die Sicherheit des verschlüsselten Datei hängt von dem Verschlüsselungsverfahren, dem Passwort und der Schlüssellänge ab. Durch die Verwendung von sehr großen Schlüssellängen (> 128 Bit) kann die Verschlüsselung sehr sicher sein.
Der Nachteil der symmetrischen Verschlüsselung besteht darin, das beim Datenaustausch über unsichere Kanäle (Internet) ebenfalls das Passwort übermittelt werden muss. Diese Passwortübergabe ist nur durch eine persönliche Übergabe absolut sicher.
1 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z
TripelDES
ist ein symmetrisches Verschlüsselungsverfahren, bei dem drei mal hintereinander das DES - Verfahren angewendet wird. (siehe DES)

Trustcenter
Trustcenter (im englischen Certification Authority (CA)) bieten Zertifikate (Schlüsselpaar aus Public Key und Private Key) für den rechtsverbindlichen und vertraulichen Datenaustausch. In Deutschland werden sie von der Regulierungsbehörde für Post und Telekommunikation überprüfte und zertifiziert (z. B. TC Trustcenter oder D-Trust). Diese Trustcenter müssen besonders hohen Sicherheitsanforderungen genügen. Sie garantieren, dass die von Ihnen ausgestellten und geprüften Zertifikate (Schlüsselpaar zum Signieren und Verschlüsseln) nach dem deutschen Signaturgesetz authentisch sind. Dieses Zertifikat kann nur die Person verwenden, die sich beim Trustcenter ausgewiesen hat.
Daneben gibt es noch freie, nicht zertifizierte Trustcenter, die ebenfalls Zertifikate ausstellen aber keinerlei Garantie übernehmen (z. B. web.de oder Christian Barmala's Free CA).

1 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z
Verifikation
Als Verifikation wird die Überprüfung einer Signatur bezeichnet. Die Signatur gibt dabei Auskunft, von wem die Daten signiert (unterschrieben) wurden und ob sie authentisch (unverändert) sind.
Technisch wird dabei die Signatur mit dem beigelegten, öffentlichen Schlüssel (Public Key) des Unterschreibenden nach einem speziellen Verfahren dechiffriert (entschlüsselt). Als Ergebnis erhält man einen Hashwert. Parallel wird der Hashwert der übertragenden Daten gebildet und mit dem beigelegten Hashwert verglichen. Stimmen beide Werte überein, so kann der Empfänger sicher sein, dass die Daten nicht verändert wurden und von dem entsprechenden Absender stammen. (siehe auch Signatur, Zertifikate)

Verschlüsseln
Als verschlüsseln bzw. kodieren, bezeichnet man den Prozess, bei dem Daten (z.B. Texte, Bilder usw.) so verändert werden, dass ein nicht autorisierter Betrachter die Daten nicht lesen oder aus ihnen den Inhalt erschließen kann. Man unterscheidet dabei zwischen der symmetrischen und der asymmetrischen Verschlüsselung. (siehe auch Asymmetrische Verschlüsselung, Symmetrische Verschlüsselung).

1 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z
X.509 / V3 - Zertifikate
bestehen aus einem ASN.1 kodierten Format mit Version, Seriennummer, Signatur, Name, Gültigkeit, Subjekt, PublicKeyInfo, Parameter und Zertifikatserweiterungen und wird von der claviscom Software unterstützt. S/MIME, PGP, PEM und MailTrusT verwenden dieses Zertifikat. (siehe auch Zertifikate, S/MIME, PGP, ASN.1)

XOR-Verknüpfung
Bei der Exklusice-Oder-Verknüpfung (XOR) verwendet man folgende Regeln zur Verknüpfung von zwei Bits. Wenn beide Bits gleich sind (1/1 oder 0/0) wird das Ergebnis Null und bei ungleichen Bits (1/0 oder 0/1) ergibt sich eine Eins. Im Gegensatz dazu wird bei der einfachen Oder-Verknüpfung (OR) aus zwei Einser Bits (1/1) wieder eine Eins.
1 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z
Zero-Knowledge Verfahren
eignen sich dazu, einen Kommunikationspartner davon zu überzeugen, dass man ein Geheimnis G kennt, ohne irgendetwas über G mitzuteilen. Dazu bedient man sich zweier Mengen von geheimen und öffentlichen Schlüsseln. Mit einem mehrfach wiederholten Challenge-Response-Protokoll wird schließlich die Authentifikation durchgeführt.

Zertifikate
werden in der Regel mit der Dateiendung PFX oder P12 abgespeichert und beinhalten eine Reihe von Daten über den Aussteller und Besitzer. Mit dem öffentlichen (Public Key, PKCS#7) und privaten Schlüssel (Privat Key, PKCS#12) können Daten authentisch, digital unterzeichnet oder ver- und entschlüsselt werden. Für die Glaubwürdig der im Zertifikat angegebenen Daten garantiert normalerweise der Aussteller (Trustcenter, CA). Um die Glaubwürdigkeit zu erhöhen, kann ein Zertifikat von mehreren CAs signiert werden.
Jedoch sind auch selbstsignierte Zertifikate nützlich, beispielsweise zum Signieren in Freundeskreis oder einfach für die Verschlüsselung der eigenen Daten. (siehe auch Selbstsignierte Zertifikate, X.509-Zertifikate, Trustcenter (CA), Signatur, asymmetrische Verschlüsselung)